2004-05-19 11:17  tigital

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: here's what I came
	up with:  luma seems more sensitive, and makes a better image, tho
	different than the rgba version

2004-05-15 13:59  zmoelnig

	* doc/gem.known_bugs.txt, help/pix_lumaoffset.pd: noted that
	pix_lumaoffset might crash with high offset-factors

2004-05-14 13:20  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added a "yuv"-message
	to turn off direct YUV-texturing even if it is available (because
	our G4 with a geforce4MX says that it can do GL_ycbcr but actually
	the images look weird

2004-05-14 13:05  zmoelnig

	* src/Pixes/pix_lumaoffset.cpp: added range-checking for the offset
	when doing smoothed & filled processing; this should fix the
	crashes at very high offsets on all colorspaces

2004-05-14 11:42  zmoelnig

	* src/Pixes/pix_dot.cpp: fixed YUV on big-endians

2004-05-13 13:25  zmoelnig

	* src/Base/GemPixUtil.cpp: don't copy "pdata" with
	copyImage2Struct; pdata should always(!) be a pointer to some data
	that is owned by the image itself! this fixes the abiding crashes
	when deleting pix_-objects

2004-05-10 01:03  cclepper

	* src/Pixes/: pix_levels.cpp, pix_levels.h: First step at
	separating the color-space functions in order to have them work
	properly.  RGBA is still ok, and now YUV works on 'uniform'
	adjustments.

2004-05-09 23:54  cclepper

	* src/Pixes/pix_colorreduce.cpp: #ifdef to remove YUV code on OSX. 
	maybe someone will write a version that doesn't crash?

2004-05-09 03:03  cclepper

	* src/Pixes/pix_halftone.cpp: changed the shifts for YUV output. 
	now 100% less green.

2004-05-08 00:19  cclepper

	* src/Pixes/pix_kaleidoscope.cpp: fixed the 'it's oh so green' YUV
	problem on OSX

2004-05-07 13:51  zmoelnig

	* src/Base/GemPixPete.h: made defines for shifts on mac/non-mac
	(although they don't do much now)

2004-05-07 13:48  zmoelnig

	* src/Base/GemPixPete.h: added U8 as another type

2004-05-07 13:41  zmoelnig

	* src/Base/GemPixUtil.cpp: using ch*-constants rather than
	hardcoded positions of channel-data (e.g: chRed instead of 0)

2004-05-07 13:37  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_buf.cpp, pix_dot.cpp,
	pix_texture.cpp, pix_halftone.cpp, pix_lumaoffset.cpp: shut up
	macOS-gcc compiler warnings

2004-05-07 11:42  zmoelnig

	* src/Base/GemWinCreateMac.cpp: type fixing to shut down the
	compiler

2004-05-07 09:52  zmoelnig

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h,
	pix_metaimage.cpp, pix_metaimage.h: made Grey work

2004-05-07 08:02  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_dot.h: made YUV and Grey work

2004-05-07 04:41  zmoelnig

	* src/Pixes/: pix_refraction.cpp, pix_kaleidoscope.cpp: use
	setCsizeByFormat use reallocate() instead of clear() and allocate()
	and complicated checks

2004-05-07 04:40  zmoelnig

	* src/Pixes/pix_halftone.cpp: fixed stupid typo

2004-05-07 04:40  zmoelnig

	* src/Pixes/pix_lumaoffset.cpp: replaced hardcoded shift-amount by
	SHIFT_Y.  use setCsizeByFormat use reallocate() instead of clear()
	and allocate()

2004-05-07 04:30  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_dot.h: use setCsizeByFormat use
	reallocate() instead of clear() and allocate() removed unused
	variable

2004-05-07 04:29  zmoelnig

	* src/Pixes/pix_delay.cpp: use setCsizeByFormat use reallocate()
	instead of clear() and allocate()

2004-05-07 04:28  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_backlight.h: removed the
	commented out the processGray-function (and not only it's body);
	use setCsizeByFormat

2004-05-07 04:14  zmoelnig

	* src/Pixes/: pix_grey.cpp, pix_rgba.cpp, pix_yuv.cpp: don't
	initialize to small images (64x64) any more as this is only for
	memory fragmentation

2004-05-07 04:12  zmoelnig

	* src/Pixes/pix_halftone.cpp: using setCsizeByFormat rather than
	setting csize/format/type directly

2004-05-07 04:11  zmoelnig

	* src/Pixes/pix_metaimage.cpp: made YUV work on PCs (and used
	better namings (like "U" instead of "Red")

2004-05-06 06:01  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: setting the
	csize/format/type of the image more intelligently

2004-05-06 05:36  zmoelnig

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: another step
	towards a working version.  now yuv/rgba/grey almost(!) behave the
	same

2004-05-06 05:35  zmoelnig

	* src/Base/GemPixPete.h: the RGBA2LUMA conversion was wrong

2004-05-05 10:56  zmoelnig

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: made YUV work
	correctly

2004-05-05 10:56  zmoelnig

	* src/Pixes/pix_texture.cpp: use run-time checks for YUV-texturing

2004-05-05 10:55  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: added run-time checks for
	GL_APPLE_ycbcr_422 (YUV-texturing)

2004-05-05 10:54  zmoelnig

	* src/Base/GemPixUtil.cpp: use normal memory-allocation (no
	alignment tricks as these produces weird output) LATER make sure
	that memory is aligned correctly

2004-05-04 16:20  zmoelnig

	* src/Pixes/: pix_colorreduce.cpp, pix_colorreduce.h: quick hack to
	make Grey/YUV work

2004-05-04 11:30  zmoelnig

	* src/Pixes/pix_buf.cpp: initialized orgPixBlock to NULL (should
	fix crashes when no upstream image is present)

2004-05-04 08:46  zmoelnig

	* src/Pixes/: pix_levels.cpp, pix_levels.h: seems to work now with
	RGBA/YUV/Grayscale

2004-05-04 04:15  zmoelnig

	* doc/gem.known_bugs.txt: added bugs concerning win32-movie-loading

2004-05-03 12:27  zmoelnig

	* src/Pixes/pix_halftone.cpp: used SHIFT_Y1,... (from GemPixPete.h)
	as my images were green ;-)

2004-05-03 12:26  zmoelnig

	* src/Base/GemPixPete.h: defined SHIFT_Y1,... for YUV-shifting

2004-05-03 02:15  cclepper

	* src/Pixes/pix_backlight.cpp: fixed up the YUV code - rolled a new
	black function and tests for proper pixel values

2004-05-03 02:14  tigital

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: YUV works better: 
	but it's about half the width resolution as it should be...at least
	it's not green ;-)

2004-05-02 22:08  tigital

	* src/Pixes/pix_videoDarwin.cpp: removed void to shut up gcc

2004-05-02 21:42  tigital

	* src/Pixes/: pix_metaimage.cpp, pix_metaimage.h: YUV processing
	functions correctly now

2004-04-29 01:55  cclepper

	* src/Pixes/pix_lumaoffset.cpp: YUV smoothing now works

2004-04-27 01:07  tigital

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h: YUV works
	better, except for "smooth" line filling

2004-04-24 11:02  zmoelnig

	* src/Pixes/filmQT4L.cpp: removed some more verbosity...

2004-04-23 10:41  zmoelnig

	* src/Base/GemMan.cpp: moved some fsaa-code from apple-only to
	openGL-dependent code (read: changed ifdefs)

2004-04-21 00:32  tigital

	* src/Pixes/pix_lumaoffset.cpp: YUV is almost fixed:  at least
	we're dealing with true luma...but there still seems to be a pixel
	skipping problem

2004-04-20 23:52  cclepper

	* src/Base/GemPixPete.h: changed GetLuminance() coefficients to
	correct vaules

2004-04-20 13:55  zmoelnig

	* help/gemwin.pd: fixed the default viewpoint-values to the correct
	ones "0 0 4" instead of "0 0 -4"

2004-04-09 20:13  tigital

	* src/Base/GemFuncUtil.h: [OSX] added header for definition of
	UInt32 after the mass movement of functions

2004-04-09 05:38  zmoelnig

	* src/Pixes/pix_texture.cpp: added the [pix_texture2]-alias again. 
	why has it vanished ?

2004-04-08 08:20  zmoelnig

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwinYUV.cpp,
	pix_filmQT.cpp, pix_movieDarwin.cpp, pix_videoDarwin.cpp: moved
	utility functions (namely: powerOfTwo()) into Base/GemFuncUtil

2004-04-08 07:57  zmoelnig

	* src/Geos/newWave.cpp: moved utility functions (namely:
	powerOfTwo()) into Base/GemFuncUtil

2004-04-08 07:54  zmoelnig

	* src/Base/: GemFuncUtil.h, GemPixObj.h, GemPixPete.h,
	GemPixUtil.h: structured the location of functions a bit: GemPixObj
	does not hold any utility functions GemFuncUtil holds general
	untilities (like powerOfTwo()) GemPixUtil holds utility functions
	for image manipulation (only!) GemPixPete (NEW) holds functions
	from pete's_plugins (specialzied PixUtil-functions)

2004-04-08 07:51  zmoelnig

	* src/Pixes/pix_rgba.cpp: added some comments

2004-04-08 07:51  zmoelnig

	* src/Pixes/: pix_hsv2rgb.cpp, pix_image.cpp, pix_movie.cpp,
	pix_movieYUV.cpp, pix_rgb2hsv.cpp, pix_sig2pix.cpp,
	pix_snap2tex.cpp, pix_texture.cpp: moved utility functions (namely:
	powerOfTwo()) into Base/GemFuncUtil

2004-04-08 07:46  zmoelnig

	* src/Pixes/: pix_a_2grey.cpp, pix_aging.cpp, pix_backlight.cpp,
	pix_colorreduce.cpp, pix_compare.cpp, pix_convert.cpp,
	pix_curve.cpp, pix_dot.cpp, pix_duotone.cpp, pix_halftone.cpp,
	pix_histo.cpp, pix_kaleidoscope.cpp, pix_levels.cpp,
	pix_lumaoffset.cpp, pix_metaimage.cpp, pix_mix.cpp,
	pix_posterize.cpp, pix_puzzle.cpp, pix_rds.cpp, pix_refraction.cpp,
	pix_roll.cpp, pix_scanline.cpp, pix_tIIR.cpp: added
	setPixModified() where apropriate so that the pull-mechanism works

2004-04-08 07:43  zmoelnig

	* help/: pix_2grey.pd, pix_a_2grey.pd, pix_alpha.pd,
	pix_backlight.pd, pix_bitmask.pd, pix_chroma_key.pd, pix_color.pd,
	pix_coloralpha.pd, pix_colormatrix.pd, pix_colorreduce.pd,
	pix_compare.pd, pix_convolve.pd, pix_crop.pd, pix_curve.pd,
	pix_dot.pd, pix_duotone.pd, pix_flip.pd, pix_gain.pd, pix_grey.pd,
	pix_halftone.pd, pix_histo.pd, pix_hsv2rgb.pd, pix_imageInPlace.pd,
	pix_invert.pd, pix_kaleidoscope.pd, pix_levels.pd,
	pix_lumaoffset.pd, pix_metaimage.pd, pix_mix.pd, pix_movement.pd,
	pix_normalize.pd, pix_offset.pd, pix_posterize.pd, pix_puzzle.pd,
	pix_rds.pd, pix_rectangle.pd, pix_refraction.pd, pix_rgb2hsv.pd,
	pix_rgba.pd, pix_roll.pd, pix_scanline.pd, pix_sig2pix~.pd,
	pix_takealpha.pd, pix_threshold.pd, pix_yuv.pd: removed the
	[pix_buf] entirely from the example-patches.  i must have been
	somewhere else when i added them

2004-04-07 13:35  zmoelnig

	* src/Base/GemWinCreateMac.cpp: removed unused variables

2004-04-07 13:33  zmoelnig

	* help/pix_rds.pd: fixed documentation

2004-04-07 13:20  zmoelnig

	* src/Pixes/: filmMPEG3.cpp, pix_halftone.cpp, pix_metaimage.cpp,
	pix_rds.cpp: fixed the alpha-channel

2004-04-07 13:20  zmoelnig

	* src/Pixes/pix_rgba.cpp: added some more verbosity on errors (so
	we know, where the error occured)

2004-04-07 12:09  tigital

	* help/camera.pd: quick n'dirty camera help patch...will flesh out
	tonight?

2004-04-07 12:08  zmoelnig

	* src/Pixes/pix_rgba.cpp: fixed the bug that kept cs-converters
	from working on apple

2004-04-07 12:07  zmoelnig

	* src/Pixes/pix_rds.cpp: removed unused variable G

2004-04-07 12:04  tigital

	* src/Pixes/: pix_backlight.h, pix_halftone.cpp, pix_levels.cpp,
	pix_lumaoffset.cpp, pix_lumaoffset.h, pix_metaimage.cpp,
	pix_backlight.cpp, pix_halftone.h, pix_levels.h, pix_metaimage.h:
	added YUV support (kinda):  it works, but isn't precisely correct
	yet (especially in pix_objects that are color based; displacement
	objects are less-obviously incorrect)

2004-04-07 12:02  tigital

	* src/Pixes/: pix_refraction.cpp, pix_refraction.h: added YUV
	support (kinda):  it works, but isn't precisely correct yet

2004-04-07 10:47  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreateXWin.cpp: added switchable
	support for FSAA under linux with nvidia-cards

2004-04-07 10:03  zmoelnig

	* src/Geos/imageVert.cpp: removed the genList from the
	new()-function and put it into render() (this was default on macOS
	already)

2004-04-07 10:01  zmoelnig

	* src/Geos/newWave.cpp: removed verbose output

2004-04-07 10:00  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_a_2grey.cpp, pix_grey.cpp: added
	US-english alias-name ("gray")

2004-04-07 09:58  zmoelnig

	* src/: Manips/color.cpp, Manips/colorRGB.cpp, Pixes/pix_color.cpp,
	Pixes/pix_coloralpha.cpp, Pixes/pix_colormatrix.cpp,
	Pixes/pix_colorreduce.cpp: added british alias-name

2004-04-07 07:19  zmoelnig

	* examples/07.texture/07.feedback.pd: an example for
	texture-feedbacking

2004-04-07 07:09  zmoelnig

	* src/Geos/: teapot.cpp, teapot.h: added 2nd argument for number of
	slices fixed the draw-type

2004-04-07 07:08  zmoelnig

	* src/Geos/: sphere.cpp, sphere.h: added second argument (number of
	slices) the re-creation of the sphere is now triggered by a change
	in state->texture too

2004-04-07 06:28  zmoelnig

	* src/Pixes/: pix_alpha.cpp, pix_alpha.h: the processGray tried to
	convert the image from RGB to RGBA in-place.  i have no idea, how
	this code made it into the [pix_alpha]

2004-04-07 05:12  zmoelnig

	* src/Controls/gemwin.cpp: removed the non-mac specific part in the
	fullscreen-message (no one really cares if the fullscreen-flag is
	bool or int)

2004-04-07 05:03  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h, GemBase.cpp,
	GemPixDualObj.cpp, GemPixObj.cpp: all the CPPExtern-objects now no
	their own class-name, which is stored in m_objectname
	error-messages report this name

2004-04-05 22:43  tigital

	* src/Base/GemPixImageSave.cpp: [OSX] cleaned up warnings and
	consolidated a previously used function

2004-04-04 23:06  cclepper

	* src/Pixes/pix_videoDarwin.h: removed commenting out of
	m_colorspace

2004-04-04 13:45  cclepper

	* src/Pixes/pix_texture.cpp: client_storage is now off by default
	to avoid texture corruption problems when using pix_film in 'auto
	1' mode on OSX.  setting individual frames still works fine with
	client_storage however.

2004-04-04 13:43  cclepper

	* src/Controls/gemwin.cpp: added OSX specific handling of the
	'fullscreen' message to accommodate multiple displays

2004-04-03 13:34  zmoelnig

	* help/: pix_2grey.pd, pix_a_2grey.pd, pix_add.pd, pix_alpha.pd,
	pix_background.pd, pix_backlight.pd, pix_bitmask.pd, pix_buf.pd,
	pix_chroma_key.pd, pix_color.pd, pix_coloralpha.pd,
	pix_colormatrix.pd, pix_colorreduce.pd, pix_compare.pd,
	pix_composite.pd, pix_convolve.pd, pix_coordinate.pd, pix_crop.pd,
	pix_curve.pd, pix_diff.pd, pix_dot.pd, pix_draw.pd, pix_dump.pd,
	pix_duotone.pd, pix_flip.pd, pix_gain.pd, pix_grey.pd,
	pix_halftone.pd, pix_histo.pd, pix_hsv2rgb.pd, pix_info.pd,
	pix_invert.pd, pix_kaleidoscope.pd, pix_levels.pd,
	pix_lumaoffset.pd, pix_mask.pd, pix_metaimage.pd, pix_mix.pd,
	pix_multiply.pd, pix_normalize.pd, pix_offset.pd, pix_pix2sig~.pd,
	pix_posterize.pd, pix_puzzle.pd, pix_rectangle.pd,
	pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd, pix_roll.pd,
	pix_scanline.pd, pix_subtract.pd, pix_takealpha.pd,
	pix_threshold.pd, pix_videoDS.pd, pix_yuv.pd: fixed the
	help-patches (mainly removed the "auto 1" message from [pix_buf] as
	it was absolutely non-sense

2004-04-02 19:06  cclepper

	* src/Pixes/: pix_videoDarwin.h, pix_videoDarwin.cpp: removed most
	of the debug messages.

2004-04-02 18:27  cclepper

	* src/: Base/GemPixImageSave.cpp, Base/GemPixImageSave.h,
	Pixes/pix_write.cpp: now has functioning code on OSX

2004-04-02 04:11  zmoelnig

	* src/Pixes/: DSgrabber.cpp, filmAVI.cpp, filmQT.cpp, filmQT4L.cpp,
	pix_filmNEW.cpp, pix_videoDS.cpp: removed some verbosity

2004-04-02 04:05  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: moved implementation
	code from header-file to cpp-file

2004-04-02 04:04  zmoelnig

	* src/Base/TextBase.cpp: fixed some includes (?)

2004-04-02 01:43  zmoelnig

	* src/Pixes/: DSgrabber.cpp, pix_videoDS.cpp: included the
	Base/config.h so we get the HAVE_DIRECTSHOW define when appropriate
	set the help-symbol of the directshow-version of pix_video to
	[pix_videoDS] (since the api is so different)

2004-04-01 17:00  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] now the mouse can be
	hidden/shown via the cursor 0/1 message

2004-04-01 13:52  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] finally figure out how to get
	mouse coords to be the same whether or not there is a title bar,
	and no matter where the window is on the desktop...also solves the
	"go to {0,0} when mouse leaves window" problem!

2004-03-31 00:33  tigital

	* src/Pixes/pix_motionblur.cpp: shut up a warning: can't have /*
	inside a comment

2004-03-31 00:25  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] shut up some warnings

2004-03-29 13:57  zmoelnig

	* src/TODO: i guess we should release rather sooner than later

2004-03-29 13:48  zmoelnig

	* src/yuv/: setup.h, yuv_add.cpp, yuv_add.h, yuv_adjust.cpp,
	yuv_adjust.h, yuv_average.cpp, yuv_average.h, yuv_bandw.cpp,
	yuv_bandw.h, yuv_bitshift.cpp, yuv_bitshift.h, yuv_bitwise.cpp,
	yuv_bitwise.h, yuv_blank.cpp, yuv_blank.h, yuv_blur.cpp,
	yuv_blur.h, yuv_chroma_key.cpp, yuv_chroma_key.h, yuv_clamp.cpp,
	yuv_clamp.h, yuv_compare.cpp, yuv_compare.h, yuv_difference.cpp,
	yuv_difference.h, yuv_dual.cpp, yuv_dual.h, yuv_emboss.cpp,
	yuv_emboss.h, yuv_film.cpp, yuv_film.h, yuv_filmDarwin.cpp,
	yuv_filmDarwin.h, yuv_gain.cpp, yuv_gain.h, yuv_invert.cpp,
	yuv_invert.h, yuv_luma_key.cpp, yuv_luma_key.h, yuv_mask.cpp,
	yuv_mask.h, yuv_mix.cpp, yuv_mix.h, yuv_movie.cpp, yuv_movie.h,
	yuv_mult.cpp, yuv_mult.h, yuv_pixel_average.cpp,
	yuv_pixel_average.h, yuv_pixel_data.cpp, yuv_pixel_data.h,
	yuv_pixel_isolate.cpp, yuv_pixel_isolate.h, yuv_pixel_replace.cpp,
	yuv_pixel_replace.h, yuv_posterize.cpp, yuv_posterize.h,
	yuv_set.cpp, yuv_set.h, yuv_split.cpp, yuv_split.h,
	yuv_subtract.cpp, yuv_subtract.h, yuv_swap.cpp, yuv_swap.h,
	yuv_video.cpp, yuv_video.h, yuv_videoDarwin.cpp, yuv_videoDarwin.h:
	finally removed the YUV-stuff (should have been done for ages)

2004-03-29 13:45  zmoelnig

	* doc/gem.release_notes.txt: fixed line-breaks

2004-03-29 13:32  zmoelnig

	* examples/99.games/puzzle.pd: re-added as binary (pd-files
	shouldn't be text)

2004-03-29 13:32  zmoelnig

	* examples/99.games/puzzle.pd: removed "text"-pd files (should be
	binary)

2004-03-29 13:29  zmoelnig

	* examples/: 07.texture/01.texture.pd, 07.texture/02.TexCoord.pd,
	07.texture/04.moveImages.pd, 07.texture/05.newWave.pd,
	07.texture/06.ripple.pd, 08.io/01.Mouse.pd, 08.io/02.Tablet.pd,
	08.io/03.Orb.pd, 08.io/04.UseOrb.pd, 09.openGL/01.primQuad.pd:
	re-added as binary (pd-files shouldn't be text)

2004-03-29 13:29  zmoelnig

	* examples/: 07.texture/01.texture.pd, 07.texture/02.TexCoord.pd,
	07.texture/04.moveImages.pd, 07.texture/05.newWave.pd,
	07.texture/06.ripple.pd, 08.io/01.Mouse.pd, 08.io/02.Tablet.pd,
	08.io/03.Orb.pd, 08.io/04.UseOrb.pd, 09.openGL/01.primQuad.pd:
	removed "text"-pd files (should be binary)

2004-03-29 13:25  zmoelnig

	* examples/: 05.text/01.Text.pd, 05.text/01.TextNoLoadBang.pd,
	05.text/03.ChangeText.pd, 05.text/03.ChangeTextNoLoadBang.pd,
	05.text/arial.ttf, 06.particle/01.simple.pd,
	06.particle/02.fountain.pd, 06.particle/03.orbit.pd,
	06.particle/04.combo.pd, 06.particle/05.twoSrc.pd,
	06.particle/06.target.pd, 06.particle/07.render.pd,
	06.particle/08.info.pd: re-added as binary (pd-files shouldn't be
	text)

2004-03-29 13:25  zmoelnig

	* examples/: 05.text/01.Text.pd, 05.text/01.TextNoLoadBang.pd,
	05.text/03.ChangeText.pd, 05.text/03.ChangeTextNoLoadBang.pd,
	05.text/arial.ttf, 06.particle/01.simple.pd,
	06.particle/02.fountain.pd, 06.particle/03.orbit.pd,
	06.particle/04.combo.pd, 06.particle/05.twoSrc.pd,
	06.particle/06.target.pd, 06.particle/07.render.pd,
	06.particle/08.info.pd: removed "text"-pd files (should be binary)

2004-03-29 13:22  zmoelnig

	* examples/: 03.lighting/01.world_light.pd,
	03.lighting/02.light.pd, 03.lighting/03.controlLights.pd,
	03.lighting/04.moveSpheres.pd, 03.lighting/05.materials.pd,
	04.pix/01.image.pd, 04.pix/02.multiimage.pd,
	04.pix/04.ImageInPlace.pd, 04.pix/05.film.pd, 04.pix/05.movie.pd,
	04.pix/06.PixRect.pd, 04.pix/07.PixSet.pd, 04.pix/08.PixDump.pd,
	04.pix/09.Histogram.pd, 04.pix/10.PixDataSimple.pd,
	04.pix/11.PixDataComplex.pd, 04.pix/12.add.pd,
	04.pix/12.blending.pd, 04.pix/12.composite.pd,
	04.pix/12.pix_multiply.pd, 04.pix/13.maskDancer.pd,
	04.pix/14.takeAlpha.pd, 04.pix/15.pix_alpha.pd,
	04.pix/16.alphaGrey.pd, 04.pix/16.pix_2grey.pd,
	04.pix/17.pix_gain.pd, 04.pix/18.Curves.pd,
	04.pix/19.colorMatrix.pd, 04.pix/20.convolve.pd,
	04.pix/22.biquad.pd, 04.pix/23.gravity.pd,
	04.pix/24.time-filtering.pd, 04.pix/25.buffer.pd,
	04.video/00.SimpleVideo.pd, 04.video/01.VideoPaint.pd,
	04.video/02.VideoSphere.pd, 04.video/03.movement_detection.pd,
	04.video/04.videoRTX.pd: re-added as binary (pd-files shouldn't be
	text)

2004-03-29 13:21  zmoelnig

	* examples/: 03.lighting/01.world_light.pd,
	03.lighting/02.light.pd, 03.lighting/03.controlLights.pd,
	03.lighting/04.moveSpheres.pd, 03.lighting/05.materials.pd,
	04.pix/01.image.pd, 04.pix/02.multiimage.pd,
	04.pix/04.ImageInPlace.pd, 04.pix/05.film.pd, 04.pix/05.movie.pd,
	04.pix/06.PixRect.pd, 04.pix/07.PixSet.pd, 04.pix/08.PixDump.pd,
	04.pix/09.Histogram.pd, 04.pix/10.PixDataSimple.pd,
	04.pix/11.PixDataComplex.pd, 04.pix/12.add.pd,
	04.pix/12.blending.pd, 04.pix/12.composite.pd,
	04.pix/12.pix_multiply.pd, 04.pix/13.maskDancer.pd,
	04.pix/14.takeAlpha.pd, 04.pix/15.pix_alpha.pd,
	04.pix/16.alphaGrey.pd, 04.pix/16.pix_2grey.pd,
	04.pix/17.pix_gain.pd, 04.pix/18.Curves.pd,
	04.pix/19.colorMatrix.pd, 04.pix/20.convolve.pd,
	04.pix/22.biquad.pd, 04.pix/23.gravity.pd,
	04.pix/24.time-filtering.pd, 04.pix/25.buffer.pd,
	04.video/00.SimpleVideo.pd, 04.video/01.VideoPaint.pd,
	04.video/02.VideoSphere.pd, 04.video/03.movement_detection.pd,
	04.video/04.videoRTX.pd: removed "text"-pd files (should be binary)

2004-03-29 13:19  zmoelnig

	* examples/: 01.basic/01.redSquare.pd,
	01.basic/02.blueRectangle.pd, 01.basic/03.disk.pd,
	01.basic/04.PrimTri.pd, 01.basic/05.cube.pd, 01.basic/06.sphere.pd,
	01.basic/07.cylinder.pd, 01.basic/08.model.pd,
	01.basic/09.yelloTeapot.pd, 02.advanced/01.Separator.pd,
	02.advanced/02.Ortho.pd, 02.advanced/03.View.pd,
	02.advanced/03.View_OSD.pd, 02.advanced/04.Fog.pd,
	02.advanced/05.Stereo.pd, 02.advanced/06.StereoParticle.pd,
	02.advanced/07.Snapshot1.pd, 02.advanced/08.Snapshot2.pd,
	02.advanced/09.SnapshotSave.pd, 02.advanced/10.LinearPath.pd,
	02.advanced/11.SplinePath.pd, 02.advanced/12.Hsv.pd,
	02.advanced/13.ModelRescale.pd, 02.advanced/14.RenderOrder.pd,
	02.advanced/15.GemWin.pd: re-added as binary (pd-files shouldn't be
	text)

2004-03-29 13:17  zmoelnig

	* examples/: 01.basic/01.redSquare.pd,
	01.basic/02.blueRectangle.pd, 01.basic/03.disk.pd,
	01.basic/04.PrimTri.pd, 01.basic/05.cube.pd, 01.basic/06.sphere.pd,
	01.basic/07.cylinder.pd, 01.basic/08.model.pd,
	01.basic/09.yelloTeapot.pd, 02.advanced/01.Separator.pd,
	02.advanced/02.Ortho.pd, 02.advanced/03.View.pd,
	02.advanced/03.View_OSD.pd, 02.advanced/04.Fog.pd,
	02.advanced/05.Stereo.pd, 02.advanced/06.StereoParticle.pd,
	02.advanced/07.Snapshot1.pd, 02.advanced/08.Snapshot2.pd,
	02.advanced/09.SnapshotSave.pd, 02.advanced/10.LinearPath.pd,
	02.advanced/11.SplinePath.pd, 02.advanced/12.Hsv.pd,
	02.advanced/13.ModelRescale.pd, 02.advanced/14.RenderOrder.pd,
	02.advanced/15.GemWin.pd: removed "text"-pd files (should be
	binary)

2004-03-29 13:15  zmoelnig

	* help/: accumrotate.pd, alpha.pd, alternate.pd, ambient.pd,
	ambientRGB.pd, average.pd, circle.pd, color.pd, colorRGB.pd,
	colorSquare.pd, cone.pd, counter.pd, cube.pd, cylinder.pd,
	depth.pd, diffuse.pd, diffuseRGB.pd, disk.pd, emission.pd,
	emissionRGB.pd, gemhead.pd, gemkeyboard.pd, gemkeyname.pd,
	gemmouse.pd, gemorb.pd, gemtablet.pd, gemwin.pd, hsv2rgb.pd,
	imageVert.pd, light.pd, linear_path.pd, model.pd, multimodel.pd,
	oneshot.pd, ortho.pd, part_color.pd, part_damp.pd, part_draw.pd,
	part_follow.pd, part_gravity.pd, part_head.pd, part_killold.pd,
	part_killslow.pd, part_orbitpoint.pd, part_size.pd, part_source.pd,
	part_targetcolor.pd, part_targetsize.pd, part_velcone.pd,
	part_velocity.pd, part_velsphere.pd, part_vertex.pd,
	pix_background.pd, pix_blob.pd, pix_clearblock.pd, pix_compare.pd,
	pix_data.pd, pix_film.pd, pix_halftone.pd, pix_indycam.pd,
	pix_kaleidoscope.pd, pix_mix.pd, pix_motionblur.pd,
	pix_movement.pd, pix_resize.pd, pix_roll.pd, pix_scanline.pd,
	pix_sig2pix~.pd, pix_snap.pd, pix_texture.pd, pix_video.pd,
	pix_videoDS.pd, pix_write.pd, pix_zoom.pd, polygon.pd, primTri.pd,
	randomF.pd, rectangle.pd, render_trigger.pd, rgb2hsv.pd, rotate.pd,
	rotateXYZ.pd, scale.pd, scaleXYZ.pd, separator.pd, specular.pd,
	specularRGB.pd, sphere.pd, spline_path.pd, square.pd, text2d.pd,
	text3d.pd, textextruded.pd, textoutline.pd, translate.pd,
	translateXYZ.pd, triangle.pd, tripleLine.pd, tripleRand.pd, v+.pd,
	v-.pd, vector+.pd, vector-.pd, world_light.pd: readded as binary

2004-03-29 13:14  zmoelnig

	* help/: pix_add.pd, pix_biquad.pd, pix_buf.pd, pix_chroma_key.pd,
	pix_composite.pd, pix_diff.pd, pix_imageInPlace.pd, pix_mask.pd,
	pix_multiimage.pd, pix_multiply.pd, pix_subtract.pd,
	pix_takealpha.pd, shininess.pd: added as binary

2004-03-29 13:12  zmoelnig

	* help/: pix_add.pd, pix_biquad.pd, pix_buf.pd, pix_chroma_key.pd,
	pix_composite.pd, pix_diff.pd, pix_imageInPlace.pd, pix_mask.pd,
	pix_multiimage.pd, pix_multiply.pd, pix_subtract.pd,
	pix_takealpha.pd, shininess.pd, accumrotate.pd, alpha.pd,
	alternate.pd, ambient.pd, ambientRGB.pd, average.pd, circle.pd,
	color.pd, colorRGB.pd, colorSquare.pd, cone.pd, counter.pd,
	cube.pd, cylinder.pd, depth.pd, diffuse.pd, diffuseRGB.pd, disk.pd,
	emission.pd, emissionRGB.pd, gemhead.pd, gemkeyboard.pd,
	gemkeyname.pd, gemmouse.pd, gemorb.pd, gemtablet.pd, gemwin.pd,
	hsv2rgb.pd, imageVert.pd, light.pd, linear_path.pd, model.pd,
	multimodel.pd, oneshot.pd, ortho.pd, part_color.pd, part_damp.pd,
	part_draw.pd, part_follow.pd, part_gravity.pd, part_head.pd,
	part_killold.pd, part_killslow.pd, part_orbitpoint.pd,
	part_size.pd, part_source.pd, part_targetcolor.pd,
	part_targetsize.pd, part_velcone.pd, part_velocity.pd,
	part_velsphere.pd, part_vertex.pd, pix_background.pd, pix_blob.pd,
	pix_clearblock.pd, pix_compare.pd, pix_data.pd, pix_film.pd,
	pix_halftone.pd, pix_indycam.pd, pix_kaleidoscope.pd, pix_mix.pd,
	pix_motionblur.pd, pix_movement.pd, pix_resize.pd, pix_roll.pd,
	pix_scanline.pd, pix_sig2pix~.pd, pix_snap.pd, pix_texture.pd,
	pix_video.pd, pix_videoDS.pd, pix_write.pd, pix_zoom.pd,
	polygon.pd, primTri.pd, randomF.pd, rectangle.pd,
	render_trigger.pd, rgb2hsv.pd, rotate.pd, rotateXYZ.pd, scale.pd,
	scaleXYZ.pd, separator.pd, specular.pd, specularRGB.pd, sphere.pd,
	spline_path.pd, square.pd, text2d.pd, text3d.pd, textextruded.pd,
	textoutline.pd, translate.pd, translateXYZ.pd, triangle.pd,
	tripleLine.pd, tripleRand.pd, v+.pd, v-.pd, vector+.pd, vector-.pd,
	world_light.pd: removed "text"-pd files (should be binary)

2004-03-29 13:11  zmoelnig

	* help/pix_image.pd: new help-patch

2004-03-29 11:10  zmoelnig

	* help/gemhead.pd: updated documentation

2004-03-29 11:09  zmoelnig

	* src/gem.dsp: compiled under windoze and thus updated my
	project-file

2004-03-29 11:08  zmoelnig

	* src/Base/GemVersion.h: version is now ReleaseCandidate-1

2004-03-29 11:05  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_blur.cpp, pix_dot.cpp: removed
	unneeded variables to silence macOS-gcc

2004-03-29 11:03  zmoelnig

	* src/Geos/: curve.cpp, disk.cpp, newWave.cpp, slideSquares.cpp:
	removed unneeded variables to shut down macOS-gcc

2004-03-29 11:02  zmoelnig

	* src/Base/GemWinCreateMac.cpp: accidentially the button-state was
	reported to be "1" when released (like on press); fixed

2004-03-29 11:01  zmoelnig

	* src/Base/GemPixImageSave.cpp: type change to get rid of
	compiler-warning under macOS

2004-03-29 11:00  zmoelnig

	* GEM_darwin.pbproj/: project.pbxproj, zmoelnig.pbxuser: compiled
	it and therefore updated my project files

2004-03-29 01:43  zmoelnig

	* src/Base/TextBase.cpp: added includes for NT

2004-03-29 01:12  cclepper

	* src/Geos/: sphere.cpp, sphere.h: changed the render function to
	only calculate the geometry when the geometry changes.	results in
	at least a 3X speedup.

2004-03-26 01:40  cclepper

	* src/Pixes/pix_offset.cpp: initialized the Y,U,V variables to 0. 
	no more random color fields on loading a patch with pix_offset.

2004-03-25 14:57  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX]-only:  standardized mouse
	location to "window relative":	however, remember that (0,0) is
	always the top left corner, whether or not there is a title
	bar/border

2004-03-25 12:22  zmoelnig

	* src/: Base/GemBase.cpp, Base/GemCache.cpp, Base/GemCache.h,
	Base/GemPixDualObj.cpp, Base/GemPixObj.cpp,
	Pixes/pix_clearblock.cpp, Pixes/pix_image.cpp,
	Pixes/pix_multiimage.cpp, Pixes/pix_snap.cpp: added a magic-number
	to the GemCache to ensure that the cache is valid

2004-03-25 07:12  zmoelnig

	* src/Controls/gemhead.cpp: initialize GemCache on creation, so we
	can dynamically create [gemhead]s and they will start rendering
	without having to restart the engine

2004-03-25 05:03  zmoelnig

	* src/Geos/model.cpp: removed another post()

2004-03-24 16:11  zmoelnig

	* src/Geos/model.cpp: removed the "drawing all groups" messages

2004-03-24 16:10  zmoelnig

	* src/Base/: GemCache.cpp, GemCache.h: added a reset()-method to
	re-set an instance without having to destroy and re-create it (see
	[gemhead])

2004-03-24 16:08  zmoelnig

	* src/Controls/gemhead.cpp: each gemhead now has an instance of the
	GemCache that is only reset when rendering is started (instead of
	being destroyed and re-created) hopefully this fixes some memory
	bug.

2004-03-24 12:27  zmoelnig

	* src/openGL/: GEMglCallList.cpp, GEMglCallList.h: added, since
	needed for debugging

2004-03-24 08:20  zmoelnig

	* src/Controls/gemhead.cpp: fixed initial materials (ambient,
	specular, diffuse, shininess, emission)

2004-03-24 06:47  zmoelnig

	* src/Base/: TextBase.cpp, TextBase.h: added auto-(re)loading of
	fonts when rendering is started fixed some cleanup-issues

2004-03-24 06:41  zmoelnig

	* src/Geos/text2d.cpp: removed "done" message

2004-03-21 14:58  zmoelnig

	* help/: curve.pd, invert.pd, pix_2grey.pd, pix_a_2grey.pd,
	pix_aging.pd, pix_alpha.pd, pix_bitmask.pd, pix_coloralpha.pd,
	pix_colormatrix.pd, pix_convolve.pd, pix_coordinate.pd,
	pix_curve.pd, pix_draw.pd, pix_dump.pd, pix_flip.pd, pix_gain.pd,
	pix_histo.pd, pix_hsv2rgb.pd, pix_image.pd, pix_invert.pd,
	pix_metaimage.pd, pix_movie.pd, pix_normalize.pd, pix_offset.pd,
	pix_pix2sig~.pd, pix_puzzle.pd, pix_rectangle.pd,
	pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd, pix_rtx.pd,
	pix_set.pd, pix_threshold.pd, teapot.pd: readded help-patches

2004-03-21 14:53  zmoelnig

	* help/: curve.pd, invert.pd, pix_2grey.pd, pix_a_2grey.pd,
	pix_aging.pd, pix_alpha.pd, pix_bitmask.pd, pix_coloralpha.pd,
	pix_colormatrix.pd, pix_convolve.pd, pix_coordinate.pd,
	pix_curve.pd, pix_draw.pd, pix_dump.pd, pix_flip.pd, pix_gain.pd,
	pix_histo.pd, pix_hsv2rgb.pd, pix_image.pd, pix_invert.pd,
	pix_metaimage.pd, pix_movie.pd, pix_normalize.pd, pix_offset.pd,
	pix_pix2sig~.pd, pix_puzzle.pd, pix_rectangle.pd,
	pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd, pix_rtx.pd,
	pix_set.pd, pix_threshold.pd, teapot.pd: removed to check in as
	"binary" again

2004-03-21 14:52  zmoelnig

	* help/: pix_grey.pd, pix_yuv.pd: updated help-patches

2004-03-21 08:39  zmoelnig

	* src/Geos/: curve.cpp, curve.h: fixed rectangle textureing

2004-03-20 15:42  zmoelnig

	* doc/gem.known_bugs.txt: fixed bugs

2004-03-20 15:36  zmoelnig

	* src/: Base/GemGluObj.cpp, Base/GemGluObj.h, Geos/cone.cpp,
	Geos/cone.h, Geos/cylinder.cpp, Geos/cylinder.h, Geos/disk.cpp,
	Geos/sphere.cpp, Geos/sphere.h: rolled the GLU code directly into
	the objects to enable rectangle textures

2004-03-20 11:42  zmoelnig

	* src/: Geos/teapot.cpp, Geos/teapot.h, Gnu/configure: cleaned
	GLUT-removal code a bit

2004-03-20 11:06  zmoelnig

	* src/: Geos/teapot.cpp, Geos/teapot.h, Gnu/configure.in,
	Base/GemGlutObj.cpp, Base/GemGlutObj.h, Base/configLinux.h.in:
	removed dependencies on GLUT [teapot] is now "built-in"

2004-03-19 14:52  zmoelnig

	* help/: pix_texture.pd, pix_texture2.pd, pix_videoDS.pd: updated
	help-patches removed all traces of [pix_texture2]

2004-03-19 14:12  zmoelnig

	* help/: curve.pd, polygon.pd: updated help-patches

2004-03-19 14:09  zmoelnig

	* src/Pixes/: pix_compare.cpp, pix_compare.h, pix_diff.cpp,
	pix_diff.h: added grayscale support

2004-03-19 12:00  zmoelnig

	* src/Geos/: polygon.cpp, polygon.h: removed the "maximum number of
	control points" restriction (so now, we can have 1000s of control
	points in polygon/curve)

2004-03-19 10:01  zmoelnig

	* help/: alternate.pd, colorSquare.pd, curve.pd, gemhead.pd,
	gemkeyboard.pd, gemkeyname.pd, gemmouse.pd, gemtablet.pd,
	hsv2rgb.pd, imageVert.pd, invert.pd, light.pd, linear_path.pd,
	model.pd, multimodel.pd, oneshot.pd, ortho.pd, polygon.pd,
	primTri.pd, rectangle.pd, render_trigger.pd, rotate.pd,
	rotateXYZ.pd, scale.pd, scaleXYZ.pd, separator.pd, specular.pd,
	specularRGB.pd, square.pd, text2d.pd, text3d.pd, textextruded.pd,
	textoutline.pd, translate.pd, translateXYZ.pd, triangle.pd,
	tripleLine.pd, v+.pd, world_light.pd: new help-patches (e.g:
	working examples)

2004-03-19 10:00  zmoelnig

	* src/Geos/polygon.cpp: added a method "width" for the linewidth
	(compatibility with other geos)

2004-03-19 09:58  zmoelnig

	* src/MarkEx/hsvrgb.cpp: changed the helpsymbol

2004-03-19 09:54  zmoelnig

	* src/Base/GemWinCreateMac.cpp: got the mapping from mac-buttons to
	gem-buttons right (hopefully)

2004-03-19 06:47  zmoelnig

	* help/randF.pd: randF is only an alias for randomF; there
	shouldn't be a separate help-file

2004-03-18 11:51  zmoelnig

	* src/: Base/GemWinCreateMac.cpp, Controls/gemmouse.cpp: the
	mac-spefific button-offset has been moved to GemWinCreateMac

2004-03-17 15:04  zmoelnig

	* src/Pixes/: pix_filmNEW.h, pix_videoNEW.h: force auto-registering
	when appropriate

2004-03-17 15:02  zmoelnig

	* src/Pixes/: film.cpp, film.h, filmAVIPLAY.cpp, filmMPEG1.cpp,
	filmMPEG3.cpp, filmQT4L.cpp: set the "newfilm"-flag when a new film
	is loaded

2004-03-17 14:58  zmoelnig

	* src/Geos/curve3d.cpp: tried to fix rectangle textures

2004-03-16 14:41  zmoelnig

	* src/Geos/: circle.cpp, newWave.cpp, newWave.h, ripple.cpp,
	ripple.h, rubber.cpp, rubber.h, slideSquares.cpp, tube.cpp: tried
	to fix rectangle textures

2004-03-15 20:16  tigital

	* src/Base/GemMan.cpp: OSX only:  forgot to "return noErr" in event
	loop!

2004-03-15 08:35  zmoelnig

	* src/Pixes/pix_tIIR.cpp: small bug-fix: a unity gain of "1" was
	translated to 255>>8 (which is less than 1 and led to fading
	feed-backs)

2004-03-13 04:10  cclepper

	* src/Pixes/pix_movement.cpp: fixed #ifdefs

2004-03-10 12:32  zmoelnig

	* src/Gnu/: aclocal.m4, configure, configure.in: changed the
	configure-process GemLibs can now be specified with "--gemlibs"
	additional search-paths for ALL libraries can be specified with
	"--libdir"

2004-03-10 12:07  zmoelnig

	* src/Pixes/pix_movement.cpp: ifdef'd the altivec code with __VEC__

2004-03-10 12:03  zmoelnig

	* src/: Controls/gemhead.h, Controls/gemkeyboard.h,
	Controls/gemkeyname.h, Controls/gemmouse.h, Controls/gemorb.h,
	Controls/gemtablet.h, Controls/gemwin.h, openGL/GLdefine.h,
	Pixes/pix_buffer.h: added the HELPSYMBOL-BASE "Gem/", so the
	help-patches will work, even though this object inherits from
	CPPExtern and not from GemBase

2004-03-10 11:55  zmoelnig

	* src/Pixes/: pix_depot.cpp, pix_depot.h, pix_get.h, pix_put.h:
	pix_depot and friends are now in pix_buffer et al.

2004-03-10 11:04  zmoelnig

	* src/Base/: TextBase.cpp, TextBase.h: added a new justification
	"BASE" that does no justification at all; usefull, if you want a
	constant base-line.

2004-03-07 13:49  cclepper

	* src/Base/GemWinCreateMac.cpp: new fullscreen code for 10.3 which
	is good.  the window deletion routine does crash every 10-20
	iterations though, which is bad.

2004-02-29 20:29  cclepper

	* src/Pixes/pix_background.cpp: added some more cache hints - 45%
	percent faster

2004-02-29 20:02  cclepper

	* src/Pixes/: pix_film.cpp, pix_film.h, pix_filmDarwin.cpp,
	pix_filmDarwin.h: I think this fixes the majority of playback
	problems on OSX.  Movie loading is faster, playback is smoother
	using 'rate $1'.

2004-02-29 19:58  cclepper

	* src/Pixes/pix_gain.cpp: just a cleaning

2004-02-29 19:55  cclepper

	* src/Pixes/pix_motionblur.cpp: slightly tweaked Altivec (load
	hoisting)

2004-02-29 19:52  cclepper

	* src/Pixes/: pix_movement.cpp, pix_movement.h: added some Altivec
	for YUV

2004-02-29 19:50  cclepper

	* src/Pixes/pix_offset.cpp: slightly better altivec.

2004-02-29 00:24  cclepper

	* src/Base/GemWinCreateMac.cpp: an improved window bounds fix. 
	still need to find a workaround for the fullscreen on 10.3 though

2004-02-25 01:25  cclepper

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: split processing into
	RGBA and YUV portions.	added Altivec for YUV.

2004-02-16 14:07  zmoelnig

	* src/Base/TextBase.cpp: added path-searching for fonts.  so you
	can add your systems favorite font-path and get a lot of other
	TrueType-faces

2004-02-15 23:06  cclepper

	* src/Pixes/pix_blob.cpp: changed float to int processing in the
	YUV code - now 10X faster.

2004-02-15 13:32  cclepper

	* src/Base/GemWinCreateMac.cpp: this should fix the window bounds
	problem.

2004-02-13 09:09  zmoelnig

	* GEM_darwin.pbproj/project.pbxproj: hopefully got the
	reference-types allright ("relative" instead of "absolute")

2004-02-13 09:06  zmoelnig

	* GEM_darwin.pbproj/zmoelnig.pbxuser: updated my project

2004-02-12 12:31  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: fixed a bug with filename-searching

2004-02-12 12:28  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h, video.cpp, video.h,
	videoDV4L.cpp, videoDV4L.h: added better support for firewire under
	linux (thanks to franz hildgen)

2004-02-12 12:25  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: fixed a type that prevented this
	from being compiled

2004-02-10 07:36  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: now the gemwindow can be created
	even if we only have DirectColor (instead of TrueColor); however i
	haven't bothered yet with setting up the Palettes.

2004-02-10 07:27  zmoelnig

	* src/Controls/gemwin.cpp: added a newline at end of file

2004-02-10 07:24  zmoelnig

	* src/Base/GemMan.cpp: more friendly output of the "create window"
	message

2004-02-10 05:47  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: - added ErrorHandling, so Gem
	doesn't crash if the display-/window-context has vanished before we
	try to destroy the gemwindow - removed checking for ModLines on
	remote displays; this used to crash; unfortunately this disables
	fullscreen on remote displays

2004-02-10 05:23  zmoelnig

	* src/Base/GemMan.cpp: added and disabled Guenter at the
	splash-screen (again)

2004-02-06 07:10  zmoelnig

	* src/Geos/model.cpp: BUGFIX: used to crash when no model was
	loaded and trying to apply a texture.  (at least if NDEBUG was not
	defined)

2004-02-06 07:08  zmoelnig

	* src/Manips/: ortho.cpp, ortho.h: as ben has pointed out, there
	seems to be a bug when rendering to non-square windows: everything
	get's distorted (say: on 640x480 a square would be a rectangle with
	a 4/3-aspect); since i think this might break a lot of things (?),
	i have left the old default behaviour but you can turn off
	compatibility with "compat 0"

2004-02-05 13:17  zmoelnig

	* src/: gem.dsp, gem_vc6.dsw: updated my vc-project it now compiles
	with FTGL

2004-02-05 13:16  zmoelnig

	* src/Base/: config.h, TextBase.h, configDarwin.h, configNT.h:
	moved the defines for the platforms (e.g: whether macos uses FTGL)
	into the appropriate config*.h files

2004-02-02 06:19  zmoelnig

	* src/TODO: all docu is done; but we need to compile it under
	windows with FTGL support (i failed...)

2004-02-02 06:18  zmoelnig

	* src/gem.dsp: updated my project

2004-02-02 06:15  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: put QT-loader *after* the AVI-loader,
	because QT sometimes crashes when having loaded AVI's and tries to
	load QT's afterwards.  so AVI is now handled by the built in (for
	win) routines, and QuickTime is only used if it fails

2004-02-02 06:13  zmoelnig

	* src/Pixes/videoV4L.cpp: post "video4linux" and remove post of
	"fish" ;-)

2004-02-02 06:12  zmoelnig

	* src/Pixes/videoDV4L.cpp: added some support for devices not
	handled by devfs; added upside-down flag decode RGBA by hand (since
	otherwise we would decode YUV->RGB->RGBA, all in software...)

2004-02-02 06:11  zmoelnig

	* src/Pixes/video.h: ifdef'ed the inclusion of m_pd.h to make sure
	it is not included double (breaks with old version of pd)

2004-02-02 06:08  zmoelnig

	* src/Manips/camera.h: exported the CVector class, since vc
	complaint about this (probably this will break future things...)

2004-02-02 06:06  zmoelnig

	* src/Base/GemPixUtil.cpp: hopefully fixed fromUYVY since it did
	mix up U and V when decoding dv-streams

2004-02-02 06:04  zmoelnig

	* src/Geos/model_loader.cpp: fixed types to keep compiler silent

2004-02-02 06:03  zmoelnig

	* src/Pixes/pix_movieDarwin.cpp: ifdef'ed everything to be
	__APPLE__ only

2004-01-31 01:55  cclepper

	* src/Pixes/: pix_movieDarwin.cpp, pix_movieDarwin.h: new pix_movie
	for OSX.  uses an optimized path for movie playing and texturing.

2004-01-28 20:59  tigital

	* src/Pixes/: pix_kaleidoscope.cpp, pix_colorreduce.cpp:
	initialized variables to shutup compiler warnings

2004-01-28 11:06  tigital

	* src/Base/GemMan.cpp: OSX only:  added carbon event processing to
	dispatchGemWindowMessages() (Finally!)

2004-01-28 11:02  tigital

	* src/: Base/GemEvent.cpp, Base/GemEvent.h, Controls/gemmouse.h:
	added mouse wheel support, though there is no outlet (yet)

2004-01-28 10:59  tigital

	* src/Controls/gemmouse.cpp: added mouse wheel support OSX only: 
	added support for correct mouse buttons

2004-01-28 10:54  tigital

	* src/Base/GemWinCreateMac.cpp: OSX only:  added event handler
	support for window, mouse and keyboard events (ie. [gemmouse] and
	[gemkeyboard]), plus the window now behaves in a standard gui
	manner

2004-01-27 23:46  cclepper

	* src/Pixes/pix_filmDarwin.h: fixed a little problem with newImage
	being multiply defined

2004-01-27 12:13  zmoelnig

	* src/Pixes/: pix_texture2.cpp, pix_texture2.h: re-removed them
	(somehow they reappeared in the CVS; guess it has to do with
	sourceforge's server-sync)

2004-01-21 11:50  zmoelnig

	* src/Geos/: model.cpp, model_loader.cpp, model_loader.h: added
	support for rectangle textures even with sphereMaps ("texture 1")

2004-01-20 03:13  cclepper

	* src/Geos/: model.cpp, model.h, multimodel.cpp, model_loader.cpp,
	model_loader.h: added support for rectangle textures to glm

2004-01-09 05:32  zmoelnig

	* src/gem.dsp: updated my vc-project

2004-01-09 05:31  zmoelnig

	* src/BUGS: updated fixed bugs

2004-01-09 00:09  tigital

	* src/Pixes/pix_filmDarwin.h: values should be "TimeValue", not
	int's (shuts up compiler warnings)

2004-01-08 23:27  tigital

	* src/Geos/model_loader.cpp: added (int *) casts to fscanf() calls
	to shutup compiler (someone had to do it!)

2004-01-08 14:16  zmoelnig

	* src/Geos/model_loader.h: hmm: probably new linebreaks

2004-01-08 14:07  zmoelnig

	* src/Pixes/: pix_kaleidoscope.cpp, pix_kaleidoscope.h: YUV-support
	fixed (the image looks "different" (squashed) than RGBA, but at
	least it is functional and not crashing any more), Grayscale works
	great

2004-01-08 14:03  zmoelnig

	* src/Gnu/undocumented_objects: i think, all objects are documented
	(somehow: some help-patches are rather crude)

2004-01-08 14:02  zmoelnig

	* src/Geos/: ripple.cpp, ripple.h, rubber.cpp, rubber.h: several
	BUG-fixes (esp: put the pivot-point of rubber/ripple into the
	center; made the sizeMess-work; use normalized coordinates for
	rubber (now independent of the window-dimensions)

2004-01-08 13:58  zmoelnig

	* examples/07.texture/06.ripple.pd, help/newWave.pd,
	help/pix_kaleidoscope.pd, help/ripple.pd, help/rubber.pd: updated
	documentation

2004-01-05 14:13  zmoelnig

	* examples/07.texture/05.newWave.pd, help/newWave.pd: updated docs

2004-01-05 14:08  zmoelnig

	* help/pix_background.pd: use a movie rather than an image for
	demonstrating this

2004-01-05 13:37  zmoelnig

	* src/Pixes/pix_filmDarwin.h: added newImage-variable since it was
	needed

2004-01-05 13:35  zmoelnig

	* src/Pixes/pix_colorreduce.cpp: removed a debug message

2004-01-05 13:34  zmoelnig

	* src/Geos/model_loader.h: added an include for windows

2004-01-05 13:20  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: re-added inlets for height,
	size and mode transformed and scaled the newWave so that it behaves
	exactly like a square of the same dimension when there is no
	motion.
	
	ASK: why is this "blend" function in there ?

2004-01-05 06:08  zmoelnig

	* src/Gnu/: configure, configure.in: better checks for pd-version

2004-01-05 05:18  zmoelnig

	* examples/04.pix/24.time-filtering.pd: glu-objects (like sphere)
	have a bit of a problem with non-power-of-2 textures

2004-01-05 04:58  zmoelnig

	* examples/04.video/00.SimpleVideo.pd: updated documentation

2004-01-05 04:42  zmoelnig

	* GEM_darwin.pbproj/zmoelnig.pbxuser: my project-builder project
	has been updated

2004-01-05 04:41  zmoelnig

	* GEM.README, GEM_INSTALL.bat, GEM_INSTALL.sh, GEM_RELUNIX.sh:
	updated doc

2004-01-05 04:28  zmoelnig

	* src/openGL/README: fixed typos

2004-01-05 04:23  zmoelnig

	* src/Pixes/pix_normalize.cpp: use integer calcs rather than
	floating point

2004-01-04 13:56  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L.h: bugfix (videoV4L crashed
	when you tried to open a non-existant device)

2004-01-04 13:53  zmoelnig

	* src/Gnu/: Makefile.in, configure, configure.in, makesource: added
	checks for the pd-version (because of reference install-paths)

2004-01-04 13:51  zmoelnig

	* manual/: BasicObj.html, GemFaq.html, GemWPd.html, Gloss.html,
	Images.html, Lighting.html, ListObjects.html, Pixes.html,
	Texture.html, WriteCode.html: updated documentation

2004-01-04 13:48  zmoelnig

	* doc/gem.known_bugs.txt, doc/gem.release_notes.txt,
	doc/gem.todo.txt, examples/04.pix/05.film.pd,
	examples/04.pix/07.PixSet.pd, examples/04.pix/12.pix_multiply.pd,
	examples/04.pix/24.time-filtering.pd,
	examples/04.video/00.SimpleVideo.pd,
	examples/07.texture/06.ripple.pd, examples/99.games/puzzle.pd:
	updated documentation

2003-12-30 21:54  cclepper

	* src/Geos/: model.cpp, model.h, model_loader.cpp, model_loader.h:
	added support for groups

2003-12-30 21:49  cclepper

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h: yet another
	rewrite of the QT tasking code.  this should hopefully give the
	'best of both worlds'.

2003-12-17 01:21  cclepper

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h: added the real
	frame counting method and made improvements to using the counter
	method of playback - no double processed frames

2003-12-17 01:13  tigital

	* src/Pixes/: pix_biquad.h, pix_film.h: rearranged variables to
	shut up gcc 3.3 about initialization

2003-12-17 01:13  tigital

	* src/Pixes/pix_2grey.cpp: removed unused vector to shut up gcc 3.3

2003-12-17 01:11  tigital

	* src/Geos/newWave.h, examples/07.texture/05.newWave.pd: added
	Cyrille's changes:  now it's more controllable (and useful):  see
	examples/07.texture/05.newWave.pd

2003-12-17 01:05  tigital

	* src/Geos/newWave.cpp: added Cyrille's changes:  now it's more
	controllable (and useful):  see examples/07.texture/05.newWave.pd

2003-12-12 13:21  zmoelnig

	* src/MarkEx/abs.cpp: dos2unix -- linebreaks

2003-12-09 21:18  cclepper

	* src/Pixes/: pix_filmDarwin.h, pix_filmDarwin.cpp: rewrite to make
	playback using 'auto' more efficient.  'rate' message sets the
	playback speed when using 'auto' mode.	the movie rate is properly
	set for correct qt playback.  new doDebug for handling internal
	state info display to the console.

2003-12-08 01:02  cclepper

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h: added hiquality
	message to deal with DV streams (yeah i know it's ass backwards to
	disable hiquality to make DV streams look good)

2003-12-06 21:47  cclepper

	* src/Pixes/pix_texture.cpp: changed internal texture format back
	to RGBA so now alpha works in textures

2003-12-06 00:04  cclepper

	* src/Pixes/pix_videoDarwin.cpp: default is now set to YUV
	colorspace

2003-12-04 12:57  zmoelnig

	* help/curve3d.pd: new help-patch from cyrille

2003-12-04 12:53  zmoelnig

	* help/: alpha.pd, ambientRGB.pd, diffuseRGB.pd, gemhead.pd,
	gemkeyboard.pd, gemkeyname.pd, gemmouse.pd, gemwin.pd,
	imageVert.pd, light.pd, part_color.pd, part_damp.pd, part_draw.pd,
	part_follow.pd, part_killold.pd, part_killslow.pd,
	part_targetcolor.pd, part_targetsize.pd, pix_2grey.pd,
	pix_a_2grey.pd, pix_add.pd, polygon.pd, rectangle.pd, separator.pd,
	square.pd, triangle.pd: reviewed help-patches

2003-12-04 08:18  zmoelnig

	* src/: Base/GemShape.cpp, Base/GemShape.h, Geos/polygon.cpp,
	Geos/polygon.h, Geos/primTri.cpp: bugfix: one additional inlet was
	created for [primTri], [curve] and [polygon] by GemShape.  i have
	added a new creator for GemShape (without arguments) that will not
	create the "size"-inlet - this is for objects that want only the
	"draw" and "width" message

2003-12-04 07:19  zmoelnig

	* src/Pixes/pix_mix.h: the bugfix for Grey-support needs a
	header-file too...

2003-12-03 08:21  zmoelnig

	* src/Pixes/pix_mix.cpp: BUGFIX: grayscale was missing

2003-12-03 02:18  cclepper

	* src/Pixes/: pix_texture.cpp, pix_texture.h: made client_storage a
	user defined option.  this is a temporary workaround to some
	texture corruption issues.

2003-12-02 10:26  zmoelnig

	* src/gem.dsp: my new windows-project

2003-12-02 10:26  zmoelnig

	* src/BUGS: filed YUV-bug of pix_kaleidoscope

2003-12-02 10:22  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: added dummy
	messages for "enumerate" and "dialog" (used by pix_videoDS, in the
	future probably by others...)

2003-12-02 10:21  zmoelnig

	* src/Pixes/: pix_videoDS.cpp, pix_videoDS.h: "dialog" with no args
	is now the same as "setup" ("setup" message should be deprecated)

2003-12-02 10:20  zmoelnig

	* src/Pixes/: pix_video.cpp, pix_video.h: added dummy messages for
	"enumerate" and "dialog" (used by pix_videoDS)

2003-12-02 10:19  zmoelnig

	* src/Pixes/pix_filmQT.cpp: upside down

2003-12-02 10:18  zmoelnig

	* src/Pixes/: pix_filmNT.cpp, pix_filmNT.h: support for
	colour-space switching

2003-12-02 10:18  zmoelnig

	* src/Pixes/: pix_filmNEW.cpp, pix_filmNEW.h: use __NEW_FILM rather
	than __NEW__

2003-12-02 10:17  zmoelnig

	* src/Pixes/pix_filmDarwin.cpp: colourspace-switching with GL_*
	rather than 0 (YUV) and 1 (RGBA)

2003-12-02 10:16  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_film.h: a bit of support for
	colourspace-switching

2003-12-02 10:15  zmoelnig

	* src/Pixes/: filmQT.cpp, filmQT.h: made it a bit more stable on
	windos

2003-12-02 10:14  zmoelnig

	* src/Pixes/pix_biquad.cpp: added some braces to make execution
	order clearer

2003-12-02 09:57  zmoelnig

	* src/Base/: config.h, configNT.h: split __NEW__ in __VIDEO_NEW and
	__FILM_NEW

2003-12-02 01:36  cclepper

	* src/Pixes/pix_sig2pix.cpp: changed in to GLint to match prototype
	of csMess

2003-12-02 00:38  cclepper

	* src/Pixes/pix_videoDarwin.cpp: fixed error in code - it now
	compiles

2003-12-01 09:48  zmoelnig

	* src/gem.dsp: once in a while i compile under NT...

2003-12-01 09:47  zmoelnig

	* src/Base/configLinux.h: configLinux.h should be generated for all
	machines by the configure-script.  don't know, how this came into
	the CVS

2003-12-01 09:27  zmoelnig

	* src/BUGS: another bug fixed for NT

2003-12-01 09:19  zmoelnig

	* src/Gnu/configure: rebuilt configure to add the "-l" flags

2003-12-01 09:05  zmoelnig

	* src/Gnu/aclocal.m4: rebuilt it with another version of "aclocal"

2003-12-01 08:55  zmoelnig

	* src/BUGS: another bugfix (pix_videoDS) reported

2003-12-01 08:52  zmoelnig

	* src/BUGS: updated bugfixes ("create" on remote X-servers works
	for most but my machine)

2003-12-01 08:48  zmoelnig

	* src/Gnu/: acinclude.m4, aclocal.m4: bugfix: configure wouldn't
	add "-l" flags for "standard" libraries found with AC_FIND_LIB

2003-12-01 05:09  zmoelnig

	* src/Pixes/: pix_videoDS.cpp, pix_videoDS.h: removed swapMess()
	and dimenMess() - should be handled by the parent-class
	
	removed explicit-call to the parent's setupCallback; should be
	handled via CPPExtern.
	
	turned on capturing for device 0 by default.
	
	Callback() now returns NOERROR instead of S_FALSE: i don't know why
	we would want to stop grabbing::i only got 1 frame and it stopped;
	now i can grab moving images ! messages:
	
	the pixBlock-array is now called m_pixBlockBuf[]; m_pixBlock is
	another pixBlock that gets the data on "render()" via fromBGR(). 
	LATER: add other functions to let users select the color-space via
	the setup-dialog
	
	added a "colorspace" message, that sets the output-colorspace (not
	the capturing one!)
	
	made the "device" message an alias for "open" (because of
	compatibility to pix_videoNEW) made the "dialog"-message (without
	arguments) an alias for "setup", because this gives us one (1)
	interface to popup-dialogs.
	
	LATER: make "dimen", "norm", "channel" work

2003-12-01 04:59  zmoelnig

	* src/Pixes/pix_videoDarwin.cpp: changed the m_colorspace, to not
	only be 0 (for YUV) and 1(for RGBA) but rather GL_YCBCR422_GEM and
	GL_RGBA

2003-12-01 04:56  zmoelnig

	* src/Pixes/pix_video.h: if we HAVE_DIRECTSHOW, we disable the
	AUTO_REGISTER  stuff, if(!) DO_AUTO_REGISTER_CLASS is not defined. 
	pix_videoDS will define the DO_AUTO..., to register itself
	
	this is *very* ugly LATER rethink this

2003-12-01 04:52  zmoelnig

	* src/Pixes/: pix_videoNT.cpp, pix_videoNT.h: removed offsetMess()
	and swapMess(); should be handled by the parent-class use fromBGR()
	rather than doing it by hand. this enables other color-spaces too!
	added a colorspace-message

2003-12-01 04:50  zmoelnig

	* src/Gnu/: acinclude.m4, aclocal.m4, configure, configure.in:
	changed the configure a bit to make more intelligent searches in
	the search-paths, for both libs and headers we now search
	/usr/local/src and /usr/local/include instead of whole /usr/local
	(at least for headers)

2003-11-28 13:19  ggeiger

	* src/Manips/alpha.cpp: fixed alpha depthtest default value

2003-11-25 12:38  zmoelnig

	* src/Pixes/: pix_pix2sig.cpp, pix_pix2sig.h: support for different
	colour-spaces

2003-11-25 12:38  zmoelnig

	* src/Pixes/: pix_sig2pix.cpp, pix_sig2pix.h: support for different
	colour-spaces (use "colorspace"-message)

2003-11-25 11:54  zmoelnig

	* src/Pixes/: pix_sig2pix.cpp, pix_sig2pix.h: using
	setCsizeByFormat() instead of doing this by hand also there is now
	a m_reqFormat defining the colourspace (but only GL_RGBA is
	supported....)

2003-11-25 11:52  zmoelnig

	* src/Base/GemPixUtil.cpp: setCsizeByFormat now also sets the
	"type" (pixel alignment) on __APPLE__ the default is yuv,
	everywhere else it is rgba

2003-11-25 11:51  zmoelnig

	* src/Pixes/videoV4L.cpp: using setCsizeByFormat instead of doing
	it by hand

2003-11-25 11:28  zmoelnig

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: fixed a stupid bug,
	that was blacking the "last" buffer each cycle.  added
	object-arguments as initial parameters take care of
	colorspace-changes

2003-11-25 10:16  zmoelnig

	* src/Pixes/pix_filmNEW.h: disabled the auto_registering if __NEW__
	is not defined exclude "Base/config.h" since it is already included
	by film.h

2003-11-25 10:14  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: set the helpsymbol to "pix_film"
	instead of "pix_filmNEW" uncommented the use of canvas_getfilename
	since it makes problems with internet-streams (as far as i
	remember)

2003-11-25 10:09  zmoelnig

	* src/Pixes/pix_video.cpp: moved the disabling of auto-register to
	pix_video.h

2003-11-25 10:07  zmoelnig

	* src/Pixes/pix_filmYUV.h: include "Base/config.h" for all OS
	(since the config.h will separate the sysdependent things)

2003-11-25 10:06  zmoelnig

	* src/Pixes/pix_film.cpp: rewrote the "colorspace"-callback

2003-11-25 10:05  zmoelnig

	* src/Pixes/pix_film.h: disabled the auto_registering if __NEW__ is
	defined

2003-11-25 10:04  zmoelnig

	* src/Pixes/pix_movieNEW.cpp: set the help-symbol to "pix_movie"
	(instead of "pix_movieNEW")

2003-11-25 10:03  zmoelnig

	* src/Pixes/pix_videoLinux.cpp: moved the disabling of
	auto-register to pix_video.h

2003-11-25 10:02  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: set the help-symbol to "pix_video"
	(instead of "pix_videoNEW")

2003-11-25 10:01  zmoelnig

	* src/Pixes/pix_videoNEW.h: disabled the auto_registering if
	__NEW__ is not defined

2003-11-25 10:00  zmoelnig

	* src/Pixes/pix_video.h: disabled the auto_registering if __NEW__
	is defined

2003-11-25 09:59  zmoelnig

	* src/Pixes/pix_sig2pix.cpp: used setBlack() instead of memset();
	use reallocate()

2003-11-25 09:57  zmoelnig

	* src/Pixes/videoV4L.cpp: setting newfilm to 0 (shouldn't do
	anything since we are on linux (?))

2003-11-25 09:55  zmoelnig

	* src/Pixes/video.h: include "Base/config.h" for all OS (since the
	config.h will separate the sysdependent things) exclude "GemBase.h"
	and use "m_pd.h" instead (shouldn't be needed either, if it wasn't
	for post())

2003-11-25 09:54  zmoelnig

	* src/Pixes/: pix_info.cpp, pix_info.h: get more information the
	last outlet (data) is still the last outlet (but now there are 6
	instead of 4). this shouldn't break anything, since who can do
	something with it ?

2003-11-25 09:53  zmoelnig

	* src/Pixes/film.h: include "Base/config.h" for all OS (since the
	config.h will separate the sysdependent things)

2003-11-25 09:51  zmoelnig

	* src/Gnu/: configure, configure.in: added "--disable-new" for
	"old" behaviour with pix_film/pix_video and friends under linux
	this the config.h.in for linux-autoconf has moved to
	configLinux.h.in

2003-11-25 09:48  zmoelnig

	* src/Base/config.h.in: made config.h system-independent.  this the
	config.h.in for linux-autoconf has moved to configLinux.h.in

2003-11-25 09:46  zmoelnig

	* src/Base/: config.h, configDarwin.h, configLinux.h,
	configLinux.h.in, configNT.h: made config.h system-independent. 
	the system-bound configurations are stored in separate files (like
	Base/configLinux.h) which are included by config.h (depending on
	__linux__ and friends)

2003-11-25 09:43  zmoelnig

	* src/Base/GemPixObj.cpp: initialized newfilm/newimage to 0

2003-11-25 09:41  zmoelnig

	* src/Base/GemBase.h: added support for HELPSYMBOL_BASE (which is
	defined as "Gem/") -- used in CPPExtern.h

2003-11-25 09:41  zmoelnig

	* src/Base/CPPExtern.h: added HELPSYMBOL to set an alternate
	helpsymbol (it crashes, when more than 1 help-symbols are specified
	and we already do it here) added support for HELPSYMBOL_BASE (which
	is defined as "Gem/" in GemBase.h)

2003-11-23 14:27  zmoelnig

	* src/Pixes/videoV4L.cpp: set notowned=false when color-conversion
	is done (which is the truth)

2003-11-19 03:53  zmoelnig

	* GEM_darwin.pbproj/zmoelnig.pbxuser: this is my
	macOS-projectmaker-project

2003-11-18 14:53  zmoelnig

	* help/: curve3d.pd, tube.pd: help-patches for [curve3d] and [tube]

2003-11-18 13:21  zmoelnig

	* src/Pixes/pix_texture.cpp: changed "post()" to "debug()" which is
	a define to either "post()" or nothing, so we can do some
	debug-information on demand

2003-11-18 13:18  zmoelnig

	* src/Pixes/pix_videoLinux.cpp: removed the auto-registering

2003-11-18 13:12  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: added an alias for
	"colorspace"-message

2003-11-18 12:47  cclepper

	* GEM_darwin.pbproj/: cgc.pbxuser, project.pbxproj: new pbproj

2003-11-18 10:39  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreateXWin.cpp: made XWin be aware
	of resizes.  however, it doesn't really work yet :-(

2003-11-18 10:36  zmoelnig

	* src/Base/GemFuncUtil.h: added MIN and MAX functions

2003-11-18 10:25  zmoelnig

	* src/Geos/: curve3d.cpp, curve3d.h, tube.cpp, tube.h: added
	curve3d and tube

2003-11-18 10:21  zmoelnig

	* help/pix_film.pd: updated documentation

2003-11-18 10:20  zmoelnig

	* src/Pixes/pix_histo.cpp: removed unneeded variables

2003-11-18 10:18  zmoelnig

	* src/Pixes/film.h: include "config.h" only on linux note: this
	should be changed LATER to include "config.h" on all platforms. 
	config.h should then include platform-specific config-files (that
	can be generated with configure or whatever)

2003-11-18 10:17  zmoelnig

	* src/Pixes/pix_video.cpp: defined NO_AUTO_REGISTER_CLASS to not
	register this class with pd on __linux__, __APPLE__  and NT

2003-11-18 10:14  zmoelnig

	* src/Base/CPPExtern.h: put the auto_register code in a separate
	define whichcan be switched off by defining  NO_AUTO_REGISTER_CLASS
	before including the CPPExtern.h

2003-11-17 13:53  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: swapped 2 variables in
	class-definition (apple's gcc likes it better this way) removed
	unused code

2003-11-14 22:26  cclepper

	* src/Pixes/: pix_diff.cpp, pix_diff.h: added Altivec function for
	both RGB and YUV

2003-11-14 09:43  zmoelnig

	* src/Geos/text2d.h: added curve3d and tube

2003-11-14 05:26  zmoelnig

	* src/Controls/: gemmouse.cpp, gemmouse.h: added scaling for the
	mouse-coordinates.  this allows output that is independant of the
	window-size

2003-11-14 02:21  cclepper

	* src/Pixes/pix_add.h: removed the extraneous RGB_Altivec prototype

2003-11-14 02:19  cclepper

	* src/Pixes/pix_2grey.cpp: a dst tweak and bug fix

2003-11-12 23:26  cclepper

	* src/Pixes/pix_2grey.cpp: slight change to RGB vector code

2003-11-12 22:38  cclepper

	* src/Pixes/: pix_2grey.h, pix_2grey.cpp: added Altivec

2003-11-12 13:11  zmoelnig

	* src/Base/TextBase.cpp: removed the check, whether the first atom
	of the text-list is a symbol. now we can print numbers too.

2003-11-12 12:57  zmoelnig

	* src/Pixes/: pix_add.cpp, pix_add.h: changed processRGB_Altivec to
	processRGBA_Altivec

2003-11-12 12:55  zmoelnig

	* src/MarkEx/: average.cpp, counter.cpp, hsvrgb.cpp, m_control.cpp,
	multiselect.cpp, randomF.cpp, reson.cpp, strcat.cpp,
	tripleLine.cpp, vector.cpp: fixed linefeed

2003-11-11 02:31  cclepper

	* src/Pixes/pix_add.h: added RGB Altivec

2003-11-11 02:04  cclepper

	* src/Pixes/pix_add.h: added RGB Altivec

2003-11-10 01:37  cclepper

	* src/Pixes/: pix_a_2grey.cpp, pix_coloralpha.cpp: changed from
	float to int processing

2003-11-10 01:18  cclepper

	* src/Pixes/pix_2grey.cpp: changed from float to int processing of
	grey value

2003-11-10 01:17  cclepper

	* src/Pixes/: pix_subtract.cpp, pix_subtract.h: added RGB Altivec

2003-11-10 01:09  cclepper

	* src/Pixes/pix_add.cpp: added RGB Altivec

2003-11-09 22:23  cclepper

	* src/Pixes/: pix_gain.cpp, pix_motionblur.cpp, pix_offset.cpp,
	pix_subtract.cpp: changed Altivec defines

2003-11-09 21:11  cclepper

	* src/Pixes/: pix_add.cpp, pix_background.cpp, pix_blur.cpp,
	pix_chroma_key.cpp, pix_compare.cpp, pix_convolve.cpp,
	pix_invert.cpp, pix_mix.cpp: changed Altivec defines

2003-11-03 07:15  zmoelnig

	* src/Manips/camera.cpp: changed (bool) to (int), since vc6 doesn't
	like assigning a boolean-value to an integer.

2003-11-03 07:14  zmoelnig

	* src/MarkEx/: abs.cpp, average.cpp, counter.cpp, hsvrgb.cpp,
	m_control.cpp, multiselect.cpp, randomF.cpp, reson.cpp, strcat.cpp,
	tripleLine.cpp, vector.cpp: added no-warn-flags for vc6

2003-11-03 07:13  zmoelnig

	* src/Pixes/: filmFFMPEG.cpp, filmFFMPEG.h: made it compile with
	ffmpeg-0.4.8 (however i wasn't yet able to load a movie...)

2003-11-03 07:12  zmoelnig

	* src/Pixes/: filmQT.cpp, filmQT.h: made it work under windows;
	however it likes crashing sometimes and i haven't found out yet
	why...

2003-10-24 14:38  zmoelnig

	* src/BUGS: fixed some BUGS...

2003-10-24 14:32  zmoelnig

	* src/Gnu/: configure, configure.in: added "--with-aviplay" as an
	alias for "--with-avi"

2003-10-24 14:31  zmoelnig

	* src/Base/TextBase.cpp: added some comment to the render() for
	neither FTGL/GLTT support (while trying to find out

2003-10-23 04:10  zmoelnig

	* src/Pixes/pix_buffer.cpp: fixed another possible bug (check for
	NULL-images)

2003-10-22 07:01  zmoelnig

	* src/MarkEx/MarkExSetup.cpp: added the self-registering code, so
	that MarkEx will stay available

2003-10-22 05:06  zmoelnig

	* src/Pixes/filmQT.cpp: further changes, but far from working yet

2003-10-22 04:35  zmoelnig

	* src/Pixes/pix_buffer.cpp: fixed bugs in
	pix_buffer_read/pix_buffer_write when no or unknown pix_buffers
	were specifified

2003-10-22 04:34  zmoelnig

	* src/Base/GemWinCreate.h: added "fsaa" to the WindowHints-class

2003-10-22 01:32  cclepper

	* src/: Base/GemMan.cpp, Base/GemMan.h, Base/GemWinCreateMac.cpp,
	Controls/gemwin.cpp, Controls/gemwin.h: added FSAA

2003-10-21 14:15  ggeiger

	* src/Base/: CPPExtern.h, GemSetup.cpp: remove setup() function
	this is done through a static class structure now, that is created
	for each object Gem objects are added automatically to pd as soon
	as they are compiled in

2003-10-21 14:14  ggeiger

	* src/Base/GemBase.cpp: re-used continueRender() function

2003-10-21 14:13  ggeiger

	* src/Base/GemMan.cpp: removed my name from startup

2003-10-21 10:44  ggeiger

	* src/Particles/partlib_actions.cpp: distribute particles according
	to their velocity if there is more than one particle per frame

2003-10-21 10:21  ggeiger

	* help/: ambient.pd, ambientRGB.pd: added numberbox to rotate light
	(cube seems to be very dark with 180)

2003-10-21 10:19  ggeiger

	* help/alpha.pd: added auto message description

2003-10-21 10:17  ggeiger

	* help/: alpha.pd, ambient.pd, ambientRGB.pd, change.pd,
	part_color.pd, part_damp.pd, part_draw.pd, part_follow.pd: change
	is in pd already

2003-10-21 09:50  ggeiger

	* src/Controls/gemhead.cpp: bang on gemhead triggers a render cycle
	(was broken)

2003-10-15 15:07  zmoelnig

	* src/Pixes/videoV4L.cpp: set the upside-down flag to true. (hope
	this is alright)

2003-10-15 15:05  zmoelnig

	* src/Pixes/filmQT.h: temporarily added some variables (like
	m_auto) these should be gone when i really have access to a machine
	where quicktime4win is installed

2003-10-15 15:04  zmoelnig

	* src/Gnu/: configure, configure.in: fixed a bug when searching for
	the linker/compiler flags for libavifile: not "avifile-config" is
	used if available

2003-10-15 15:03  zmoelnig

	* src/BUGS: new bugs (pix_buffer, libavifile, remote display)

2003-10-10 08:52  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: added filmQT changed "#define DEBUG"
	to "#define debug"

2003-10-10 08:16  zmoelnig

	* src/Pixes/pix_kaleidoscope.h: disabled pete's "static"-hack with
	NO_HACK (default on windows)

2003-10-10 08:12  zmoelnig

	* src/Pixes/pix_colorreduce.cpp: vc6 doesn't like statical arrays
	with variable sizes

2003-10-10 07:15  zmoelnig

	* src/: gem.dsp, gem_vc6.dsw: updated my vc6-projects

2003-10-10 07:14  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: disabled warnings on vc6

2003-10-10 07:13  zmoelnig

	* src/Gnu/: configure, configure.in: search for libavifile-headers
	rather than assuming they are in /usr/include/avifile

2003-10-10 07:11  zmoelnig

	* src/Pixes/: filmQT.cpp, filmQT.h: first attempt of a port from
	[pix_filmQT] to the film*-class.  however i have quicktime4windows
	not installed, so i had no way to compile this yet....

2003-10-10 07:10  zmoelnig

	* src/Pixes/: filmAVI.h, filmAVI.cpp: made filmAVI work.  a first
	step for pix_filmNEW to run on windows...

2003-10-10 07:09  zmoelnig

	* src/Pixes/: filmAVIPLAY.h, pix_filmLinux.h: for libavifile we
	used to include <avifile/avifile.h>; since the headers for
	libavifile-0.7 is located in /usr/include/avifile-0.7/, we now
	search for the correct path in the "configure" and include only
	"avifile.h"

2003-10-10 07:07  zmoelnig

	* src/Pixes/filmAVIPLAY.cpp: <unistd.h> is only included if
	HAVE_LIBAVIPLAY is defined

2003-10-10 07:04  zmoelnig

	* src/Pixes/pix_filmNEW.h: removed "m_film", since it is not needed

2003-10-10 07:03  zmoelnig

	* src/Particles/: partlib_actions.cpp, partlib_system.cpp: my
	vc6-dos-compiler doesn't like <iostream> because it makes it like
	against some "new" io-libs while it rather needs "old" ones which
	are requested by <iostream.h>

2003-10-10 07:02  zmoelnig

	* src/Manips/camera.h: commented out namespace std for windows (vc6
	complained about this)

2003-10-10 07:00  zmoelnig

	* examples/04.pix/06.PixRect.pd: now you see something after the
	first coordinate-change...

2003-10-10 06:59  zmoelnig

	* examples/04.pix/12.blending.pd: now using [pix_buf] instead of
	re-loading the image for each blending-change

2003-10-08 13:33  zmoelnig

	* examples/04.pix/05.film.pd: removed the [pix_rgba], since now
	[pix_film] should output only RGBA/YUV/Grayscale

2003-10-08 12:55  zmoelnig

	* src/BUGS: reported bugfix of filmQT4L

2003-10-08 12:52  zmoelnig

	* src/Pixes/: setup.h, pix_movieNEW.cpp, pix_movieNEW.h: this is
	how [pix_movie] looks like if derived from [pix_filmNEW] (and
	[pix_texture])

2003-10-08 12:51  zmoelnig

	* src/Pixes/: filmMPEG1.cpp, filmMPEG1.h: using "upsidedown" from
	imageStruct; added YUV support

2003-10-08 12:09  zmoelnig

	* src/Pixes/: filmAVIPLAY.cpp, filmMPEG3.cpp, filmQT4L.cpp: using
	"upsidedown" from imageStruct;

2003-10-08 12:06  zmoelnig

	* src/Pixes/pix_texture.cpp: using "upsidedown" from imageStruct;
	added this flag to setTexCoords() to indicate whether the
	texture-coordinates should be flipped or not.  the __APPLE__ define
	for flipping is therefore obsoleted.

2003-10-08 12:04  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added "upsidedown" to
	imageStruct; this is meant for texture-flipping of the image (most
	movies are loaded the "wrong" way) upsidedown defaults to true on
	__APPLE__;  false elsewhere

2003-10-08 11:01  zmoelnig

	* src/Pixes/pix_texture.h: made [pix_movieNEW] (for now; of course
	this should [pix_movie] LATER a friend of [pix_texture] this will
	let us use the sophisticated texturing mechanism of [pix_texture]
	for [pix_movie]

2003-10-07 12:10  zmoelnig

	* src/Pixes/setup.h: moved the pix_film things up a bit, because i
	had a hard time making [pix_film] an alias for [pix_filmNEW]

2003-10-07 12:09  zmoelnig

	* src/Pixes/pix_filmNEW.h: added "colorspace"-method

2003-10-07 12:09  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: some bug fixing added
	"colorspace"-method "post" becomes "DEBUG" which can be turned off.
	 some reordering of decode-libs: libmpeg3 is better in decoding
	mpegs then libavifile (less crashes)

2003-10-07 11:47  zmoelnig

	* src/Pixes/filmMPEG3.cpp: open() now utilizes setCsizeByFormat()

2003-10-07 11:46  zmoelnig

	* src/Pixes/filmAVIPLAY.cpp: made the openStream sleep a bit. still
	opening streamed-files sometimes crashes added support for more
	colour-formats

2003-10-07 11:44  zmoelnig

	* src/Pixes/: filmAVI.cpp, filmAVI.h: put quite everything (but
	constructor/destructor) between one huge #ifdef.  the rest should
	be filled with defaults by the film-class.

2003-10-07 11:43  zmoelnig

	* src/Pixes/filmQT4L.cpp: added colour-change on the fly

2003-10-07 11:40  zmoelnig

	* src/Pixes/film.cpp: open() now returns false (to make the skip to
	next api work)

2003-10-07 11:39  zmoelnig

	* src/Pixes/film.h: requestColor() now sets "m_wantedFormat"

2003-10-07 11:38  zmoelnig

	* src/Base/GemPixUtil.cpp: a bit of code-cleanup

2003-10-07 08:01  zmoelnig

	* src/Pixes/setup.h: rewrote a bit in the #ifdef clauses and put
	them all together.  it is really ugly on linux pix_filmNEW is now
	the default

2003-10-07 07:47  zmoelnig

	* src/Pixes/: filmAVIPLAY.cpp, filmAVIPLAY.h: encapsuled everything
	but constructor/destructor within one big "#ifdef HAVE_QT4L" (using
	inheritance) made getFrame() return frames of all three
	colour-spaces.	fixed several bugs

2003-10-07 04:58  zmoelnig

	* src/Pixes/: filmQT4L.cpp, filmQT4L.h: encapsuled everything but
	constructor/destructor within one big "#ifdef HAVE_QT4L" (using
	inheritance) made getFrame() return frames of all three
	colour-spaces.	BAD: we only get RGB-images from the qt4l-library.
	this means: video(YUV)->buffer(RGB)->gem_image(RGBA/YUV/Gray). but
	what should i do ?

2003-10-07 04:55  zmoelnig

	* src/Pixes/filmMPEG3.cpp: rewrote the getFrame() to: a) get frames
	of different colour-spaces b) decode YUV/Gray really fast (directly
	access the decoding Y/U/V-planes)

2003-10-07 04:51  zmoelnig

	* src/Pixes/film.h: added some thoughts about requested/forced
	colourspaces.  i think, that film* should at least return
	colour-spaces that could be handled by Gem/openGL itself.  (it
	doesnt make sense for [pix_film] to handle IMG_FMT_RGB15) so the
	cs-request should really be a force and not just a suggestion

2003-10-07 04:46  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added fromRGB16() to
	retrieve data from 16bit encoded RGB.  added fromYV12(Y,U,V) which
	does not assume that the U and V planes are directly after the Y
	plane. this is handy if we have independent planes

2003-10-03 10:28  zmoelnig

	* src/Base/GemBase.h: GL_RGBA is not defined at openGL<1.2 (i
	think); furthermore the include-check for CPPExtern.h is already
	made in CPPExtern.h

2003-10-03 09:59  zmoelnig

	* src/Pixes/: filmMPEG1.cpp, filmMPEG1.h: put quite everything (but
	constructor/destructor) between one huge #ifdef.  the rest should
	be filled with defaults by the film-class.

2003-10-03 09:59  zmoelnig

	* src/Pixes/: filmMPEG3.cpp, filmMPEG3.h: put quite everything (but
	constructor/destructor) between one huge #ifdef.  the rest should
	be filled with defaults by the film-class.  on close() the
	filehandler is set to NULL (caused to crash on multiple closes)

2003-10-02 10:47  zmoelnig

	* src/Manips/: camera.cpp, camera.h: removed #include <OpenGL/gl.h>
	(it is included in GemBase anyhow) ifdef'ed the #include
	<OpenGL/glu.h> to __APPLE__ (else <GL/gl.h>

2003-09-30 14:16  zmoelnig

	* src/BUGS: filmQT4L procuces RGB if RGBA is not supported by the
	codec

2003-09-30 14:11  zmoelnig

	* src/Pixes/: pix_posterize.cpp, pix_posterize.h: removed the
	processRGBAImage-call (anyhow, it didn't do anything)

2003-09-30 14:11  zmoelnig

	* src/Pixes/: pix_flip.cpp, pix_flip.h: added YUV support split
	processImage into processRGBAImage and processGrayImage

2003-09-28 23:26  tigital

	* help/: pix_dot.pd, pix_rds.pd: corrected text

2003-09-28 23:11  tigital

	* src/Manips/setup.h: added camera_setup()

2003-09-28 23:10  tigital

	* src/Manips/: camera.cpp, camera.h: initial commit

2003-09-24 00:51  tigital

	* src/Pixes/: pix_dot.cpp, pix_dot.h: more work on yuv processing,
	but it still doesn't work

2003-09-24 00:46  tigital

	* src/Pixes/pix_kaleidoscope.cpp: removed some unused code, cleanup

2003-09-24 00:44  tigital

	* src/Pixes/pix_kaleidoscope.h: removed some unused code

2003-09-24 00:42  tigital

	* src/Pixes/pix_halftone.h: added __APPLE__ "macosx_math.h", some
	unused cleanup

2003-09-24 00:38  tigital

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h: fixed
	"comparison between signed & unsigned int" warning on line 117, in
	processRGBAImage()

2003-09-24 00:33  tigital

	* src/Particles/partlib_vector.h: replaced __APPLE__ define with
	macosx_math.h

2003-09-24 00:32  tigital

	* src/Particles/partlib_actions.cpp: added default: break; to
	PAAvoid::Execute() & PABounce::Execute, because PDPoint, PDLine,
	PDBox, PDCylinder, PDCone, and PDBlob aren't taken care of...also
	replaced __APPLE__ defines with macosx_math.h

2003-09-24 00:27  tigital

	* src/Particles/partlib_system.cpp: added default: break; to
	_pCallActionList(), because PAHeaderID isn't taken care of

2003-09-22 23:21  tigital

	* src/Pixes/pix_snap.cpp: added glFinish() & several
	glPixelStorei()'s for __APPLE__ for speed up?:	is this applicable
	to all platforms?

2003-09-22 23:16  tigital

	* src/Pixes/pix_lumaoffset.cpp: removed unused variables

2003-09-22 22:50  tigital

	* src/Controls/gemkeyboard.cpp: changed comment from "mousePressed"
	to "KeyBoardPressed"

2003-09-22 22:47  tigital

	* src/Base/TextBase.cpp: reordered initializers to shut up gcc
	warning

2003-09-22 06:04  zmoelnig

	* help/: pix_halftone.pd, pix_movement.pd: updated documentation

2003-09-22 06:03  zmoelnig

	* src/Pixes/: pix_rds.cpp, pix_rds.h: added Gray-support
	YUV-support is still under construction (but now does something
	(stupid) instead of nothing)

2003-09-22 06:02  zmoelnig

	* src/Pixes/pix_metaimage.cpp: added an inlet for the size of the
	metaimage

2003-09-22 06:01  zmoelnig

	* src/Pixes/: pix_convolve.cpp, pix_convolve.h: added Gray-support
	split the processImage into processRGBAImage and processGrayImage

2003-09-22 05:59  zmoelnig

	* src/Pixes/: pix_movement.cpp, pix_movement.h: added YUV-Support
	(like grayscale: the difference image is written on the
	luma-channel; colour is discarded)

2003-09-22 05:58  zmoelnig

	* src/Pixes/: pix_scanline.cpp, pix_scanline.h: added Gray-support
	(RGBA & Gray are in processImage, while YUV has a separate
	function)

2003-09-22 05:56  zmoelnig

	* src/Pixes/: pix_blur.h, pix_blur.cpp, pix_halftone.cpp,
	pix_halftone.h, pix_motionblur.cpp, pix_motionblur.h: added
	Gray-support

2003-09-22 05:55  zmoelnig

	* src/Base/GemPixUtil.cpp: fixed setBlack() and setWhite() for YUV

2003-09-17 09:23  zmoelnig

	* help/: pix_background.pd, pix_compare.pd, pix_mix.pd,
	pix_motionblur.pd, pix_roll.pd, pix_scanline.pd, pix_duotone.pd:
	added some documentation

2003-09-17 09:09  zmoelnig

	* src/BUGS: more bugs to come

2003-09-17 09:08  zmoelnig

	* src/Gnu/Makefile.in: fixed install on linux

2003-09-17 09:08  zmoelnig

	* src/Gnu/undocumented_objects: documented a lot ;-)

2003-09-17 09:07  zmoelnig

	* src/Pixes/pix_film.cpp: fixed the "toupper()" BUG: include
	<ctype.h>

2003-09-17 09:07  zmoelnig

	* src/Pixes/pix_duotone.cpp: result of merge

2003-09-17 09:07  zmoelnig

	* src/Pixes/pix_mix.cpp: allow arguments and an intelligent gain
	handler

2003-09-17 09:05  zmoelnig

	* src/Pixes/pix_background.cpp: made the inlet do something
	intelligent: set the range (normalized 0..1)

2003-09-17 09:03  zmoelnig

	* src/Pixes/pix_background.cpp: added methods for Grey

2003-09-17 09:02  zmoelnig

	* src/Pixes/pix_background.cpp: code cleanup to make merge easier

2003-09-17 08:43  zmoelnig

	* src/Pixes/pix_mix.h: allow arguments and an intelligent gain
	handler

2003-09-17 08:42  zmoelnig

	* src/Pixes/pix_motionblur.cpp: new indentation ?

2003-09-17 08:40  zmoelnig

	* src/Pixes/pix_alpha.cpp: i think i've found a bug in GREY

2003-09-17 08:39  zmoelnig

	* src/Pixes/pix_compare.cpp: cleaned up the code a bit.  default
	behaviour is no ON (used to be OFF) RGBAcomparision is now done on
	luminance instead of each channel separately

2003-09-17 08:38  zmoelnig

	* src/Pixes/pix_chroma_key.cpp: cleaned up the code a bit.  default
	behaviour is no ON (used to be OFF)

2003-09-17 08:35  zmoelnig

	* src/Pixes/pix_backlight.cpp: changed ranges from 0..255 to
	0.0..1.0 added some inlets

2003-09-17 08:35  zmoelnig

	* src/Pixes/pix_colorreduce.cpp: added checks for control-range
	added some inlets

2003-09-17 08:33  zmoelnig

	* src/Pixes/: pix_posterize.cpp, pix_posterize.h: added comments
	about ranges of the internal variables.  also changed the range
	from 0..255 to 0.f..1.f

2003-09-17 08:32  zmoelnig

	* src/Pixes/pix_buffer.cpp: BUG: the first incoming frame is
	captured automatically --> FIXED (nothing is done, if no frame is
	specified)

2003-09-17 08:31  zmoelnig

	* src/Pixes/pix_snap2tex.cpp: grabbed texture-size defaults to the
	gemwin-size

2003-09-17 08:29  zmoelnig

	* src/Pixes/pix_tIIR.h: added a comment, saying what this object is
	for

2003-09-17 08:28  zmoelnig

	* src/Pixes/: pix_rectangle.cpp, pix_normalize.cpp,
	pix_normalize.h, pix_rectangle.h: added methods for YUV

2003-09-17 08:28  zmoelnig

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h: fixed the bug
	with filledLines

2003-09-17 08:26  zmoelnig

	* src/Pixes/: pix_refraction.cpp, pix_refraction.h: removed
	overwrites of the virtual functions for yuv/grey-colourspace.  Why
	do we have inheritance ?

2003-09-17 08:25  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_dot.h: added inlet for size of dots

2003-09-17 08:22  zmoelnig

	* src/Pixes/pix_background.h: added methods for grey

2003-09-17 08:21  zmoelnig

	* src/Pixes/: pix_roll.cpp, pix_roll.h: added methods for RGBA/grey

2003-09-17 08:20  zmoelnig

	* src/Pixes/: pix_color.cpp, pix_color.h, pix_crop.cpp, pix_crop.h,
	pix_curve.cpp, pix_curve.h, pix_histo.cpp, pix_histo.h,
	pix_levels.cpp, pix_levels.h: added methods for YUV/grey

2003-09-17 08:19  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_2grey.h, pix_bitmask.cpp,
	pix_bitmask.h, pix_blob.cpp, pix_blob.h: added methods for YUV

2003-09-17 08:17  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: made some inlets made the
	heightMess do something

2003-09-17 08:16  zmoelnig

	* src/Geos/: ripple.cpp, ripple.h, rubber.cpp, rubber.h: made some
	inlets made the heightMess do something arguments specify the
	grid-size

2003-09-17 07:45  zmoelnig

	* src/Base/GemPixObj.h: packed the code a little bit (to make it
	more readable to me)

2003-09-17 07:45  zmoelnig

	* src/Base/GemShape.h: new indentation

2003-09-17 07:44  zmoelnig

	* src/Base/GemVersion.h: version is now 0.888-pre1

2003-09-17 07:40  zmoelnig

	* help/: cuboid.pd, newWave.pd, part_info.pd, part_render.pd,
	pix_backlight.pd, pix_buffer.pd, pix_buffer_read.pd,
	pix_buffer_write.pd, pix_color.pd, pix_colorreduce.pd, pix_crop.pd,
	pix_delay.pd, pix_dot.pd, pix_grey.pd, pix_info.pd, pix_levels.pd,
	pix_lumaoffset.pd, pix_posterize.pd, pix_rds.pd, pix_snap2tex.pd,
	pix_tIIR.pd, pix_yuv.pd, polygon_smooth.pd, ripple.pd, rubber.pd,
	slideSquares.pd: new help patches

2003-09-17 07:30  zmoelnig

	* help/pix_movement.pd: result of merge

2003-09-17 07:08  zmoelnig

	* help/: accumrotate.pd, alpha.pd, ambient.pd, ambientRGB.pd,
	circle.pd, color.pd, colorRGB.pd, cone.pd, cube.pd, cylinder.pd,
	diffuse.pd, diffuseRGB.pd, disk.pd, emission.pd, emissionRGB.pd,
	pix_rgba.pd, pix_sig2pix~.pd, sphere.pd, teapot.pd: updated some
	reference patches

2003-09-15 00:48  tigital

	* src/Base/GemMan.cpp: - added texture_range_supported flag
	(default=0, ie. off) and extension check

2003-09-15 00:45  tigital

	* src/Base/GemMan.h: - added texture_range_supported flag

2003-09-15 00:40  tigital

	* src/Pixes/pix_texture.cpp: - added texture_range usage on OSX,
	where available:  speed gain? - fixed problem with power of 2
	textures not taking fastest paths (rectangle_textures), if
	available

2003-09-14 20:39  cclepper

	* help/: pix_rtx.pd, pix_movement.pd, pix_biquad.pd: change tv_ to
	pix_

2003-09-14 19:24  cclepper

	* src/Pixes/pix_convert.h: changed #ifdef MACOSX to __APPLE__

2003-09-14 19:18  cclepper

	* src/Pixes/: pix_buffer_read.h, pix_buffer_write.h, pix_buffer.h:
	added a better description

2003-09-14 19:07  cclepper

	* src/Pixes/pix_scanline.h: added a better description

2003-09-14 19:05  cclepper

	* src/Pixes/: pix_duotone.cpp, pix_duotone.h: removed processGrey

2003-09-14 19:00  cclepper

	* src/Pixes/pix_mix.h: changed gain

2003-09-14 18:56  cclepper

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: changed the
	colorspace message to match pix_film, dimension message now works

2003-09-14 18:31  cclepper

	* src/Pixes/pix_write.cpp: changed #ifdef MACOSX to __APPLE__

2003-09-14 18:30  cclepper

	* src/Pixes/pix_texture.cpp: fixed commenting error

2003-09-14 18:24  cclepper

	* src/Pixes/: pix_texture.cpp, pix_texture.h, pix_texture2.h,
	pix_texture2.cpp: changed #ifdef MACOSX to __APPLE__

2003-09-14 18:21  cclepper

	* src/Pixes/: pix_rgba.cpp, pix_snap.cpp: changed #ifdef MACOSX to
	__APPLE__

2003-09-14 18:10  cclepper

	* src/Pixes/pix_rgba.h: changed #ifdef MACOSX to __APPLE__

2003-09-14 17:59  cclepper

	* src/Pixes/: pix_movieYUV.cpp, pix_movieYUV.h, pix_resize.cpp:
	changed #ifdef MACOSX to __APPLE__

2003-09-14 17:56  cclepper

	* src/Pixes/: pix_filmDarwinYUV.cpp, pix_filmYUV.cpp,
	pix_imageInPlace.cpp, pix_movie.cpp, pix_movie.h: changed #ifdef
	MACOSX to __APPLE__

2003-09-14 17:55  cclepper

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h: added ram
	message, made YUV default colorspace

2003-09-14 17:45  cclepper

	* src/Pixes/: pix_film.cpp, pix_film.h: added colorspace message

2003-09-14 17:04  cclepper

	* src/Pixes/: pix_chroma_key.cpp, pix_motionblur.cpp,
	pix_compare.cpp: added #ifdef for PPC970/G5

2003-09-14 17:01  cclepper

	* src/Pixes/: pix_subtract.cpp, pix_blur.cpp, pix_mix.cpp,
	pix_background.cpp: added #ifdef for PPC970/G5

2003-09-14 16:56  cclepper

	* src/Pixes/: pix_invert.cpp, pix_offset.cpp: added #ifdef for
	PPC970/G5

2003-09-14 16:52  cclepper

	* src/Pixes/: pix_convolve.cpp, pix_gain.cpp: added #ifdef for
	PPC970/G5

2003-09-14 16:49  cclepper

	* src/Pixes/pix_add.cpp: added #ifdef for PPC970/G5

2003-09-14 16:47  cclepper

	* src/Particles/part_vector.h: changed #ifdef MACOSX to __APPLE__

2003-09-14 16:29  cclepper

	* src/Nongeos/: world_light.h, world_light.cpp: changed #ifdef
	MACOSX to __APPLE__

2003-09-14 16:28  cclepper

	* src/Manips/polygon_smooth.cpp: added GL_LINE_SMOOTH

2003-09-14 16:23  cclepper

	* src/Manips/ortho.cpp: changed #ifdef MACOSX to __APPLE__

2003-09-14 16:18  cclepper

	* src/Geos/: ripple.h, rubber.h, slideSquares.cpp: changed #ifdef
	MACOSX to __APPLE__

2003-09-14 16:02  cclepper

	* src/Geos/: model.cpp, newWave.h: changed #ifdef MACOSX to
	__APPLE__

2003-09-14 15:59  cclepper

	* help/: pix_scanline.pd, pix_roll.pd: initial commit

2003-09-14 15:41  cclepper

	* help/pix_motionblur.pd: initial commit

2003-09-14 14:57  cclepper

	* help/pix_mix.pd: initial commit

2003-09-14 13:53  cclepper

	* help/pix_compare.pd: initial commit

2003-09-14 13:42  cclepper

	* help/pix_chroma_key.pd: initial commit

2003-09-14 13:21  cclepper

	* help/pix_background.pd: initial commit

2003-09-14 12:10  cclepper

	* src/Geos/: cuboid.cpp, imageVert.cpp: changed #ifdef MACOSX to
	__APPLE__

2003-09-14 12:06  cclepper

	* src/Controls/setup.h: changed #ifdef MACOSX to __APPLE__

2003-09-14 12:02  cclepper

	* src/: Base/GemWinCreateMac.cpp, Base/sgiimage.cpp,
	Controls/gemwin.cpp: changed #ifdef MACOSX to __APPLE__

2003-09-14 11:54  cclepper

	* src/Base/: GemState.cpp, GemWinCreate.h: changed #ifdef MACOSX to
	__APPLE__

2003-09-14 11:54  cclepper

	* src/Base/GemShape.cpp: added a few more drawTypes

2003-09-14 11:38  cclepper

	* src/Base/GemSetup.cpp: changed #ifdef MACOSX to __APPLE__  and
	commented out yuv_setup()

2003-09-14 11:29  cclepper

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: changed #ifdef MACOSX to
	__APPLE__

2003-09-14 11:25  cclepper

	* src/Base/: GemMan.h, GemPixImageLoad.cpp, GemPixImageSave.cpp,
	GemPixObj.h: changed #ifdef MACOSX to __APPLE__

2003-09-14 11:21  cclepper

	* src/Base/: GemBase.h, GemGluObj.h, GemGLUtil.h, GemGlutObj.h,
	GemMan.cpp: changed #ifdef MACOSX to __APPLE__

2003-09-11 11:34  zmoelnig

	* src/: Gnu/undocumented_objects, TODO: made a list of undocumented
	objects

2003-09-11 11:05  zmoelnig

	* src/Pixes/pix_texture.cpp: removed debugging output

2003-09-11 07:11  zmoelnig

	* src/Pixes/filmQT4L.cpp: removed debugging output

2003-09-11 06:54  zmoelnig

	* src/Pixes/pix_filmLinux.cpp: added a comment

2003-09-11 06:06  zmoelnig

	* src/Gnu/Makefile.in: hopefully fixed a bit on installing the
	examples for linux

2003-07-26 19:14  ggeiger

	* src/Manips/: alpha.cpp, alpha.h: disable depth test for alpha
	blended render chains.	I think this is the correct way how alpha
	should work, still there is a message *auto* to turn it off

2003-07-22 15:16  zmoelnig

	* src/Particles/: part_render.cpp, part_render.h: added
	postrender() hack, to prevent the "source-object" to be drawn

2003-07-22 15:00  ggeiger

	* src/Pixes/: pix_filmFFMPEG.cpp, pix_filmFFMPEG.h: fix compilation
	bugs, removed ifdefs for ffmeg version

2003-07-22 14:37  zmoelnig

	* src/Pixes/pix_resize.cpp: fixed the crash however, this is very
	slow.  we'll have to write a faster routine ourselves

2003-07-22 14:27  zmoelnig

	* src/Pixes/pix_scanline.cpp: if m_interlace was 0, this used to
	crash my machine with a floating-point exception.  thus
	"if(interleave<=0)interleave=1;"

2003-07-22 14:15  zmoelnig

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: removed the
	create/destroy/blank routines for the buffer

2003-07-22 14:14  zmoelnig

	* src/Pixes/: pix_movement.cpp, pix_movement.h: added
	greyscale-support addedsome checks before destroy[].   hope this
	will fix the bug

2003-07-22 14:04  zmoelnig

	* src/Pixes/: pix_aging.cpp, pix_background.cpp, pix_biquad.cpp,
	pix_buffer.cpp, pix_coordinate.cpp, pix_delay.cpp, pix_dump.cpp,
	pix_motionblur.cpp, pix_resize.cpp, pix_roll.cpp, pix_rtx.cpp,
	pix_scanline.cpp: added checks before delete[] (just in case)

2003-07-22 04:36  zmoelnig

	* src/Pixes/: pix_filmQT.cpp, pix_snap2tex.h: dos2unix (changed
	linefeed/carriage-returns)

2003-07-22 04:35  zmoelnig

	* src/Pixes/: pix_colorreduce.cpp, pix_colorreduce.h,
	pix_levels.cpp, pix_levels.h: removed empty functions for
	YUV/YUValtivec/Grey images (why do we have classes ?)

2003-07-22 04:34  zmoelnig

	* src/Pixes/: pix_kaleidoscope.cpp, pix_kaleidoscope.h,
	pix_lumaoffset.cpp, pix_lumaoffset.h, pix_metaimage.cpp,
	pix_metaimage.h: removed functions for YUV/YUValtivec/Grey images
	(why do we have classes ?)

2003-07-22 04:31  zmoelnig

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: removed functions
	for YUV/YUValtivec/Grey images (why do we have classes ?) added an
	include for <assert.h>, this might break compilation on other
	platforms, if so, please ifdef it to __linux__

2003-07-22 04:29  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_backlight.h: removed functions
	for YUV/YUValtivec/Grey images (why do we have classes ?)

2003-07-22 04:26  zmoelnig

	* src/Geos/cube.cpp: added a newline at end of file ;-)

2003-07-22 03:45  zmoelnig

	* src/Pixes/: pix_rgba.cpp, pix_rgba.h, pix_grey.cpp, pix_grey.h,
	pix_yuv.cpp, pix_yuv.h: use the color-conversion from GemPixUtil;
	pix_grey and pix_yuv are childs of pix_rgba (reduces code
	dramatically!)

2003-07-22 03:42  zmoelnig

	* src/Base/GemPixUtil.cpp: fixed several bugs in the
	color-conversion routines

2003-07-21 03:51  dheck

	* src/Pixes/pix_rtx.cpp: Added explicit reset of column index to 0
	to fix invalid access bug.

2003-07-20 15:28  tigital

	* src/Geos/text2d.h: small typo fix to allow compiling on OSX
	(space between FTFont* & makeFont(...)

2003-07-19 18:41  tigital

	* src/Base/TextBase.h: small typo fix to allow compiling on OSX

2003-07-19 16:40  tigital

	* src/Geos/: cube.cpp, cube.h: added blend message

2003-07-19 13:30  zmoelnig

	* src/BUGS: general entry for pix-bugs

2003-07-19 12:36  zmoelnig

	* src/Particles/: part_source.cpp, part_source.h: the particle-rate
	is now float instead of integer (let's you emit 0.5 particles per
	rendering cycle)

2003-07-19 12:30  zmoelnig

	* src/Geos/model.cpp_: model.cpp_ seems to have been committed to
	the CVS.  it was just a backup for work...

2003-07-19 12:20  zmoelnig

	* src/: Geos/text2d.cpp, Geos/text2d.h, Geos/text3d.cpp,
	Geos/text3d.h, Geos/textextruded.cpp, Geos/textextruded.h,
	Geos/textoutline.cpp, Geos/textoutline.h, Base/TextBase.cpp,
	Base/TextBase.h: added FTGL-2.04 -- support

2003-07-16 01:17  tigital

	* src/Base/GemWinCreateMac.cpp: added return to DestroyGemWindow()
	to prevent crashing on window close in some circumstances

2003-07-16 00:11  cclepper

	* src/Pixes/: pix_blur.cpp, pix_blur.h: fixed up some altivec

2003-07-15 23:49  tigital

	* help/: pix_halftone.pd, pix_kaleidoscope.pd, pix_metaimage.pd,
	pix_refraction.pd: initial commit

2003-07-15 23:27  tigital

	* src/Pixes/: pix_backlight.cpp, pix_backlight.h,
	pix_colorreduce.cpp, pix_colorreduce.h, pix_halftone.cpp,
	pix_halftone.h, pix_kaleidoscope.cpp, pix_kaleidoscope.h,
	pix_levels.cpp, pix_levels.h, pix_lumaoffset.cpp, pix_lumaoffset.h,
	pix_metaimage.cpp, pix_metaimage.h, pix_refraction.cpp,
	pix_refraction.h: initial import of Pete's_Plugins ports (RGBA only
	so far): pix_colorreduce, pix_halftone, pix_kaleidoscope,
	pix_levels, pix_lumaoffset, pix_metaimage, pix_refraction, and
	pix_backlight

2003-07-15 23:07  tigital

	* src/Pixes/setup.h: alphabetized functions; also added new setup
	functions: pix_colorreduce, pix_halftone, pix_kaleidoscope,
	pix_levels, pix_lumaoffset, pix_metaimage, pix_refraction, and
	pix_backlight

2003-07-15 23:02  tigital

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwinYUV.cpp:  fixed
	cast problem (UInt8* instead of Str255)

2003-07-15 22:57  tigital

	* src/Base/GemPixObj.h: added PeteHelpers.h stuff (defines, inline
	functions)

2003-07-15 22:55  tigital

	* src/Base/GemPixImageLoad.cpp: cleanup, changed to __APPLE__,
	solved casting problem

2003-07-15 12:26  zmoelnig

	* src/Pixes/pix_rtx.cpp: added support for grey and yuv images.
	(not tested)

2003-07-15 07:50  zmoelnig

	* src/Particles/: part_source.cpp, part_source.h: added settable
	domains+arguments

2003-07-15 07:48  zmoelnig

	* src/Particles/: part_velcone.cpp, part_velsphere.cpp:
	[part_velcone] and [part_velsphere] are obsoleted by
	[part_velocity] added an "obsolete"-warning

2003-07-15 07:47  zmoelnig

	* src/Particles/: part_veldomain.cpp, part_veldomain.h,
	part_velocity.cpp, part_velocity.h, setup.h: [part_veldomain] has
	been replaced by [part_velocity]

2003-07-15 07:46  zmoelnig

	* help/: part_source.pd, part_velcone.pd, part_veldomain.pd,
	part_velocity.pd, part_velsphere.pd: updated reference-patches.
	[part_veldomain] is replaced by [part_velocity]

2003-07-15 04:01  zmoelnig

	* doc/GemPrimer.pdf: a started (in April) primer for Gem, however,
	far from being finished

2003-07-15 03:58  zmoelnig

	* examples/04.pix/24.time-filtering.pd: a an example for how to use
	[pix_tIIR]

2003-07-15 03:58  zmoelnig

	* examples/04.pix/25.buffer.pd: a an example for how to use
	[pix_buffer], [pix_buffer_read], [pix_buffer_write]

2003-07-15 03:55  zmoelnig

	* examples/04.video/00.SimpleVideo.pd: just render a video onto a
	geo

2003-07-15 03:53  zmoelnig

	* help/: part_veldomain.pd, part_velocity.pd, part_vertex.pd,
	pix_biquad.pd, pix_movement.pd, pix_rtx.pd, textextruded.pd: help
	for the resp. object

2003-07-15 03:39  zmoelnig

	* src/Gnu/: configure, configure.in: added checks for FTGL

2003-07-15 03:39  cclepper

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h,
	pix_filmDarwin.cpp, pix_filmDarwin.h: now does color-space
	switching

2003-07-15 03:38  zmoelnig

	* src/Particles/setup.h: added [part_vertex], [part_velocity],
	[part_veldomain]

2003-07-15 03:38  zmoelnig

	* src/Particles/: part_vertex.cpp, part_vertex.h: [part_vertex]
	adds one particle each rendering cycle at a certain position --
	useful for moving particle sources (but alas, only one particle at
	a time)

2003-07-15 03:36  zmoelnig

	* src/Particles/: part_veldomain.cpp, part_veldomain.h:
	[part_veldomain] sets the velocity into a specified domain (like
	sphere, triangle or whatever)

2003-07-15 03:36  zmoelnig

	* src/Particles/: part_velocity.cpp, part_velocity.h:
	[part_velocity] sets the velocity into a specified direction

2003-07-15 03:34  zmoelnig

	* src/Particles/: partlib_actions.cpp, partlib_system.cpp: include
	<iostream> rather than <iostream.h>

2003-07-15 03:32  zmoelnig

	* src/Particles/: part_source.cpp, part_source.h: you can now set
	the domain of the source TODO: make the argument vector settable
	too (not much use without)

2003-07-15 03:30  zmoelnig

	* src/Geos/: setup.h, textextruded.cpp, textextruded.h: added a new
	object for extruded text (FTGL only)

2003-07-15 03:21  zmoelnig

	* src/: Base/TextBase.cpp, Base/TextBase.h, Base/config.h.in,
	Geos/text2d.cpp, Geos/text2d.h, Geos/text3d.cpp, Geos/text3d.h,
	Geos/textoutline.cpp, Geos/textoutline.h: added FTGL support for
	text-rendering under macOS i have made FTGL the default (not
	knowing whether it will break) under windos GLTT is still the
	default (although FTGL should work too) under linux the configure
	script decides what to take, but prefers FTGL rather than GLTT

2003-07-14 22:30  cclepper

	* src/Pixes/: pix_background.cpp, pix_background.h: added Altivec
	YUV function

2003-07-13 02:13  tigital

	* src/Base/GemWinCreateMac.cpp: stupid cleanup of commented-out
	stuff

2003-07-13 02:11  tigital

	* src/Nongeos/world_light.cpp: added OSX glcontext check to
	destructor to stop crashes when patch is opened/manipulated, but no
	glcontext is created

2003-07-13 02:09  tigital

	* src/Pixes/pix_blur.cpp: vector long has been deprecated:  now
	it's vector int's

2003-07-12 02:25  cclepper

	* src/Pixes/: pix_chroma_key.h, pix_chroma_key.cpp: added some
	Altivec

2003-07-12 02:22  cclepper

	* src/Pixes/pix_convolve.cpp: more Altivec tweaks

2003-07-11 11:20  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: still some cvs-merge
	errors, probably they are gone now...

2003-07-11 10:58  zmoelnig

	* src/Base/GemPixImageSave.cpp: added a newline at the end of the
	file

2003-07-11 10:55  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, videoDV4L.cpp, videoDV4L.h,
	videoV4L.cpp: got some problems with the cvs-update on another
	machine.  hope it's ok now

2003-07-11 10:06  zmoelnig

	* src/Gnu/: aclocal.m4, configure, configure.in: added checks for
	mmx-extension of gcc

2003-07-11 09:58  zmoelnig

	* src/Pixes/videoDV4L.cpp: filedescriptors may also be 0! i only
	closed the device, if the fd was>0.  fixed.

2003-07-11 09:55  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreate.h, GemWinCreateXWin.cpp:
	added a flag to WindowInfo, whether a constant context has been
	established.  the destroyWindow depends partly on this (because my
	laptop (with an ati mobility l6) crashed when destroying a
	non-constant context.  also changed the line "do not continue" to
	"continue at your own risk"

2003-07-09 08:07  zmoelnig

	* src/Gnu/WHATSNEW: added some advice for video1394 under linux

2003-07-09 07:17  zmoelnig

	* src/Gnu/: configure, configure.in: oops, i'm getting tired.
	another typo

2003-07-09 07:10  zmoelnig

	* src/Gnu/: configure, configure.in: oops, made a type "libdv"
	instead of "dv"

2003-07-09 07:05  zmoelnig

	* src/: gem.dsp, Base/Make.depend, Base/config.h.in,
	Controls/Make.depend, Geos/Make.depend, Gnu/Makefile,
	Manips/Make.depend, MarkEx/Make.depend, Nongeos/Make.depend,
	Particles/Make.depend, Pixes/Make.depend, Pixes/pix_test.cpp,
	Pixes/pix_test.h, openGL/Make.depend: removed the Makefile.depend .
	they are not really needed in CVS

2003-07-09 06:59  zmoelnig

	* src/Pixes/pix_dot.cpp: use image.reallocate() rather than
	image.clear() + image.allocate()

2003-07-09 06:58  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: it seems like this
	is only used under linux for now.  however, i have added the
	videoDV4L support.  and there is now a "driver" message, that let's
	you choose between various drivers (like video4linux and video1394)
	yes, the way the modules are registered is really BAD.	have to
	change this soon

2003-07-09 06:56  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: hopefully this is a real
	support for video over ieee1394 (firewire/dv)  under linux!

2003-07-09 06:51  zmoelnig

	* src/Pixes/video.cpp: changed the error-message (like for setting
	the device) slightly

2003-07-09 06:42  zmoelnig

	* src/Gnu/: configure.in, configure: fixed the dv-checking.  force
	the headers to be there, when the library is found too

2003-07-09 06:41  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added some more
	yuv-conversions. (following a new naming-scheme after the FOURCC)
	fromUYVY, fromYUY2 (=YUYV), fromYVYU, fromYV12; fromYUV422() is now
	an alias for fromUYVY() fromYUV420P() is now an alias for
	fromYV12()

2003-06-24 01:59  cclepper

	* src/Pixes/: pix_motionblur.cpp, pix_motionblur.h: improved
	altivec code + PPC scheduling

2003-06-23 13:43  cclepper

	* src/Pixes/pix_mix.cpp: improved altivec code

2003-06-23 03:05  cclepper

	* src/Pixes/: pix_texture.cpp, pix_texture.h: improved rectangle
	texturing

2003-06-23 02:59  cclepper

	* src/Base/: GemPixObj.cpp, GemPixUtil.h: added newfilm to
	state->image

2003-06-23 02:58  cclepper

	* src/Base/GemPixObj.h: fixed Ian's prefetch code

2003-06-23 02:57  cclepper

	* src/Pixes/: pix_filmDarwinYUV.cpp, pix_filmDarwinYUV.h: fixed
	inaccurate estimation of film length, trying yet another way to do
	getFrame()

2003-06-23 02:52  cclepper

	* src/Pixes/: pix_filmYUV.cpp, pix_filmYUV.h, pix_film.cpp,
	pix_film.h: added newfilm to state to tell when a film has been
	changed - mostly for faster rectangle texturing at this point

2003-06-23 02:17  cclepper

	* src/Pixes/: pix_mix.cpp, pix_mix.h: improvements to YUV code

2003-06-23 02:11  cclepper

	* src/Pixes/pix_snap.cpp: removed debug post()

2003-06-23 01:59  cclepper

	* src/Pixes/pix_add.cpp: tweaked some altivec

2003-06-18 11:23  zmoelnig

	* src/Pixes/pix_compare.h: set the include to
	"Base/GemPixDualObj.h" (the Base/ was missing)

2003-06-11 16:23  zmoelnig

	* src/Pixes/pix_invert.cpp: commented out the ALTIVEC after
	"#endif" (gcc doesn't like this)

2003-06-09 12:11  tigital

	* src/Pixes/pix_snap2tex.cpp: reordered declarations to shutup gcc

2003-05-27 23:26  cclepper

	* src/Pixes/: pix_compare.h, pix_compare.cpp: initial commit

2003-05-27 00:16  dheck

	* GEM_darwin.pbproj/project.pbxproj: Added project builder project
	for Mac OS X

2003-05-26 09:36  dheck

	* src/Pixes/: pix_filmQT.cpp, pix_filmQT.h, setup.h: Added a
	Quicktime for Windows film loader.

2003-05-24 12:30  zmoelnig

	* src/Pixes/pix_snap2tex.cpp: shouldn't the "snap" message be
	replaced by a "bang". (at least i have *add*ed it)

2003-05-24 12:27  zmoelnig

	* src/Pixes/setup.h: put the [pix_grey] back in again (why isn't it
	there ?)

2003-05-24 11:54  zmoelnig

	* src/Pixes/: pix_blob.cpp, pix_blob.h: added greyscale-support for
	pix_blur

2003-05-24 11:50  zmoelnig

	* src/Pixes/: pix_movement.cpp, pix_movement.h: since movement is
	stored in the Alpha-channel, i hchanged processImage to
	processRGBA image.  
i have to think about how to store movement in
	other colour-spaces.  grayscale: just in the image yuv : ???

2003-05-23 04:13  cclepper

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: new integer processing
	mode - 4x faster than float

2003-05-22 03:33  cclepper

	* src/Pixes/: pix_invert.cpp, pix_invert.h: added Altivec

2003-05-21 01:24  cclepper

	* src/Base/GemMan.cpp: fixed TEXTURE_RECTANGLE_EXT code for OSX

2003-05-20 17:22  tigital

	* src/Pixes/pix_dot.h: added "scale" message to inc/dec size of
	dots, plus some cleanup into the destructor; also made
	inline_RGB2Y() protected

2003-05-20 17:21  tigital

	* src/Pixes/pix_dot.cpp: added "scale" message to inc/dec size of
	dots, plus some cleanup into the destructor

2003-05-20 03:48  cclepper

	* src/Pixes/pix_texture.cpp: made CLAMP_TO_EDGE the repeat for
	TEXTURE_RECTANGLE_EXT

2003-05-19 20:24  tigital

	* src/Pixes/setup.h: commented out call to pix_film_setup():  is
	this needed on any platform (seems like we went thru this
	before)?...

2003-05-19 20:21  tigital

	* src/Particles/partlib_opengl.cpp: add #ifdef __APPLE__ to
	correctly include headers

2003-05-19 00:03  cclepper

	* src/Pixes/pix_snap.cpp: now works on OSX

2003-05-18 23:50  cclepper

	* src/Pixes/pix_write.cpp: now works on OSX

2003-05-18 15:44  zmoelnig

	* src/Pixes/pix_multiply.cpp: we now have chY1,.... for
	YUV-offsets, i have used this now

2003-05-18 15:36  zmoelnig

	* src/Pixes/pix_dump.h: added method for grey-images

2003-05-18 15:36  zmoelnig

	* src/Pixes/pix_crop.cpp: bug-fix: there was weird-behaviour, when
	the offset was bigger than the size of the cropped(!)  image

2003-05-18 15:32  zmoelnig

	* src/Pixes/: pix_curve.cpp, pix_dump.cpp, pix_curve.h: added
	method for grey-images

2003-05-18 15:29  zmoelnig

	* src/Base/GemPixUtil.h: "#elif def" doesn't compile under linux,
	but "#elif defined" does...

2003-05-18 15:20  zmoelnig

	* src/: BUGS, TODO: updated

2003-05-18 05:13  cclepper

	* src/Base/GemPixImageSave.cpp: initial OSX version of mem2image()

2003-05-17 23:31  tigital

	* examples/data/: blob0.tif, blob1.tif, blob2.tif: needed for some
	example patches (like pix_gravity)

2003-05-17 16:33  tigital

	* src/Pixes/setup.h: added pix_rds_setup()

2003-05-17 16:20  tigital

	* src/Pixes/pix_dot.cpp: cleanup a bit

2003-05-17 16:19  tigital

	* src/Pixes/: pix_rds.cpp, pix_rds.h: initial port:  RGB only (so
	far) :-(

2003-05-17 14:47  tigital

	* src/Base/GemPixDualObj.cpp: correct casting in sprintf's to
	shutup compiler warning

2003-05-17 14:45  tigital

	* src/Base/GemPixUtil.h: #elifdef doesn't compile on OSX, but #elif
	def does

2003-05-16 14:57  zmoelnig

	* src/Gnu/BUGS: moved BUGS to Gem/src (../)

2003-05-16 14:57  zmoelnig

	* src/: BUGS, TODO: file bugs under BUGS, and things that have to
	be done under TODO

2003-05-16 14:53  zmoelnig

	* src/Gnu/BUGS: added a BUGS file

2003-05-16 10:58  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: #ifdef'ed everything with
	HAVE_DV (so it won't compile if there are no libdv/dv.h headers)

2003-05-16 10:40  zmoelnig

	* src/Gnu/configure: fixed a typo that searched in "search_libs"
	instead of expanding $search_libs

2003-05-16 10:38  zmoelnig

	* src/Gnu/configure.in: fixed a typo that searched for "searchlibs"
	instead of "$searchlibs"

2003-05-16 08:36  zmoelnig

	* debian/: changelog, control, copyright, dirs, docs, files, rules:
	Initial revision

2003-05-16 08:36  zmoelnig

	* debian/: changelog, control, copyright, dirs, docs, files, rules:
	debian package managing module: for creation of debs

2003-05-16 07:10  zmoelnig

	* src/Base/GemPixObj.cpp: commited result of merge

2003-05-16 07:07  zmoelnig

	* src/Base/: GemFuncUtil.h, GemPixUtil.h: moved macors for
	image-processing from GemPixUtil to GemFuncUtil (since they are
	functions, although they probably have not much use for things
	other than PixProcessing (GemPixFun.h ?)

2003-05-16 06:53  zmoelnig

	* src/Pixes/: pix_posterize.cpp, pix_posterize.h, setup.h: copied
	yuv_posterize to pix_posterize. YUV only. hope this works as it
	should

2003-05-16 06:52  zmoelnig

	* src/Pixes/videoV4L.cpp: switched back from PALETTE_YUV422 to
	PALETTE_YUV420P.  it seems as if video4linux means something
	different with YUV422 (or similar formats). too bad, conversions
	(copying!) again

2003-05-14 05:01  zmoelnig

	* src/Pixes/pix_texture2.cpp: ifdefed the use of
	GL_UNPACK_CLIENT_STORAGE_APPLE obviously some other changes, which
	i hope do not break anything, but i guess most of it is new
	indentation

2003-05-14 04:58  zmoelnig

	* help/: tv_biquad.pd, tv_movement.pd, tv_rtx.pd: removed tv_*
	help-patches, since they are not used any more

2003-05-14 04:03  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added data-acquisition
	"fromYUV422" added offsets chY0, chY1, chU, chV for UYVY
	interleaved data added a string2format converter (like 'rgba' to
	GL_RGBA), only Grey, YUV, and RGBA are supported

2003-05-14 03:59  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: added a topmostMess (a nop)

2003-05-14 03:58  zmoelnig

	* src/Base/GemMan.cpp: ifdef'ed the call for openGL-extension
	"rectangle-texture", since there were problems when Gem was
	compiled without rectangle-texture-support, but the drivers
	supported it (namely nvidia-driver)

2003-05-14 03:50  zmoelnig

	* src/Pixes/videoV4L.cpp: oops, missed one thing: when yuv was
	requested, we didn't directly captured to yuv422 but rather to
	yuv420p. fixed

2003-05-14 03:48  zmoelnig

	* src/Pixes/videoV4L.cpp: for testing i had hardcorded requests for
	some "wrong" colour-spaces.  hopefully this is removed now

2003-05-14 03:46  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: on platform that do
	not support yuv422-openGL-renderings (i haven't managed to make my
	geforce behave the way i expected, and of course there are other
	cards that will never support yuv-textures), we now have implicit
	yuv2rgb-conversion

2003-05-14 03:44  zmoelnig

	* src/Pixes/: pix_emboss.cpp, pix_emboss.h: copy and pasted the
	yuv_emboss into the Pixes source.  for now, only yuv is supported

2003-05-14 03:44  zmoelnig

	* src/Pixes/: pix_convert.cpp, pix_convert.h: yet another
	colour-space converter ??? don't know whether this makes sense
	(remove it LATER)

2003-05-14 03:33  zmoelnig

	* src/Pixes/setup.h: added convert and emboss

2003-05-14 03:32  zmoelnig

	* src/Pixes/pix_buffer.cpp: added aliases for [pix_depot] and
	friends

2003-05-14 03:32  zmoelnig

	* src/Pixes/pix_depot.cpp: [pix_put]: the frame# is now deleted
	after an image has been written into the depot. the next incoming
	image will not be stored until another frame# is given.

2003-05-12 22:06  tigital

	* src/Particles/partlib_actions.cpp: added #define for logf(),
	expf(), sinf(), & cosf() on OS X (sin() et. al. are already done
	w/double precision)

2003-05-12 22:00  tigital

	* src/Particles/partlib_vector.h: added #define for sqrtf() on OS X

2003-05-12 21:59  tigital

	* src/Base/GemPixUtil.h: reordered variables to reduce compiler
	warnings added glext.h to compile on OS X

2003-05-12 20:54  cclepper

	* src/Base/GemPixImageLoad.cpp: fixed the OSX image loading code

2003-05-12 17:54  tigital

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwinYUV.cpp: removed
	unused variables

2003-05-12 06:27  dheck

	* src/: gem.vcproj, Base/GemPixObj.cpp, Base/GemPixObj.h,
	Base/GemPixUtil.cpp, Particles/papi.h, Particles/part_targetsize.h,
	Particles/partlib_system.cpp, Pixes/pix_duotone.cpp,
	Pixes/pix_duotone.h, Pixes/pix_gain.cpp, Pixes/pix_texture.cpp,
	Pixes/pix_texture2.cpp: Minor changes for Win32 compilation.

2003-05-12 05:48  cclepper

	* src/Pixes/: filmDarwin.cpp, filmDarwin.h: initial 'working'
	version

2003-05-12 05:43  cclepper

	* src/Pixes/pix_gain.cpp: removed unused variables, added registers

2003-05-12 05:37  cclepper

	* src/Pixes/pix_mix.cpp: removed unused variable

2003-05-12 05:36  cclepper

	* src/Pixes/pix_convolve.cpp: added vec_dst for dst stream

2003-05-12 05:03  cclepper

	* src/Pixes/pix_roll.cpp: removed pointless macro

2003-05-12 04:59  cclepper

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added 'mode' message
	to switch between power-of-2 and rectangle textures

2003-05-11 10:36  dheck

	* src/: gem.vcproj, Pixes/pix_snap2tex.cpp, Pixes/pix_snap2tex.h,
	Pixes/setup.h: Added pix_snap2tex for snapping directly to a
	texture.  This may need some experimentation with appropriate pixel
	formats for each platform to achieve good performance.

2003-05-11 02:01  cclepper

	* src/Pixes/pix_rgba.cpp: changed the Mac format to GL_BGRA_EXT

2003-05-07 13:24  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h, pix_buffer_read.h,
	pix_buffer_write.h: renamed [pix_depot] and fellows to [pix_buffer]
	et al.

2003-05-07 07:10  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: added a deviceMess
	for setting which device to use

2003-05-07 07:07  zmoelnig

	* src/Pixes/pix_rgba.cpp: set output format to GL_ARGB_EXT on
	macOS.	i hope this works, but maybe not

2003-05-07 07:06  zmoelnig

	* src/Pixes/pix_buf.cpp: added alias for [pix_separator]

2003-05-07 07:05  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L.h: first attempt to support my
	Philips Quickcam (720/40)

2003-05-07 07:03  zmoelnig

	* src/Pixes/: pix_add.cpp, pix_add.h, pix_subtract.cpp,
	pix_subtract.h: added Grey-Grey support

2003-05-07 06:56  zmoelnig

	* src/Pixes/pix_buf.cpp: there is now an alias for [pix_separator]

2003-05-07 06:55  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added colourConversion
	routines to GemPixUtils (for now only non-optimized) maybe they
	should rather be in GemPixConvert ? datasize is now private

2003-05-07 06:38  zmoelnig

	* src/Pixes/pix_tIIR.cpp: since datasize in imageStruct is now
	private, we use setBlack() to delete the image-buffer

2003-05-07 06:35  zmoelnig

	* src/Pixes/: pix_info.cpp, pix_info.h: used to crash when the
	data-pointer was zero

2003-05-07 06:19  zmoelnig

	* src/Base/: GemBase.cpp, GemBase.h: i once uncommented the
	"realStopRendering" things, because i didn't know what it was for. 
	trying to compile gem2pdp i noticed that this was needed.  yes, i
	don't like it either, when changes are made to the repository
	wihtout documentation

2003-05-07 06:11  zmoelnig

	* src/Particles/: part_color.cpp, part_color.h, part_info.cpp,
	part_info.h, part_render.cpp, part_size.cpp, part_size.h,
	part_targetsize.cpp, part_targetsize.h: upgraded to libarticle-1.20
	this effects some of the [part_*] objects (eg: [part_info] now has
	another output for the age of the particle,...)

2003-05-07 06:10  zmoelnig

	* src/Particles/papi.h: upgraded to 1.20

2003-05-07 06:09  zmoelnig

	* src/Particles/: partlib_actionapi.cpp, partlib_actions.cpp,
	partlib_general.h, partlib_opengl.cpp, partlib_system.cpp,
	partlib_vector.h: upgraded to libparticle-1.20

2003-05-07 05:56  zmoelnig

	* src/Pixes/film.h: added some comments (is this enough
	documentation ?)

2003-05-05 19:58  cclepper

	* src/Pixes/: pix_motionblur.cpp, pix_motionblur.h: initial commit
	- replacement for pix_blur with a much better algo

2003-04-28 17:56  tigital

	* src/Geos/text2d.h: switched ordering of variables to appease
	compiler

2003-04-28 15:46  zmoelnig

	* src/Pixes/pix_add.cpp: stupid bug when adding to grey images

2003-04-28 14:06  zmoelnig

	* examples/06.particle/: 07.render.pd, 08.info.pd: examples for
	user-defined particles

2003-04-28 13:48  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: a not yet working
	ieee1394-videoIN under linux

2003-04-28 13:44  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: merged pix_texture
	and pix_texture2 and made rectangle-textures work with nvidia (hope
	it works...)

2003-04-28 13:43  zmoelnig

	* src/Pixes/pix_videoNEW.h: played with the colour-spaces

2003-04-28 13:41  zmoelnig

	* src/Pixes/: pix_normalize.cpp, pix_normalize.h: added a method
	for Gray

2003-04-28 13:39  zmoelnig

	* src/Pixes/: pix_videoLinux.cpp, pix_videoNEW.cpp, videoV4L.cpp,
	videoV4L.h: played with the colour-spaces

2003-04-28 13:38  zmoelnig

	* src/Pixes/: pix_filmNT.h, pix_videoDS.cpp: new indentation ;-)

2003-04-28 13:38  zmoelnig

	* src/Pixes/pix_filmLinux.h: fixed things with old libaviplay, that
	doesn't work (since it only decodes audio)

2003-04-28 13:34  zmoelnig

	* src/Pixes/pix_yuv.cpp: added a comment

2003-04-28 13:34  zmoelnig

	* src/Pixes/: pix_convolve.cpp, pix_depot.cpp, pix_duotone.cpp,
	pix_subtract.cpp: new indentation ;-)

2003-04-28 13:33  zmoelnig

	* src/Pixes/: pix_rgb2hsv.cpp, pix_blur.cpp, pix_histo.cpp,
	pix_dot.cpp, pix_chroma_key.cpp: removed unused variables and
	initialized used ones.

2003-04-28 13:32  zmoelnig

	* src/Pixes/: pix_movie.cpp, pix_movieYUV.cpp: ifdef'ed
	GL_UNPACK_CLIENT_STORAGE_APPLE

2003-04-28 13:27  zmoelnig

	* src/Pixes/: video.cpp, video.h: added a method for changing the
	color-space

2003-04-28 13:26  zmoelnig

	* src/Pixes/setup.h: [no log message]

2003-04-28 13:25  zmoelnig

	* src/Pixes/: film.cpp, filmAVI.cpp, filmAVIPLAY.cpp,
	filmDarwin.cpp, filmFFMPEG.cpp, filmMPEG1.cpp, filmMPEG3.cpp: made
	film-stuff compile with gcc-3.2 without warnings... (hope that is
	all)

2003-04-28 13:24  zmoelnig

	* src/Pixes/: film.h, filmAVI.h, filmAVIPLAY.h, filmDarwin.h,
	filmFFMPEG.h, filmMPEG3.h: nothing, but made the constructor
	virtual (since the class is virtual too)

2003-04-28 13:22  zmoelnig

	* src/Gnu/: Makefile.subdir, configure: ???

2003-04-28 13:21  zmoelnig

	* src/Gnu/: Makefile.in, configure.in: a new flag "--with-ieee1394"
	for linux-compiles (doesn't do anything yet...)

2003-04-28 13:19  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: cursorMessage should return
	something. it does so now.

2003-04-28 13:17  zmoelnig

	* src/Base/GemPixUtil.h: tried to add the nvidia-specific defines
	for yuv422 and rectangle-texturing (however, the yuv-thing still
	doesn't work)

2003-04-28 13:16  zmoelnig

	* src/Base/: GemPixImageLoad.cpp, GemPixImageSave.cpp: (nothing),
	like dos2unix...

2003-04-28 13:15  zmoelnig

	* src/Base/: GemBase.cpp, GemBase.h: added the continueRender()
	function (important to output several gemlists (like with
	[part_render]) uncommented the stoprender() thing. what is it for ?

2003-04-28 13:13  zmoelnig

	* src/Base/GemMan.cpp: made texture_rectangle_supported work with
	nvidia...  found a bug @ parsing the openGL-extension when no
	openGL-context was yet valid

2003-04-28 13:12  zmoelnig

	* src/Base/sgiimage.cpp: initialized a variable

2003-04-28 13:10  zmoelnig

	* src/Controls/: orb.cpp, orbserial.cpp: new indentation ;-)

2003-04-28 13:09  zmoelnig

	* src/Geos/text2d.h: swapped 2 lines (GLTTBitmapFont and
	GLTTPixmapFont) because gcc-3.2 would complain

2003-04-28 13:08  zmoelnig

	* src/Geos/: ripple.cpp, rubber.cpp: removed unused variables and
	initialized used ones

2003-04-28 13:07  zmoelnig

	* src/Geos/newWave.cpp: removed some unused variables

2003-04-28 13:06  zmoelnig

	* src/Geos/model_loader.cpp: (nothing)

2003-04-28 13:05  zmoelnig

	* src/MarkEx/hsvrgb.cpp: initialized some values (gcc-3.2 would
	complain)

2003-04-28 12:20  zmoelnig

	* src/Particles/: part_info.cpp, part_info.h, part_render.cpp,
	part_render.h, setup.h: [part_render] let you render any gemlists
	as particles [part_info] is similar, but doesn't actually
	rotate/translate/... the gemlist, but outputs the data on the right
	outlets

2003-04-28 12:19  zmoelnig

	* src/Particles/part_vector.h: suddenly i discovered that gcc-3.2
	(?) didn't want to compile this...

2003-04-22 01:11  cclepper

	* src/Pixes/pix_convolve.cpp: added optimizations to YUV and a
	first try at an altivec function

2003-04-21 23:20  cclepper

	* src/Pixes/: pix_convolve.cpp, pix_convolve.h: added optimizations
	to YUV and a first try at an altivec function

2003-04-21 23:18  cclepper

	* src/Pixes/: pix_scanline.h, pix_scanline.cpp: initial commit

2003-04-14 10:57  zmoelnig

	* src/Pixes/: video.cpp, video.h: changed the API a little bit...

2003-04-14 10:56  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h, videoV4L.cpp,
	videoV4L.h: what to say ? making it work

2003-04-14 04:57  zmoelnig

	* src/Pixes/pix_dot.cpp: made an explicit cast from float to
	integer during the processing

2003-04-14 04:56  zmoelnig

	* src/Pixes/: pix_add.cpp, pix_add.h, pix_composite.cpp,
	pix_composite.h, pix_mask.cpp, pix_takealpha.cpp: (refined)
	RGBA_Gray-support for PixDualObjects

2003-04-13 20:19  dheck

	* src/gem.vcproj: Made GEM release build include DirectShow support
	by default.

2003-04-13 19:39  dheck

	* src/Pixes/pix_videoDS.cpp: Added alias to old external name
	(interim measure... should remove it eventually)

2003-04-13 10:42  dheck

	* src/: gem.vcproj, Pixes/pix_filmNT.cpp: More error checking
	tweaks

2003-04-12 14:33  cclepper

	* src/Pixes/pix_rgba.cpp: fixed the OSX format #ifdef

2003-04-11 06:09  dheck

	* src/Pixes/pix_videoDS.cpp: Added DirectShow graph exporting for
	debugging with GraphEdit

2003-04-10 20:28  tigital

	* src/Pixes/: pix_dot.cpp, pix_dot.h: removed unused variables,
	started work on processYUVimage

2003-04-10 16:13  zmoelnig

	* src/Pixes/pix_flip.cpp: this is BUGGY ? (i think)

2003-04-10 10:53  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: oh i think
	pix_videoNEW is really buggy.

2003-04-10 04:34  zmoelnig

	* src/Gnu/Makefile.subdir: added a dos2unix on make distclean

2003-04-10 04:32  zmoelnig

	* src/Base/GemMan.cpp: new startup-logo with more authors

2003-04-10 04:27  zmoelnig

	* src/Pixes/: pix_background.cpp, pix_roll.cpp: added #include
	<string.h>

2003-04-10 04:25  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_filmNEW.cpp, pix_filmNT.cpp,
	pix_videoLinux.cpp, pix_videoLinux.h, setup.h: though i fixed the
	linux-Video thing but someone did this for me...  there was a
	<stdlib.h> missing in pix_dot.cpp

2003-04-10 00:58  dheck

	* src/Pixes/filmQT4L.cpp: Fixed problems with previous commit:
	avoid memory leaks due to alternate return paths.

2003-04-10 00:49  dheck

	* src/Pixes/filmQT4L.cpp: Changed automatic non-const array
	allocation to heap allocated array for compiler compatibility.

2003-04-10 00:46  dheck

	* src/Pixes/pix_dot.cpp: Fixed return in void function.

2003-04-09 14:17  cclepper

	* src/Base/GemPixUtil.h: added #include <string.h> <stdlib.h>

2003-04-09 04:07  cclepper

	* src/Controls/: gemwin.cpp, gemwin.h: added fps message and outlet

2003-04-09 03:59  cclepper

	* src/Base/GemWinCreateMac.cpp: changed secondscreen to use a
	minimum of 640x480

2003-04-09 03:56  cclepper

	* src/Base/: GemMan.h, GemMan.cpp: added fps message

2003-04-09 03:38  cclepper

	* src/Geos/: newWave.h, newWave.cpp: changed speed message to take
	all float values

2003-04-09 03:01  cclepper

	* src/Geos/polygon.cpp: added the rest of the GL drawing modes

2003-04-09 02:42  cclepper

	* src/Pixes/setup.h: new pix_objects

2003-04-09 02:32  cclepper

	* src/Pixes/pix_texture.cpp: added buffer zeroing for YUV textures

2003-04-09 02:31  cclepper

	* src/Pixes/: pix_background.cpp, pix_background.h: initial commit

2003-04-09 01:14  cclepper

	* src/Pixes/: pix_duotone.cpp, pix_duotone.h: initial commit

2003-04-09 01:03  cclepper

	* src/Pixes/pix_blur.cpp: fixed a potential crash

2003-04-09 00:08  cclepper

	* src/Pixes/: pix_roll.cpp, pix_roll.h: initial commit

2003-04-09 00:03  cclepper

	* src/Pixes/pix_threshold.h: added yuv

2003-04-08 23:59  cclepper

	* src/Pixes/pix_texture2.cpp: removed memset

2003-04-08 23:03  cclepper

	* src/Pixes/pix_threshold.cpp: added YUV function

2003-04-08 19:34  cclepper

	* src/Pixes/: pix_filmYUV.h, pix_filmYUV.cpp: added fps timing
	outlet

2003-04-08 19:33  tigital

	* src/Pixes/pix_filmDarwin.h: removed unused (now) media variable

2003-04-08 19:31  tigital

	* examples/05.text/: 01.TextNoLoadBang.pd,
	03.ChangeTextNoLoadBang.pd: removed loadBang so the patches will
	not crash on OSX:  again, OSX needs a glContext before making any
	glCalls!

2003-04-08 19:30  tigital

	* src/Pixes/: pix_filmDarwinYUV.h, pix_filmDarwinYUV.cpp: cleaned
	up unused code, including removal of media timescale calculation,
	which could cause crashes, and is not currently necessary

2003-04-08 18:22  tigital

	* src/Pixes/pix_filmDarwin.cpp: cleaned up unused code, including
	removal of media timescale calculation, which could cause crashes,
	and is not currently necessary

2003-04-08 18:20  tigital

	* src/Pixes/: pix_dot.cpp, pix_dot.h: now it works!  RGBA only now,
	but YUV on it's way...from the EffectTV collection

2003-04-08 18:18  tigital

	* src/Pixes/setup.h: uncommented pix_dot_setup stuff, because now
	it works!

2003-04-08 13:06  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: added filmQT4L

2003-04-08 13:04  zmoelnig

	* src/Pixes/pix_gain.cpp: fixed the float2int bug (haven't i
	submitted this 4 times today ?)

2003-04-08 13:03  zmoelnig

	* src/Pixes/videoV4L.cpp: double default argument fixed

2003-04-08 13:02  zmoelnig

	* src/Pixes/pix_depot.cpp: added some casts to integer (warnings on
	gcc-3.2)

2003-04-08 13:00  zmoelnig

	* src/Pixes/filmMPEG3.cpp: fixed a bug on close

2003-04-08 13:00  zmoelnig

	* src/Pixes/: filmMPEG1.cpp, filmFFMPEG.cpp: added newlines at EOF

2003-04-08 12:58  zmoelnig

	* src/Pixes/: filmQT4L.cpp, filmQT4L.h: the quicktime4linux
	movie-loader class

2003-04-08 12:57  zmoelnig

	* src/Pixes/: DSgrabber.cpp, DSgrabber.h: [no log message]

2003-04-08 12:54  zmoelnig

	* src/Pixes/: pix_videoLinux.cpp, pix_videoLinux.h: the capturing
	is now threaded

2003-04-08 05:12  zmoelnig

	* src/Pixes/pix_depot.cpp: fixed a bug in the destructor

2003-04-08 04:40  zmoelnig

	* src/Pixes/pix_depot.cpp: can't remember (maybe only some
	tab-indents)

2003-04-08 04:34  zmoelnig

	* src/Pixes/: pix_pix2sig.cpp, pix_pix2sig.h: added support for
	other colour-spaces (though YUV might produced interlaced signals)

2003-04-08 04:32  zmoelnig

	* src/Pixes/: pix_videoDS.cpp, pix_videoDS.h: dos2unix

2003-04-08 04:29  zmoelnig

	* src/Pixes/pix_videoLinux.cpp: just a debugging output

2003-04-08 04:27  zmoelnig

	* src/Pixes/pix_rgba.cpp: set the notowned flag to 0 (because we
	own the rgba-image)

2003-04-08 04:26  zmoelnig

	* src/Pixes/: pix_info.cpp, pix_info.h: changed the base class from
	GemPixObj to GemBase (so we have info on every image). maybe this
	was not a great idea ...( but not that bad either)

2003-04-08 04:22  zmoelnig

	* src/Pixes/: video.cpp, video.h: the parent class for os/lib
	dependent video-grabbing (childs include videoV4L, hopefully will
	include video1394, videoDS, videoWDM,...)

2003-04-08 04:17  zmoelnig

	* src/: Geos/model_loader.h, Geos/newWave.cpp, Geos/rubber.h,
	Manips/ortho.cpp, Nongeos/world_light.h: nothing i know of

2003-04-08 02:58  cclepper

	* src/Pixes/: pix_filmDarwinYUV.cpp, pix_filmDarwinYUV.h: added
	LoadRam()

2003-04-08 02:11  cclepper

	* src/Pixes/pix_filmDarwin.cpp: added LoadRam()

2003-04-08 01:43  cclepper

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h: added LoadRam()

2003-04-08 01:18  tigital

	* src/Pixes/pix_filmDarwin.cpp: forgot to remove getFrame()
	variable duration!  Thanks to the vigilent cgc

2003-04-07 23:15  cclepper

	* src/Pixes/pix_rgba.cpp: put OSX ifdef back in

2003-04-07 23:01  cclepper

	* src/Pixes/pix_dump.cpp: added yuv code

2003-04-07 22:58  cclepper

	* src/Pixes/: pix_convolve.cpp, pix_convolve.h: new 3x3 yuv code

2003-04-07 08:35  dheck

	* src/: Base/GemMan.cpp, Base/GemMan.h, Controls/gemwin.cpp,
	Controls/gemwin.h: Added "clear_mask" method to [gemwin].  Uses
	with the GLdefine object to generate GLbitfields for the gemwin's
	glClear.

2003-04-06 19:06  dheck

	* src/: gem.vcproj, Base/GemMan.cpp, Base/GemMan.h,
	Controls/gemwin.cpp, Controls/gemwin.h, Pixes/pix_filmNT.cpp: Added
	a "render" message to gemwin to allow a single graph rendering to
	be done.  Also changed "frame" message to allow a frame rate of 0.

2003-04-06 15:27  zmoelnig

	* src/Base/: GemBase.cpp, GemGLUtil.cpp, GemGluObj.h,
	GemPixObj.cpp, GemState.cpp: GemPixObj: i think there was a bug
	with not initializing pointers the rest is no real changes (only
	"visiting" the files)

2003-04-06 15:24  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L.h: a threaded class for video
	capturing under linux

2003-04-06 15:22  zmoelnig

	* src/Pixes/: film.cpp, filmAVI.cpp, filmAVIPLAY.cpp,
	filmDarwin.cpp, filmFFMPEG.cpp, film.h, filmAVI.h, filmAVIPLAY.h,
	filmDarwin.h, filmFFMPEG.h, filmMPEG1.cpp, filmMPEG3.cpp,
	filmMPEG1.h, filmMPEG3.h, pix_filmNEW.cpp, pix_filmNEW.h: a "new"
	concept of how os/library dependant code should look like.  do not
	make the pd-object-class OS-dependent but a helper class.

2003-04-06 04:06  dheck

	* src/Base/GemWinCreateNT.cpp: Fixed topmost message implementation
	for that topmost properly would be applied to windows created after
	a previous was destroyed.

2003-04-06 00:58  dheck

	* src/: Base/GemMan.cpp, Base/GemMan.h, Base/GemWinCreate.h,
	Base/GemWinCreateNT.cpp, Controls/gemwin.cpp, Controls/gemwin.h:
	Added topmost message to keep gemwin on top of other windows. 
	Implemented for win32 only.

2003-04-05 21:16  tigital

	* src/Base/GemPixUtil.h: rearranged initializers to stop compile
	warnings

2003-04-05 21:14  dheck

	* src/: gem.dsw, gem.vcproj, gem_vc6.dsw, gem_vc7.sln,
	Pixes/pix_filmNT.cpp, Pixes/pix_filmNT.h: Added VC++ 7 workspace
	and project.  Modified pix_filmNT to provide more robust error
	handling and to support recent CVS change in pix_film frame loading
	behaviour

2003-04-04 09:58  ggeiger

	* src/Gnu/: configure, configure.in, makeauxlibs: moved orb into
	Gem

2003-04-04 09:56  ggeiger

	* src/Controls/: orb.cpp, orb.h, orbserial.cpp, orbserial.h: Moved
	from GemLibs

2003-04-03 10:36  zmoelnig

	* src/openGL/GEMglAreTexturesResident.cpp: changed a type from bool
	to GLboolean (why ? i guess for vc6)

2003-04-03 10:35  zmoelnig

	* src/Controls/gemhead.cpp: set the state->image to zero before
	rendering

2003-04-03 10:35  zmoelnig

	* src/Controls/gemwin.cpp: added a boolean cast (for vc6)

2003-04-03 10:33  zmoelnig

	* src/Base/GemGLUtil.cpp: [no log message]

2003-04-03 10:29  zmoelnig

	* src/Base/: GemBase.cpp, GemWinCreateNT.cpp: some casts to bool
	(vc6 didn't like it the way it was done)

2003-04-03 10:28  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: allocate() now allocates
	data according to xsize/ysize/csize type is automatically set
	(depending on OS)

2003-04-03 10:23  zmoelnig

	* src/Pixes/pix_buf.cpp: nothing that matters (just a boolean cast
	at autoMess)

2003-04-03 10:22  zmoelnig

	* src/Pixes/pix_texture2.cpp: really nothing (maybe some blank
	lines)

2003-04-03 10:21  zmoelnig

	* src/Pixes/: pix_filmFFMPEG.cpp, pix_filmFFMPEG.h: some ifdefs to
	compile on my version of ffmpeg

2003-04-03 10:20  zmoelnig

	* src/Pixes/setup.h: [no log message]

2003-04-03 10:19  zmoelnig

	* src/Pixes/pix_aging.cpp: removed to redundant lines (mainly a
	label "BREAK")

2003-04-03 10:17  zmoelnig

	* src/Pixes/: pix_get.h, pix_put.h, pix_depot.cpp, pix_depot.h:
	[pix_depot] can store images (any size, fixed number) (TODO: add a
	way to load decompress movies directly into [pix_depot]). it is
	like [table] [pix_get] gets frames from [pix_depot] (like
	[tabread]) [pix_put] writes frames to [pix_depot] (like [tabwrite])

2003-04-01 00:25  tigital

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h,
	pix_filmDarwinYUV.h, pix_filmDarwinYUV.cpp: OSX only:  turns out
	that SampleNumToMediaTime() only worked when 1 movie was
	loaded...switched to a much simpler method of calculating
	m_reqFrame's m_movieTime...which works with at least five
	simultaneously running films!

2003-03-31 11:46  tigital

	* src/Pixes/pix_filmDarwin.cpp: OSX only:  forgot to set one flag
	correctly

2003-03-31 01:37  tigital

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwin.h,
	pix_filmDarwinYUV.cpp, pix_filmDarwinYUV.h: OSX only:  changed
	getFrame() for non-auto-processing, so now we get much smoother
	playback using metro/counter, in addition to allowing
	scrubbing/random frame access via a number box!  Finally!

2003-03-30 17:09  tigital

	* src/Pixes/: pix_film.cpp, pix_filmYUV.cpp: switched order of
	getFrame() and "m_curFrame = m_reqFrame"...also added an idle
	MoviesTask() on OSX

2003-03-30 17:01  tigital

	* src/Geos/imageVert.cpp: fixed OSX crash:  needed check for
	GLcontext before executing glGenLists()

2003-03-15 22:25  dheck

	* help/pix_videoDS.pd, src/gem.dsp, src/Pixes/DSgrabber.cpp,
	src/Pixes/DSgrabber.h, src/Pixes/pix_videoDS.cpp,
	src/Pixes/pix_videoDS.h, src/Pixes/setup.h: Added pix_videoDS, a
	DirectShow based video input object for Windows

2003-03-14 23:27  cclepper

	* src/Pixes/pix_movie.cpp: removed post() in postrender

2003-03-12 21:37  dheck

	* src/: gem.dsp, Pixes/setup.h: Added pix_chroma_key to the pix
	setup function and added the source files to the Visual Studio
	project.

2003-03-10 04:56  dheck

	* src/: gem.dsp, Base/GemPixUtil.h, Base/GemSetup.cpp: Excluded
	config.h from Windows builds

2003-03-07 18:08  tigital

	* src/Geos/model_loader.h: added #ifdef for OpenGL/gl.h on OSX

2003-03-07 18:07  tigital

	* src/yuv/yuv_chroma_key.cpp: added #ifdef DEBUG to post() in
	processYUV_YUV()

2003-03-07 18:05  tigital

	* src/Pixes/: pix_filmFFMPEG.cpp, pix_dvLinux.cpp: is
	"Base/config.h" used by anyone anymore?  #ifdef'd for linux because
	it was stopping OSX build

2003-03-07 17:57  tigital

	* src/Base/TextBase.h: is "Base/config.h" used by anyone anymore? 
	#ifdef'd for linux because it was stopping OSX build

2003-03-07 17:55  tigital

	* src/Base/GemGlutObj.h: is "Base/config.h" used by anyone anymore?

2003-03-07 12:23  ggeiger

	* src/Gnu/: configure, configure.in: fixed avcodec check bug

2003-03-07 11:43  ggeiger

	* src/Gnu/: Makefile.in, configure, configure.in: added FFMPEG
	library checks

2003-03-07 11:41  ggeiger

	* src/Pixes/: pix_add.cpp, pix_convolve.cpp, pix_convolve.h,
	pix_subtract.cpp: checked in int/unfolded pix operations

2003-03-07 11:40  ggeiger

	* src/Base/: GemPixObj.cpp, GemPixUtil.cpp, GemPixUtil.h: remove
	MMX routines

2003-03-07 11:40  ggeiger

	* src/Base/config.h.in: added HAVE_LIBAVCODEC,HAVE_LIBAVFORMAT

2003-03-07 11:37  ggeiger

	* src/Pixes/setup.h: added pix_filmFFMPEG setup

2003-03-07 11:29  ggeiger

	* src/Pixes/: pix_filmFFMPEG.cpp, pix_filmFFMPEG.h: added new
	FFMPEG version of pix_film

2003-03-07 04:58  ggeiger

	* src/Gnu/: configure.in, configure: removed search for particle
	and glm

2003-03-07 04:57  ggeiger

	* src/Gnu/makeauxlibs: particle and glm are in Gem now

2003-03-07 04:55  ggeiger

	* src/Particles/: papi.h, part_draw.cpp, part_draw.h,
	part_vector.h, partlib_actionapi.cpp, partlib_actions.cpp,
	partlib_system.cpp: included particle library stuff

2003-03-07 04:47  ggeiger

	* src/Geos/: model.h, model_loader.cpp, model_loader.h,
	multimodel.h: moved glm.c into model_loader.cpp

2003-03-07 04:43  ggeiger

	* src/Base/config.h: config.h will be autogenerated from config.in

2003-03-07 00:23  cclepper

	* src/yuv/: yuv_videoDarwin.cpp, yuv_videoDarwin.h: added quality
	modes

2003-03-06 23:28  cclepper

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: added quality
	modes

2003-03-06 18:30  cclepper

	* src/Base/GemMan.h: added secondscreen message to enable/disable
	fullscreen on a 2nd display

2003-03-06 17:44  cclepper

	* src/Base/: GemMan.h, GemMan.cpp, GemWinCreate.h,
	GemWinCreateMac.cpp: added secondscreen message to enable/disable
	fullscreen on a 2nd display

2003-03-06 17:37  cclepper

	* src/Controls/: gemwin.cpp, gemwin.h: added secondscreen message
	to enable/disable fullscreen on a 2nd display

2003-03-06 12:26  zmoelnig

	* src/Base/: GemBase.cpp, GemCache.cpp, GemMan.cpp, GemMan.h,
	GemPixObj.cpp, GemPixUtil.cpp, TextBase.cpp, TextBase.h: ???

2003-03-06 12:25  zmoelnig

	* src/Geos/: model.cpp, newWave.h, ripple.cpp, ripple.h,
	rubber.cpp, rubber.h, square.cpp, text2d.cpp, text2d.h, text3d.cpp,
	text3d.h, textoutline.cpp, textoutline.h: changed text-object, so
	they can be disabled...

2003-03-06 12:24  zmoelnig

	* src/Manips/: alpha.cpp, alpha.h, separator.cpp: bugfixed
	separator

2003-03-06 12:23  zmoelnig

	* src/Pixes/: pix_buf.cpp, pix_buf.h, pix_crop.cpp,
	pix_pix2sig.cpp, pix_pix2sig.h, pix_rgba.cpp, pix_rtx.cpp,
	pix_sig2pix.cpp, pix_sig2pix.h: some bug-fixes; esp [pix_buf]

2003-03-06 12:22  zmoelnig

	* src/Gnu/Makefile: checked in Makefile again...

2003-03-06 12:19  zmoelnig

	* src/Gnu/: Makefile, acinclude.m4, aclocal.m4, configure: updated
	configure....

2003-03-03 17:44  dheck

	* src/Pixes/pix_rgba.cpp: Reverted GL_BGR[A] to GL_BGR[A]_EXT to
	allow compilation on Windows (openGL 1.1)

2003-03-03 12:00  zmoelnig

	* src/Pixes/: pix_crop.cpp, pix_crop.h: pix_crop takes sub-images
	of images

2003-03-03 11:59  zmoelnig

	* examples/data/venus.obj: the object file for venus was missing...

2003-03-01 13:16  zmoelnig

	* src/Gnu/Makefile.in: fixed a bug with SYSTEMDOCS and made
	pd/extra the default installation-dir (not pd/externs)

2003-03-01 05:18  zmoelnig

	* src/Gnu/: configure, configure.in: added avifile support

2003-03-01 05:18  zmoelnig

	* src/Base/: config.h, config.h.in: added AVIPLAY (for linux) and
	(not yet functioning) GLTT defines

2003-03-01 05:16  zmoelnig

	* src/Pixes/: pix_biquad.cpp, pix_movement.cpp, pix_rtx.cpp,
	pix_rtx.h: somehow these were not properly updated ...

2003-03-01 05:10  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_filmLinux.cpp, pix_filmLinux.h,
	pix_rgba.cpp: added libavifile-support under linux

2003-03-01 03:29  cclepper

	* src/Pixes/: pix_convolve.cpp, pix_convolve.h: added yuv and
	optimizations

2003-02-28 05:00  ggeiger

	* src/: Geos/newWave.cpp, Pixes/pix_convolve.cpp: changed "for (int
	i=0; ..)" scoping

2003-02-28 02:17  cclepper

	* src/Base/GemMan.cpp: added VBLsync for OSX

2003-02-26 23:25  cclepper

	* src/Pixes/: pix_chroma_key.cpp, pix_chroma_key.h: initial commit

2003-02-26 23:20  cclepper

	* src/Pixes/: pix_subtract.h, pix_subtract.cpp, pix_blur.cpp,
	pix_blur.h, pix_mix.cpp, pix_mix.h: added altivec function

2003-02-26 23:16  cclepper

	* src/Pixes/: pix_gain.h, pix_gain.cpp, pix_offset.h,
	pix_offset.cpp: added altivec function

2003-02-26 20:09  dheck

	* src/Base/GemPixUtil.h: Added 31 bytes to imageStruct buffer
	allocation to allow realignment without causing buffer overruns.

2003-02-25 23:05  dheck

	* src/: gem.dsp, gem.dsw: Incorporated source structure changes in
	CVS (TV->pix) and new source files

2003-02-25 23:02  dheck

	* src/: gem.dsp, gem.dsw: Updated Visual Studio project and
	workspace to build current CVS source.

2003-02-25 22:59  dheck

	* src/: Base/GemGluObj.h, Base/GemPixUtil.cpp, Base/GemShape.cpp,
	Base/GemShape.h, Base/GemState.cpp, Geos/newWave.cpp,
	Geos/newWave.h, Geos/ripple.h, Geos/rubber.h, Manips/ortho.cpp,
	Nongeos/world_light.h, Pixes/pix_convolve.cpp,
	Pixes/pix_videoNT.cpp, yuv/yuv_posterize.cpp: Fixed Win32
	compilation issues.

2003-02-25 20:11  tigital

	* src/Base/GemPixUtil.h: reordered member initializers to
	"...datasize(0),pdata(0)..." to remove gcc 3.1 warnings

2003-02-25 19:30  tigital

	* src/Pixes/setup.h: added *_setup() for objects from tv_* to pix_*

2003-02-25 19:29  tigital

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h, pix_delay.cpp,
	pix_delay.h, pix_movement.cpp, pix_movement.h, pix_rtx.cpp,
	pix_rtx.h: moved from tv_* to pix_*

2003-02-24 13:53  zmoelnig

	* src/Gnu/README.build: updated a link

2003-02-24 13:41  zmoelnig

	* src/Manips/: alpha.cpp, alpha.h, setup.h: now the alpha-blending
	function can be set by hand: 0 .. GL_ONE_MINUS_SRC_ALPHA 1 ..
	GL_ONE

2003-02-24 13:40  zmoelnig

	* src/Manips/: polygon_smooth.cpp, polygon_smooth.h: polygon_smooth
	enables GL-polygon-smoothing (like it has been proposed by the
	mac-people)

2003-02-24 08:12  zmoelnig

	* src/TV/: Make.depend, setup.h, tv_biquad.cpp, tv_biquad.h,
	tv_delay.cpp, tv_delay.h, tv_movement.cpp, tv_movement.h,
	tv_rtx.cpp, tv_rtx.h, tv_test.cpp, tv_test.h: removing TV

2003-02-24 08:10  zmoelnig

	* src/: Base/GemSetup.cpp, Pixes/pix_test.cpp, Pixes/pix_test.h,
	Pixes/setup.h: removed TV-class

2003-02-24 08:09  zmoelnig

	* src/Gnu/: Makefile.in, WHATSNEW, configure, configure.in,
	makesource: removing TV-class

2003-02-24 07:47  zmoelnig

	* src/Pixes/: pix_blur.cpp, pix_mix.cpp, setup.h: [no log message]

2003-02-24 07:44  zmoelnig

	* src/Pixes/: pix_tIIR.cpp, pix_tIIR.h: another IIR-filter
	(time-domain) for pixes: very much like [pix_blur] and
	[pix_biquad], but more flexible

2003-02-24 06:45  zmoelnig

	* src/Pixes/pix_videoLinux.h: removed the default width/height from
	the constructor (this is done in the cpp-file)

2003-02-24 06:40  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added a reallocate()
	message to imageStruct.  This does only allocate memory, if the
	previous buffer is smaller than the needed one.  there is a "int
	datasize" that describes the length of the buffer.

2003-02-19 15:28  zmoelnig

	* src/Gnu/: Makefile.subdir, README.build: updated the README.build
	(for the new configure)

2003-02-19 13:41  zmoelnig

	* examples/09.openGL/01.primQuad.pd: Initial revision

2003-02-19 13:41  zmoelnig

	* examples/09.openGL/01.primQuad.pd: Added an example for the
	openGL-wrapper stuff

2003-02-19 13:25  zmoelnig

	* src/openGL/: GLdefine.cpp, GLdefine.h, setup.h: GLdefines maps
	symbols (like GL_FLAT) to corresponding floats (like 7424)

2003-02-19 13:23  zmoelnig

	* src/Geos/slideSquares.cpp: undef'ed the MacOS-specific
	Carbon-include

2003-02-19 13:17  zmoelnig

	* src/Base/GemGLUtil.cpp: redefined _GL_UNDEFINED to -1 (instead of
	-10)

2003-02-17 03:18  cclepper

	* src/Pixes/pix_data.cpp: added YUV

2003-02-14 23:44  cclepper

	* src/yuv/yuv_blur.cpp: added altivec function

2003-02-14 23:16  cclepper

	* src/Pixes/: pix_add.h, pix_add.cpp: added altivec function

2003-02-14 23:11  cclepper

	* src/Pixes/: pix_mix.h, pix_mix.cpp: added pix_mix

2003-02-13 22:54  tigital

	* src/Geos/: ripple.cpp, ripple.h, slideSquares.cpp,
	slideSquares.h, rubber.h, rubber.cpp: - doesn't require textures
	now ;-) - added glBlend message

2003-02-13 22:53  tigital

	* src/Geos/: newWave.cpp, newWave.h: - doesn't require textures now
	;-) - finally centered!

2003-02-09 21:24  cclepper

	* src/Base/GemPixObj.h: added Altivec cache function

2003-02-09 21:13  cclepper

	* src/Pixes/pix_filmDarwin.cpp: hq for DV added

2003-02-09 21:10  cclepper

	* src/Pixes/pix_filmDarwinYUV.cpp: hq for DV added

2003-02-09 19:18  tigital

	* examples/07.texture/06.ripple.pd: example patch for [ripple]
	controls

2003-02-09 19:17  tigital

	* examples/07.texture/05.newWave.pd: example patch for [newWave]
	controls

2003-02-09 19:14  tigital

	* src/Pixes/pix_texture2.cpp: changed gl setup calls to float (from
	integer):  they should all be one or the other, right?

2003-02-09 19:12  tigital

	* src/Geos/setup.h: added setup for ripple, rubber, and
	slideSquares

2003-02-09 19:10  tigital

	* src/Geos/: rubber.cpp, rubber.h: rubber:  bang "grabs" image, x/y
	input the can pull/distort image, 2nd bang releases image, which
	rebounds back to flat

2003-02-09 19:08  tigital

	* src/Geos/: slideSquares.cpp, slideSquares.h: slideSquare: creates
	a field of squares which reaveal texture while moving left to right

2003-02-09 19:07  tigital

	* src/Geos/: ripple.cpp, ripple.h: ripple:  bang to inlet causes
	image rippling, center of ripple is movable via x and y input: see
	example/07.texture/

2003-02-09 18:53  tigital

	* src/Geos/: newWave.cpp, newWave.h: now has controls for size,
	speed, and mode; currently only works with [pix_texture]; also
	requires rotateXYZ, scale, transposeXYZ for centering (see
	example/texture)

2003-02-09 17:21  tigital

	* src/Geos/rectangle.h: added glBlend

2003-02-09 17:20  tigital

	* src/Geos/rectangle.cpp: removed redundant m_linewidth call; added
	glBlend

2003-02-09 17:18  tigital

	* src/Geos/square.cpp: removed redundant m_linewidth call

2003-02-08 00:56  cclepper

	* src/yuv/: yuv_gain.cpp, yuv_gain.h, yuv_subtract.cpp,
	yuv_mix.cpp: added altivec code

2003-02-08 00:53  cclepper

	* src/yuv/: yuv_add.cpp, yuv_adjust.cpp: added altivec code

2003-02-06 17:38  tigital

	* src/TV/tv_rtx.cpp: updated to current "IMAGE_CLASS" memory
	functions (ie. buffer.clear() & buffer.allocate( dataSize)

2003-02-06 17:36  tigital

	* src/TV/setup.h: added tv_delay_setup

2003-02-05 23:55  cclepper

	* src/Geos/: square.h, square.cpp: added blending

2003-02-05 20:20  tigital

	* src/Pixes/pix_texture2.cpp: cleanup

2003-02-05 20:17  tigital

	* src/Base/GemGlutObj.h: removed HAVE_LIBGLUT for MACOSX

2003-02-05 03:55  cclepper

	* src/Pixes/pix_blur.cpp: added pix_blur

2003-02-05 03:40  cclepper

	* src/: yuv/yuv_filmDarwin.cpp, yuv/yuv_filmDarwin.h,
	Pixes/pix_filmDarwin.cpp, Pixes/pix_filmDarwin.h,
	Pixes/pix_filmDarwinYUV.cpp, Pixes/pix_filmDarwinYUV.h: improved
	quicktime performance and DV quality

2003-02-05 03:13  cclepper

	* src/Pixes/: setup.h, pix_blur.h, pix_blur.cpp: added pix_blur

2003-02-05 03:01  cclepper

	* src/Pixes/pix_gain.cpp: optimized pix_gain RGBA code

2003-02-03 23:46  cclepper

	* src/yuv/: yuv_split.cpp, yuv_split.h, yuv_swap.cpp, yuv_swap.h,
	yuv_video.cpp, yuv_video.h: added missing yuv objects

2003-02-03 19:32  zmoelnig

	* src/Gnu/: Makefile, Makefile.subdir: added optimization to the
	Makefiles: "-O3 -funroll-loops -ffast-math"

2003-02-03 19:16  zmoelnig

	* src/Gnu/: Makefile, Makefile.subdir: changed the behaviour of
	$(CXXFLAGS): you can now set CXXFLAGS via the command-line and it
	it added to the c++-flags $(cxxflags)

2003-02-03 11:55  zmoelnig

	* src/openGL/GEMglIsList.cpp: changed the identifier for the
	list-ID from "list" to "gllist", because pd would complain about
	this ("list" is reserved for pd-lists)

2003-02-03 11:47  zmoelnig

	* src/openGL/README: added this README, so you know what the
	openGL-stuff is about...

2003-02-03 11:43  zmoelnig

	* src/: Pixes/pix_draw.cpp, Pixes/pix_image.cpp, Pixes/setup.h,
	Geos/imageVert.cpp, Geos/newWave.cpp, Geos/setup.h: [no log
	message]

2003-02-03 11:43  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_filmLinux.cpp, pix_filmLinux.h:
	because of the new configure, some ifdef's have changed there names
	(HAVE_MPEG becomes HAVE_LIBMPEG etc)

2003-02-03 11:42  zmoelnig

	* src/Pixes/: pix_grey.cpp, pix_grey.h: added the anything2grey
	converter

2003-02-03 11:40  zmoelnig

	* src/Base/GemSetup.cpp: added the openGL-stuff

2003-02-03 11:40  zmoelnig

	* src/Base/GemGlutObj.cpp: there are new ifdef's because of the new
	configure spit out a warning when compiled without GLUT (is this
	new ?)

2003-02-03 11:37  zmoelnig

	* src/Base/: GemBase.cpp, GemBase.h: added an "m_modified" flag.
	this might double some code, but it was surely quickto do

2003-02-03 11:34  zmoelnig

	* src/Base/: config.h, config.h.in: rewrote the configure-thing
	hopefully it works now...

2003-02-03 11:32  zmoelnig

	* src/Gnu/: Makefile.in, acinclude.m4, aclocal.m4, config.guess,
	configure, configure.in: rewrote the configure-thing hopefully it
	will work now...

2003-02-03 11:29  zmoelnig

	* src/openGL/: GEMglAreTexturesResident.cpp,
	GEMglAreTexturesResident.h, GEMglArrayElement.cpp,
	GEMglArrayElement.h, GEMglBindTexture.cpp, GEMglBindTexture.h,
	GEMglCopyTexImage1D.cpp, GEMglCopyTexImage1D.h,
	GEMglCopyTexImage2D.cpp, GEMglCopyTexImage2D.h,
	GEMglCopyTexSubImage1D.cpp, GEMglCopyTexSubImage1D.h,
	GEMglCopyTexSubImage2D.cpp, GEMglCopyTexSubImage2D.h,
	GEMglDeleteTextures.cpp, GEMglDeleteTextures.h,
	GEMglDisableClientState.cpp, GEMglDisableClientState.h,
	GEMglDrawArrays.cpp, GEMglDrawArrays.h, GEMglDrawElements.cpp,
	GEMglDrawElements.h, GEMglEnableClientState.cpp,
	GEMglEnableClientState.h, GEMglEvalCoord1d.cpp, GEMglEvalCoord1d.h,
	GEMglEvalCoord1dv.cpp, GEMglEvalCoord1dv.h, GEMglEvalCoord1f.cpp,
	GEMglEvalCoord1f.h, GEMglEvalCoord1fv.cpp, GEMglEvalCoord1fv.h,
	GEMglEvalCoord2d.cpp, GEMglEvalCoord2d.h, GEMglEvalCoord2dv.cpp,
	GEMglEvalCoord2dv.h, GEMglEvalCoord2f.cpp, GEMglEvalCoord2f.h,
	GEMglEvalCoord2fv.cpp, GEMglEvalCoord2fv.h, GEMglEvalMesh1.cpp,
	GEMglEvalMesh1.h, GEMglEvalMesh2.cpp, GEMglEvalMesh2.h,
	GEMglEvalPoint1.cpp, GEMglEvalPoint1.h, GEMglEvalPoint2.cpp,
	GEMglEvalPoint2.h, GEMglFeedbackBuffer.cpp, GEMglFeedbackBuffer.h,
	GEMglFogf.cpp, GEMglFogf.h, GEMglFogfv.cpp, GEMglFogfv.h,
	GEMglFogi.cpp, GEMglFogi.h, GEMglFogiv.cpp, GEMglFogiv.h,
	GEMglGenLists.cpp, GEMglGenLists.h, GEMglGenTextures.cpp,
	GEMglGenTextures.h, GEMglGetError.cpp, GEMglGetError.h,
	GEMglGetMapdv.cpp, GEMglGetMapdv.h, GEMglGetMapfv.cpp,
	GEMglGetMapfv.h, GEMglGetMapiv.cpp, GEMglGetMapiv.h,
	GEMglGetPointerv.cpp, GEMglGetPointerv.h, GEMglGetString.cpp,
	GEMglGetString.h, GEMglIndexdv.cpp, GEMglIndexdv.h,
	GEMglIndexfv.cpp, GEMglIndexfv.h, GEMglIndexiv.cpp, GEMglIndexiv.h,
	GEMglIndexsv.cpp, GEMglIndexsv.h, GEMglIndexub.cpp, GEMglIndexub.h,
	GEMglIndexubv.cpp, GEMglIndexubv.h, GEMglInitNames.cpp,
	GEMglInitNames.h, GEMglIsEnabled.cpp, GEMglIsEnabled.h,
	GEMglIsList.cpp, GEMglIsList.h, GEMglIsTexture.cpp,
	GEMglIsTexture.h, GEMglLoadName.cpp, GEMglLoadName.h,
	GEMglMap1d.cpp, GEMglMap1d.h, GEMglMap1f.cpp, GEMglMap1f.h,
	GEMglMap2d.cpp, GEMglMap2d.h, GEMglMap2f.cpp, GEMglMap2f.h,
	GEMglMapGrid1d.cpp, GEMglMapGrid1d.h, GEMglMapGrid1f.cpp,
	GEMglMapGrid1f.h, GEMglMapGrid2d.cpp, GEMglMapGrid2d.h,
	GEMglMapGrid2f.cpp, GEMglMapGrid2f.h, GEMglPassThrough.cpp,
	GEMglPassThrough.h, GEMglPopClientAttrib.cpp,
	GEMglPopClientAttrib.h, GEMglPopName.cpp, GEMglPopName.h,
	GEMglPrioritizeTextures.cpp, GEMglPrioritizeTextures.h,
	GEMglPushClientAttrib.cpp, GEMglPushClientAttrib.h,
	GEMglPushName.cpp, GEMglPushName.h, GEMglRenderMode.cpp,
	GEMglRenderMode.h, GEMglSelectBuffer.cpp, GEMglSelectBuffer.h,
	GEMglTexSubImage1D.cpp, GEMglTexSubImage1D.h,
	GEMglTexSubImage2D.cpp, GEMglTexSubImage2D.h, makesource: added
	openGL-wrapper objects (mainly openGL-1.1)

2003-02-03 11:27  zmoelnig

	* src/openGL/: GEMglAccum.cpp, GEMglAccum.h, GEMglAlphaFunc.cpp,
	GEMglAlphaFunc.h, GEMglBegin.cpp, GEMglBegin.h, GEMglBitmap.cpp,
	GEMglBitmap.h, GEMglBlendFunc.cpp, GEMglBlendFunc.h,
	GEMglClear.cpp, GEMglClear.h, GEMglClearAccum.cpp,
	GEMglClearAccum.h, GEMglClearColor.cpp, GEMglClearColor.h,
	GEMglClearDepth.cpp, GEMglClearDepth.h, GEMglClearIndex.cpp,
	GEMglClearIndex.h, GEMglClearStencil.cpp, GEMglClearStencil.h,
	GEMglColor3b.cpp, GEMglColor3b.h, GEMglColor3bv.cpp,
	GEMglColor3bv.h, GEMglColor3d.cpp, GEMglColor3d.h,
	GEMglColor3dv.cpp, GEMglColor3dv.h, GEMglColor3f.cpp,
	GEMglColor3f.h, GEMglColor3fv.cpp, GEMglColor3fv.h,
	GEMglColor3i.cpp, GEMglColor3i.h, GEMglColor3iv.cpp,
	GEMglColor3iv.h, GEMglColor3s.cpp, GEMglColor3s.h,
	GEMglColor3sv.cpp, GEMglColor3sv.h, GEMglColor3ub.cpp,
	GEMglColor3ub.h, GEMglColor3ubv.cpp, GEMglColor3ubv.h,
	GEMglColor3ui.cpp, GEMglColor3ui.h, GEMglColor3uiv.cpp,
	GEMglColor3uiv.h, GEMglColor3us.cpp, GEMglColor3us.h,
	GEMglColor3usv.cpp, GEMglColor3usv.h, GEMglColor4b.cpp,
	GEMglColor4b.h, GEMglColor4bv.cpp, GEMglColor4bv.h,
	GEMglColor4d.cpp, GEMglColor4d.h, GEMglColor4dv.cpp,
	GEMglColor4dv.h, GEMglColor4f.cpp, GEMglColor4f.h,
	GEMglColor4fv.cpp, GEMglColor4fv.h, GEMglColor4i.cpp,
	GEMglColor4i.h, GEMglColor4iv.cpp, GEMglColor4iv.h,
	GEMglColor4s.cpp, GEMglColor4s.h, GEMglColor4sv.cpp,
	GEMglColor4sv.h, GEMglColor4ub.cpp, GEMglColor4ub.h,
	GEMglColor4ubv.cpp, GEMglColor4ubv.h, GEMglColor4ui.cpp,
	GEMglColor4ui.h, GEMglColor4uiv.cpp, GEMglColor4uiv.h,
	GEMglColor4us.cpp, GEMglColor4us.h, GEMglColor4usv.cpp,
	GEMglColor4usv.h, GEMglColorMask.cpp, GEMglColorMask.h,
	GEMglColorMaterial.cpp, GEMglColorMaterial.h, GEMglCopyPixels.cpp,
	GEMglCopyPixels.h, GEMglCullFace.cpp, GEMglCullFace.h,
	GEMglDepthFunc.cpp, GEMglDepthFunc.h, GEMglDepthMask.cpp,
	GEMglDepthMask.h, GEMglDepthRange.cpp, GEMglDepthRange.h,
	GEMglDisable.cpp, GEMglDisable.h, GEMglDrawBuffer.cpp,
	GEMglDrawBuffer.h, GEMglEdgeFlag.cpp, GEMglEdgeFlag.h,
	GEMglEnable.cpp, GEMglEnable.h, GEMglEnd.cpp, GEMglEnd.h,
	GEMglFinish.cpp, GEMglFinish.h, GEMglFlush.cpp, GEMglFlush.h,
	GEMglFrontFace.cpp, GEMglFrontFace.h, GEMglFrustum.cpp,
	GEMglFrustum.h, GEMglHint.cpp, GEMglHint.h, GEMglIndexMask.cpp,
	GEMglIndexMask.h, GEMglIndexd.cpp, GEMglIndexd.h, GEMglIndexf.cpp,
	GEMglIndexf.h, GEMglIndexi.cpp, GEMglIndexi.h, GEMglIndexs.cpp,
	GEMglIndexs.h, GEMglLightModelf.cpp, GEMglLightModelf.h,
	GEMglLightModeli.cpp, GEMglLightModeli.h, GEMglLightf.cpp,
	GEMglLightf.h, GEMglLighti.cpp, GEMglLighti.h,
	GEMglLineStipple.cpp, GEMglLineStipple.h, GEMglLineWidth.cpp,
	GEMglLineWidth.h, GEMglLoadIdentity.cpp, GEMglLoadIdentity.h,
	GEMglLogicOp.cpp, GEMglLogicOp.h, GEMglMaterialf.cpp,
	GEMglMaterialf.h, GEMglMateriali.cpp, GEMglMateriali.h,
	GEMglMatrixMode.cpp, GEMglMatrixMode.h, GEMglNormal3b.cpp,
	GEMglNormal3b.h, GEMglNormal3bv.cpp, GEMglNormal3bv.h,
	GEMglNormal3d.cpp, GEMglNormal3d.h, GEMglNormal3dv.cpp,
	GEMglNormal3dv.h, GEMglNormal3f.cpp, GEMglNormal3f.h,
	GEMglNormal3fv.cpp, GEMglNormal3fv.h, GEMglNormal3i.cpp,
	GEMglNormal3i.h, GEMglNormal3iv.cpp, GEMglNormal3iv.h,
	GEMglNormal3s.cpp, GEMglNormal3s.h, GEMglNormal3sv.cpp,
	GEMglNormal3sv.h, GEMglOrtho.cpp, GEMglOrtho.h,
	GEMglPixelStoref.cpp, GEMglPixelStoref.h, GEMglPixelStorei.cpp,
	GEMglPixelStorei.h, GEMglPixelTransferf.cpp, GEMglPixelTransferf.h,
	GEMglPixelTransferi.cpp, GEMglPixelTransferi.h, GEMglPixelZoom.cpp,
	GEMglPixelZoom.h, GEMglPointSize.cpp, GEMglPointSize.h,
	GEMglPolygonMode.cpp, GEMglPolygonMode.h, GEMglPolygonOffset.cpp,
	GEMglPolygonOffset.h, GEMglPopAttrib.cpp, GEMglPopAttrib.h,
	GEMglPopMatrix.cpp, GEMglPopMatrix.h, GEMglPushAttrib.cpp,
	GEMglPushAttrib.h, GEMglPushMatrix.cpp, GEMglPushMatrix.h,
	GEMglRasterPos2d.cpp, GEMglRasterPos2d.h, GEMglRasterPos2dv.cpp,
	GEMglRasterPos2dv.h, GEMglRasterPos2f.cpp, GEMglRasterPos2f.h,
	GEMglRasterPos2fv.cpp, GEMglRasterPos2fv.h, GEMglRasterPos2i.cpp,
	GEMglRasterPos2i.h, GEMglRasterPos2iv.cpp, GEMglRasterPos2iv.h,
	GEMglRasterPos2s.cpp, GEMglRasterPos2s.h, GEMglRasterPos2sv.cpp,
	GEMglRasterPos2sv.h, GEMglRasterPos3d.cpp, GEMglRasterPos3d.h,
	GEMglRasterPos3dv.cpp, GEMglRasterPos3dv.h, GEMglRasterPos3f.cpp,
	GEMglRasterPos3f.h, GEMglRasterPos3fv.cpp, GEMglRasterPos3fv.h,
	GEMglRasterPos3i.cpp, GEMglRasterPos3i.h, GEMglRasterPos3iv.cpp,
	GEMglRasterPos3iv.h, GEMglRasterPos3s.cpp, GEMglRasterPos3s.h,
	GEMglRasterPos3sv.cpp, GEMglRasterPos3sv.h, GEMglRasterPos4d.cpp,
	GEMglRasterPos4d.h, GEMglRasterPos4dv.cpp, GEMglRasterPos4dv.h,
	GEMglRasterPos4f.cpp, GEMglRasterPos4f.h, GEMglRasterPos4fv.cpp,
	GEMglRasterPos4fv.h, GEMglRasterPos4i.cpp, GEMglRasterPos4i.h,
	GEMglRasterPos4iv.cpp, GEMglRasterPos4iv.h, GEMglRasterPos4s.cpp,
	GEMglRasterPos4s.h, GEMglRasterPos4sv.cpp, GEMglRasterPos4sv.h,
	GEMglRectd.cpp, GEMglRectd.h, GEMglRectf.cpp, GEMglRectf.h,
	GEMglRecti.cpp, GEMglRecti.h, GEMglRects.cpp, GEMglRects.h,
	GEMglRotated.cpp, GEMglRotated.h, GEMglRotatef.cpp, GEMglRotatef.h,
	GEMglScaled.cpp, GEMglScaled.h, GEMglScalef.cpp, GEMglScalef.h,
	GEMglScissor.cpp, GEMglScissor.h, GEMglShadeModel.cpp,
	GEMglShadeModel.h, GEMglStencilFunc.cpp, GEMglStencilFunc.h,
	GEMglStencilMask.cpp, GEMglStencilMask.h, GEMglStencilOp.cpp,
	GEMglStencilOp.h, GEMglTexCoord1d.cpp, GEMglTexCoord1d.h,
	GEMglTexCoord1dv.cpp, GEMglTexCoord1dv.h, GEMglTexCoord1f.cpp,
	GEMglTexCoord1f.h, GEMglTexCoord1fv.cpp, GEMglTexCoord1fv.h,
	GEMglTexCoord1i.cpp, GEMglTexCoord1i.h, GEMglTexCoord1iv.cpp,
	GEMglTexCoord1iv.h, GEMglTexCoord1s.cpp, GEMglTexCoord1s.h,
	GEMglTexCoord1sv.cpp, GEMglTexCoord1sv.h, GEMglTexCoord2d.cpp,
	GEMglTexCoord2d.h, GEMglTexCoord2dv.cpp, GEMglTexCoord2dv.h,
	GEMglTexCoord2f.cpp, GEMglTexCoord2f.h, GEMglTexCoord2fv.cpp,
	GEMglTexCoord2fv.h, GEMglTexCoord2i.cpp, GEMglTexCoord2i.h,
	GEMglTexCoord2iv.cpp, GEMglTexCoord2iv.h, GEMglTexCoord2s.cpp,
	GEMglTexCoord2s.h, GEMglTexCoord2sv.cpp, GEMglTexCoord2sv.h,
	GEMglTexCoord3d.cpp, GEMglTexCoord3d.h, GEMglTexCoord3dv.cpp,
	GEMglTexCoord3dv.h, GEMglTexCoord3f.cpp, GEMglTexCoord3f.h,
	GEMglTexCoord3fv.cpp, GEMglTexCoord3fv.h, GEMglTexCoord3i.cpp,
	GEMglTexCoord3i.h, GEMglTexCoord3iv.cpp, GEMglTexCoord3iv.h,
	GEMglTexCoord3s.cpp, GEMglTexCoord3s.h, GEMglTexCoord3sv.cpp,
	GEMglTexCoord3sv.h, GEMglTexCoord4d.cpp, GEMglTexCoord4d.h,
	GEMglTexCoord4dv.cpp, GEMglTexCoord4dv.h, GEMglTexCoord4f.cpp,
	GEMglTexCoord4f.h, GEMglTexCoord4fv.cpp, GEMglTexCoord4fv.h,
	GEMglTexCoord4i.cpp, GEMglTexCoord4i.h, GEMglTexCoord4iv.cpp,
	GEMglTexCoord4iv.h, GEMglTexCoord4s.cpp, GEMglTexCoord4s.h,
	GEMglTexCoord4sv.cpp, GEMglTexCoord4sv.h, GEMglTexEnvf.cpp,
	GEMglTexEnvf.h, GEMglTexEnvi.cpp, GEMglTexEnvi.h, GEMglTexGend.cpp,
	GEMglTexGend.h, GEMglTexGenf.cpp, GEMglTexGenf.h, GEMglTexGeni.cpp,
	GEMglTexGeni.h, GEMglTexParameterf.cpp, GEMglTexParameterf.h,
	GEMglTexParameteri.cpp, GEMglTexParameteri.h, GEMglTranslated.cpp,
	GEMglTranslated.h, GEMglTranslatef.cpp, GEMglTranslatef.h,
	GEMglVertex2d.cpp, GEMglVertex2d.h, GEMglVertex2dv.cpp,
	GEMglVertex2dv.h, GEMglVertex2f.cpp, GEMglVertex2f.h,
	GEMglVertex2fv.cpp, GEMglVertex2fv.h, GEMglVertex2i.cpp,
	GEMglVertex2i.h, GEMglVertex2iv.cpp, GEMglVertex2iv.h,
	GEMglVertex2s.cpp, GEMglVertex2s.h, GEMglVertex2sv.cpp,
	GEMglVertex2sv.h, GEMglVertex3d.cpp, GEMglVertex3d.h,
	GEMglVertex3dv.cpp, GEMglVertex3dv.h, GEMglVertex3f.cpp,
	GEMglVertex3f.h, GEMglVertex3fv.cpp, GEMglVertex3fv.h,
	GEMglVertex3i.cpp, GEMglVertex3i.h, GEMglVertex3iv.cpp,
	GEMglVertex3iv.h, GEMglVertex3s.cpp, GEMglVertex3s.h,
	GEMglVertex3sv.cpp, GEMglVertex3sv.h, GEMglVertex4d.cpp,
	GEMglVertex4d.h, GEMglVertex4dv.cpp, GEMglVertex4dv.h,
	GEMglVertex4f.cpp, GEMglVertex4f.h, GEMglVertex4fv.cpp,
	GEMglVertex4fv.h, GEMglVertex4i.cpp, GEMglVertex4i.h,
	GEMglVertex4iv.cpp, GEMglVertex4iv.h, GEMglVertex4s.cpp,
	GEMglVertex4s.h, GEMglVertex4sv.cpp, GEMglVertex4sv.h,
	GEMglViewport.cpp, GEMglViewport.h, setup.h: rewrote (regenerated)
	the openGL-wrapping stuff

2003-01-29 03:57  cclepper

	* src/Pixes/: pix_offset.h, pix_offset.cpp: added yuv processing

2003-01-29 03:02  cclepper

	* src/Pixes/pix_add.cpp: added yuv processing

2003-01-29 02:59  cclepper

	* src/Pixes/: pix_diff.h, pix_diff.cpp, pix_add.h: added yuv
	processing

2003-01-29 02:52  cclepper

	* src/Pixes/: pix_subtract.h, pix_subtract.cpp, pix_multiply.h,
	pix_multiply.cpp: added yuv processing

2003-01-25 23:39  tigital

	* src/Pixes/pix_texture.cpp: fixed bug which prevented
	non-powerOfTwo textures from texturing correctly (m_coords are now
	set and passed into state->texCoords)

2003-01-25 23:15  cclepper

	* src/Pixes/pix_gain.cpp: fixed YUV code in pix_gain

2003-01-25 18:55  cclepper

	* src/Base/GemPixUtil.h: changed the color channel order for OSX

2003-01-25 17:38  cclepper

	* src/Pixes/setup.h: fixed/added some yuv stuff

2003-01-25 17:35  cclepper

	* src/yuv/: yuv_bitwise.cpp, yuv_bitwise.h, yuv_blur.cpp,
	yuv_blur.h, yuv_mask.cpp, yuv_mask.h, yuv_mix.cpp, yuv_mix.h,
	yuv_pixel_average.cpp, yuv_pixel_average.h: fixed/added some yuv
	stuff

2003-01-25 17:31  cclepper

	* src/yuv/setup.h: fixed/added some yuv stuff

2003-01-25 15:34  cclepper

	* src/yuv/yuv_set.cpp: test for yuv update

2003-01-13 09:50  tigital

	* src/Base/: GemBase.h, GemPixImageLoad.cpp: added gl.h & glext.h
	to allow compile on OS X

2003-01-09 17:40  tigital

	* src/Base/GemMan.cpp: made s_windowClock=NULL on DestroyWindow to
	address possible memory leak

2003-01-09 14:26  zmoelnig

	* examples/01.basic/09.yelloTeapot.pd: [no log message]

2003-01-09 14:25  zmoelnig

	* examples/04.video/: 03.movement_detection.pd, 04.videoRTX.pd:
	added movement_detection videoRTX

2003-01-07 13:59  zmoelnig

	* examples/04.pix/: 05.film.pd, 07.PixSet.pd, 08.PixDump.pd,
	09.Histogram.pd, 12.add.pd, 12.blending.pd, 12.pix_multiply.pd,
	14.takeAlpha.pd, 16.pix_2grey.pd, 18.Curves.pd, 22.biquad.pd,
	23.gravity.pd: added some examples for 04.pix; they were missing?

2002-12-16 12:59  zmoelnig

	* src/yuv/: setup.h, yuv_chroma_key.cpp, yuv_chroma_key.h,
	yuv_emboss.cpp, yuv_emboss.h: yuv_*: (think) i changed these to the
	new process*Image() functions

2002-12-16 12:54  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_alpha.cpp, pix_alpha.h,
	pix_buf.cpp, pix_buf.h, pix_dv.cpp, pix_dv.h, pix_film.cpp,
	pix_film.h, pix_filmYUV.cpp, pix_filmYUV.h, pix_gain.cpp,
	pix_image.cpp, pix_image.h, pix_info.cpp, pix_info.h,
	pix_movie.cpp, pix_multiimage.cpp, pix_multiimage.h, pix_rgba.cpp,
	pix_set.cpp, pix_set.h, pix_sig2pix.cpp, pix_sig2pix.h,
	pix_snap.cpp, pix_snap.h, pix_texture.cpp, pix_texture2.cpp,
	pix_video.cpp, pix_video.h, pix_videoDarwin.cpp, pix_videoDarwin.h,
	pix_videoNT.h, pix_yuv.cpp, pix_yuv.h, setup.h: pix_info: get
	information on pixes (xsize, ysize, csize, format, data) pix_yuv :
	convert images to YUV (for now only RGBA); needs testing pix_rgba:
	provides a function for YUV; needs testing *	   : new
	process*Image() functions for RGBA, YUV,...

2002-12-16 12:40  zmoelnig

	* src/Geos/: setup.h, teapot.cpp, teapot.h, text2d.cpp: teapot: if
	!HAVE_GLUT we still support [teapot], only the rendering is void
	text2d: the mac-#ifdefs didn't compile on linux, so i fixed them

2002-12-16 12:36  zmoelnig

	* src/Base/: GemGlutObj.cpp, GemGlutObj.h, GemPixDualObj.cpp,
	GemPixDualObj.h, GemPixObj.cpp, GemPixObj.h, GemPixUtil.cpp,
	GemPixUtil.h: GemPix*Obj: hopefully fixed the bug that appeared
	when deleting pix_fx	     now we cache the whole
	pixBuf-structure and return it on postrendering GemPixUtil: now
	provides a function for copying imageStruct-information GemGlutObj:
	if !HAVE_GLUT, we only throw an error at object-creation

2002-12-13 23:43  tigital

	* src/yuv/yuv_chroma_key.cpp: corrected rangeMess inputs

2002-12-13 23:40  tigital

	* src/Base/GemWinCreateMac.cpp: fixed a coupla possible leaks

2002-12-13 23:36  tigital

	* src/Pixes/: pix_puzzle.h, pix_puzzle.cpp: added
	processYUVImage(), so it works with yuv now!

2002-12-12 02:30  tigital

	* src/yuv/: yuv_videoDarwin.cpp, yuv_videoDarwin.h: added yuv video
	input for MacOSX; cleanup unused variables

2002-12-12 02:27  tigital

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: cleanup
	unused variables

2002-12-10 00:55  tigital

	* src/TV/tv_rtx.cpp: removed unused variable "count"

2002-12-10 00:52  tigital

	* src/Base/: TextBase.h, TextBase.cpp: added MACOSX support

2002-12-09 06:36  zmoelnig

	* src/: Base/GemPixDualObj.cpp, Base/GemPixDualObj.h,
	Base/GemPixObj.cpp, Base/GemPixObj.h, Base/GemPixUtil.h,
	Gnu/Makefile, Pixes/pix_2grey.cpp, Pixes/pix_2grey.h,
	Pixes/pix_a_2grey.cpp, Pixes/pix_a_2grey.h, Pixes/pix_add.cpp,
	Pixes/pix_add.h, Pixes/pix_aging.cpp, Pixes/pix_aging.h,
	Pixes/pix_alpha.cpp, Pixes/pix_alpha.h, Pixes/pix_bitmask.cpp,
	Pixes/pix_bitmask.h, Pixes/pix_blob.cpp, Pixes/pix_blob.h,
	Pixes/pix_color.cpp, Pixes/pix_color.h, Pixes/pix_coloralpha.cpp,
	Pixes/pix_coloralpha.h, Pixes/pix_colormatrix.cpp,
	Pixes/pix_colormatrix.h, Pixes/pix_composite.cpp,
	Pixes/pix_composite.h, Pixes/pix_convolve.cpp, Pixes/pix_curve.cpp,
	Pixes/pix_curve.h, Pixes/pix_data.h, Pixes/pix_diff.cpp,
	Pixes/pix_diff.h, Pixes/pix_dot.cpp, Pixes/pix_dot.h,
	Pixes/pix_fx.cpp, Pixes/pix_fx.h, Pixes/pix_gain.cpp,
	Pixes/pix_gain.h, Pixes/pix_histo.cpp, Pixes/pix_histo.h,
	Pixes/pix_hsv2rgb.cpp, Pixes/pix_hsv2rgb.h, Pixes/pix_invert.cpp,
	Pixes/pix_invert.h, Pixes/pix_mask.cpp, Pixes/pix_mask.h,
	Pixes/pix_multiply.cpp, Pixes/pix_multiply.h,
	Pixes/pix_normalize.cpp, Pixes/pix_normalize.h,
	Pixes/pix_offset.cpp, Pixes/pix_offset.h, Pixes/pix_pix2sig.cpp,
	Pixes/pix_pix2sig.h, Pixes/pix_puzzle.cpp, Pixes/pix_puzzle.h,
	Pixes/pix_rectangle.cpp, Pixes/pix_rectangle.h,
	Pixes/pix_resize.cpp, Pixes/pix_rgb2hsv.cpp, Pixes/pix_rgb2hsv.h,
	Pixes/pix_rgba.cpp, Pixes/pix_rgba.h, Pixes/pix_set.cpp,
	Pixes/pix_set.h, Pixes/pix_subtract.cpp, Pixes/pix_subtract.h,
	Pixes/pix_takealpha.cpp, Pixes/pix_takealpha.h, Pixes/pix_test.cpp,
	Pixes/pix_test.h, Pixes/pix_threshold.cpp, Pixes/pix_threshold.h,
	Pixes/setup.h, TV/tv_delay.cpp, TV/tv_delay.h,
	openGL/GEMglAccum.cpp, openGL/GEMglAccum.h,
	openGL/GEMglAlphaFunc.cpp, openGL/GEMglAlphaFunc.h,
	openGL/GEMglBegin.cpp, openGL/GEMglBegin.h, openGL/GEMglBitmap.cpp:
	rewrote the <processImage>-callers.	  processImage is now used
	for images of any(!) format.   thus the programmer has to care for
	the format him/herself	    the format specific functions are
	processImageRGBA and similar	      the same goes for
	PixDualObjects (processRGBA_Gray etc...)  deleted pix_fx      the
	pix_fx functionality is now in GemPixObj    this functionality is:
	save the image-state before it is processed	 and reconstruct it
	in the postrender function   so we can change size/format and even
	bend the data-pointer	  and objects "before" will not notice (and
	crash) revised 3 openGL objects (urgh: lots of work to do still)

2002-12-08 16:41  tigital

	* src/Geos/: TexFont.h, text2d.cpp, text2d.h, text3d.cpp, text3d.h,
	textoutline.cpp, textoutline.h: added support for MACOSX

2002-12-08 16:39  tigital

	* src/Geos/model.h: reordered variables to shutup gcc3.1

2002-12-08 15:10  zmoelnig

	* src/TV/: tv_delay.cpp, tv_delay.h: added framewise delay!

2002-12-04 00:19  tigital

	* src/Base/GemMan.cpp: GL_EXTENSIONS formatting same for all
	platforms

2002-12-02 12:14  zmoelnig

	* src/: Base/GemMan.cpp, Base/GemPixObj.cpp, Gnu/Makefile: new
	image-processing calls (processRGBAImage)

2002-11-27 15:22  zmoelnig

	* src/: Controls/setup.h, Geos/setup.h, Manips/setup.h,
	Nongeos/setup.h, Particles/setup.h, Pixes/setup.h, TV/setup.h: a
	new (simpler?) setup-logistic

2002-11-27 15:18  zmoelnig

	* src/: openGL/Make.depend, openGL/makesetup, yuv/setup.h: [no log
	message]

2002-11-27 15:09  zmoelnig

	* src/openGL/: GEMglAccum.cpp, GEMglAccum.h, GEMglAlphaFunc.cpp,
	GEMglAlphaFunc.h, GEMglBegin.cpp, GEMglBegin.h, GEMglBitmap.cpp,
	GEMglBitmap.h, GEMglBlendFunc.cpp, GEMglBlendFunc.h,
	GEMglClear.cpp, GEMglClear.h, GEMglClearAccum.cpp,
	GEMglClearAccum.h, GEMglClearColor.cpp, GEMglClearColor.h,
	GEMglClearDepth.cpp, GEMglClearDepth.h, GEMglClearIndex.cpp,
	GEMglClearIndex.h, GEMglClearStencil.cpp, GEMglClearStencil.h,
	GEMglColor3b.cpp, GEMglColor3b.h, GEMglColor3bv.cpp,
	GEMglColor3bv.h, GEMglColor3d.cpp, GEMglColor3d.h,
	GEMglColor3dv.cpp, GEMglColor3dv.h, GEMglColor3f.cpp,
	GEMglColor3f.h, GEMglColor3fv.cpp, GEMglColor3fv.h,
	GEMglColor3i.cpp, GEMglColor3i.h, GEMglColor3iv.cpp,
	GEMglColor3iv.h, GEMglColor3s.cpp, GEMglColor3s.h,
	GEMglColor3sv.cpp, GEMglColor3sv.h, GEMglColor3ub.cpp,
	GEMglColor3ub.h, GEMglColor3ubv.cpp, GEMglColor3ubv.h,
	GEMglColor3ui.cpp, GEMglColor3ui.h, GEMglColor3uiv.cpp,
	GEMglColor3uiv.h, GEMglColor3us.cpp, GEMglColor3us.h,
	GEMglColor3usv.cpp, GEMglColor3usv.h, GEMglColor4b.cpp,
	GEMglColor4b.h, GEMglColor4bv.cpp, GEMglColor4bv.h,
	GEMglColor4d.cpp, GEMglColor4d.h, GEMglColor4dv.cpp,
	GEMglColor4dv.h, GEMglColor4f.cpp, GEMglColor4f.h,
	GEMglColor4fv.cpp, GEMglColor4fv.h, GEMglColor4i.cpp,
	GEMglColor4i.h, GEMglColor4iv.cpp, GEMglColor4iv.h,
	GEMglColor4s.cpp, GEMglColor4s.h, GEMglColor4sv.cpp,
	GEMglColor4sv.h, GEMglColor4ub.cpp, GEMglColor4ub.h,
	GEMglColor4ubv.cpp, GEMglColor4ubv.h, GEMglColor4ui.cpp,
	GEMglColor4ui.h, GEMglColor4uiv.cpp, GEMglColor4uiv.h,
	GEMglColor4us.cpp, GEMglColor4us.h, GEMglColor4usv.cpp,
	GEMglColor4usv.h, GEMglColorMask.cpp, GEMglColorMask.h,
	GEMglColorMaterial.cpp, GEMglColorMaterial.h, GEMglCopyPixels.cpp,
	GEMglCopyPixels.h, GEMglCullFace.cpp, GEMglCullFace.h,
	GEMglDepthFunc.cpp, GEMglDepthFunc.h, GEMglDepthMask.cpp,
	GEMglDepthMask.h, GEMglDepthRange.cpp, GEMglDepthRange.h,
	GEMglDisable.cpp, GEMglDisable.h, GEMglDrawBuffer.cpp,
	GEMglDrawBuffer.h, GEMglEdgeFlag.cpp, GEMglEdgeFlag.h,
	GEMglEnable.cpp, GEMglEnable.h, GEMglEnd.cpp, GEMglEnd.h,
	GEMglFinish.cpp, GEMglFinish.h, GEMglFlush.cpp, GEMglFlush.h,
	GEMglFrontFace.cpp, GEMglFrontFace.h, GEMglFrustum.cpp,
	GEMglFrustum.h, GEMglHint.cpp, GEMglHint.h, GEMglIndexMask.cpp,
	GEMglIndexMask.h, GEMglIndexd.cpp, GEMglIndexd.h, GEMglIndexf.cpp,
	GEMglIndexf.h, GEMglIndexi.cpp, GEMglIndexi.h, GEMglIndexs.cpp,
	GEMglIndexs.h, GEMglLightModelf.cpp, GEMglLightModelf.h,
	GEMglLightModeli.cpp, GEMglLightModeli.h, GEMglLightf.cpp,
	GEMglLightf.h, GEMglLighti.cpp, GEMglLighti.h,
	GEMglLineStipple.cpp, GEMglLineStipple.h, GEMglLineWidth.cpp,
	GEMglLineWidth.h, GEMglLoadIdentity.cpp, GEMglLoadIdentity.h,
	GEMglLogicOp.cpp, GEMglLogicOp.h, GEMglMaterialf.cpp,
	GEMglMaterialf.h, GEMglMateriali.cpp, GEMglMateriali.h,
	GEMglMatrixMode.cpp, GEMglMatrixMode.h, GEMglNormal3b.cpp,
	GEMglNormal3b.h, GEMglNormal3bv.cpp, GEMglNormal3bv.h,
	GEMglNormal3d.cpp, GEMglNormal3d.h, GEMglNormal3dv.cpp,
	GEMglNormal3dv.h, GEMglNormal3f.cpp, GEMglNormal3f.h,
	GEMglNormal3fv.cpp, GEMglNormal3fv.h, GEMglNormal3i.cpp,
	GEMglNormal3i.h, GEMglNormal3iv.cpp, GEMglNormal3iv.h,
	GEMglNormal3s.cpp, GEMglNormal3s.h, GEMglNormal3sv.cpp,
	GEMglNormal3sv.h, GEMglOrtho.cpp, GEMglOrtho.h,
	GEMglPixelStoref.cpp, GEMglPixelStoref.h, GEMglPixelStorei.cpp,
	GEMglPixelStorei.h, GEMglPixelTransferf.cpp, GEMglPixelTransferf.h,
	GEMglPixelTransferi.cpp, GEMglPixelTransferi.h, GEMglPixelZoom.cpp,
	GEMglPixelZoom.h, GEMglPointSize.cpp, GEMglPointSize.h,
	GEMglPolygonMode.cpp, GEMglPolygonMode.h, GEMglPolygonOffset.cpp,
	GEMglPolygonOffset.h, GEMglPopAttrib.cpp, GEMglPopAttrib.h,
	GEMglPopMatrix.cpp, GEMglPopMatrix.h, GEMglPushAttrib.cpp,
	GEMglPushAttrib.h, GEMglPushMatrix.cpp, GEMglPushMatrix.h,
	GEMglRasterPos2d.cpp, GEMglRasterPos2d.h, GEMglRasterPos2dv.cpp,
	GEMglRasterPos2dv.h, GEMglRasterPos2f.cpp, GEMglRasterPos2f.h,
	GEMglRasterPos2fv.cpp, GEMglRasterPos2fv.h, GEMglRasterPos2i.cpp,
	GEMglRasterPos2i.h, GEMglRasterPos2iv.cpp, GEMglRasterPos2iv.h,
	GEMglRasterPos2s.cpp, GEMglRasterPos2s.h, GEMglRasterPos2sv.cpp,
	GEMglRasterPos2sv.h, GEMglRasterPos3d.cpp, GEMglRasterPos3d.h,
	GEMglRasterPos3dv.cpp, GEMglRasterPos3dv.h, GEMglRasterPos3f.cpp,
	GEMglRasterPos3f.h, GEMglRasterPos3fv.cpp, GEMglRasterPos3fv.h,
	GEMglRasterPos3i.cpp, GEMglRasterPos3i.h, GEMglRasterPos3iv.cpp,
	GEMglRasterPos3iv.h, GEMglRasterPos3s.cpp, GEMglRasterPos3s.h,
	GEMglRasterPos3sv.cpp, GEMglRasterPos3sv.h, GEMglRasterPos4d.cpp,
	GEMglRasterPos4d.h, GEMglRasterPos4dv.cpp, GEMglRasterPos4dv.h,
	GEMglRasterPos4f.cpp, GEMglRasterPos4f.h, GEMglRasterPos4fv.cpp,
	GEMglRasterPos4fv.h, GEMglRasterPos4i.cpp, GEMglRasterPos4i.h,
	GEMglRasterPos4iv.cpp, GEMglRasterPos4iv.h, GEMglRasterPos4s.cpp,
	GEMglRasterPos4s.h, GEMglRasterPos4sv.cpp, GEMglRasterPos4sv.h,
	GEMglRectd.cpp, GEMglRectd.h, GEMglRectf.cpp, GEMglRectf.h,
	GEMglRecti.cpp, GEMglRecti.h, GEMglRects.cpp, GEMglRects.h,
	GEMglRotated.cpp, GEMglRotated.h, GEMglRotatef.cpp, GEMglRotatef.h,
	GEMglScaled.cpp, GEMglScaled.h, GEMglScalef.cpp, GEMglScalef.h,
	GEMglScissor.cpp, GEMglScissor.h, GEMglShadeModel.cpp,
	GEMglShadeModel.h, GEMglStencilFunc.cpp, GEMglStencilFunc.h,
	GEMglStencilMask.cpp, GEMglStencilMask.h, GEMglStencilOp.cpp,
	GEMglStencilOp.h, GEMglTexCoord1d.cpp, GEMglTexCoord1d.h,
	GEMglTexCoord1dv.cpp, GEMglTexCoord1dv.h, GEMglTexCoord1f.cpp,
	GEMglTexCoord1f.h, GEMglTexCoord1fv.cpp, GEMglTexCoord1fv.h,
	GEMglTexCoord1i.cpp, GEMglTexCoord1i.h, GEMglTexCoord1iv.cpp,
	GEMglTexCoord1iv.h, GEMglTexCoord1s.cpp, GEMglTexCoord1s.h,
	GEMglTexCoord1sv.cpp, GEMglTexCoord1sv.h, GEMglTexCoord2d.cpp,
	GEMglTexCoord2d.h, GEMglTexCoord2dv.cpp, GEMglTexCoord2dv.h,
	GEMglTexCoord2f.cpp, GEMglTexCoord2f.h, GEMglTexCoord2fv.cpp,
	GEMglTexCoord2fv.h, GEMglTexCoord2i.cpp, GEMglTexCoord2i.h,
	GEMglTexCoord2iv.cpp, GEMglTexCoord2iv.h, GEMglTexCoord2s.cpp,
	GEMglTexCoord2s.h, GEMglTexCoord2sv.cpp, GEMglTexCoord2sv.h,
	GEMglTexCoord3d.cpp, GEMglTexCoord3d.h, GEMglTexCoord3dv.cpp,
	GEMglTexCoord3dv.h, GEMglTexCoord3f.cpp, GEMglTexCoord3f.h,
	GEMglTexCoord3fv.cpp, GEMglTexCoord3fv.h, GEMglTexCoord3i.cpp,
	GEMglTexCoord3i.h, GEMglTexCoord3iv.cpp, GEMglTexCoord3iv.h,
	GEMglTexCoord3s.cpp, GEMglTexCoord3s.h, GEMglTexCoord3sv.cpp,
	GEMglTexCoord3sv.h, GEMglTexCoord4d.cpp, GEMglTexCoord4d.h,
	GEMglTexCoord4dv.cpp, GEMglTexCoord4dv.h, GEMglTexCoord4f.cpp,
	GEMglTexCoord4f.h, GEMglTexCoord4fv.cpp, GEMglTexCoord4fv.h,
	GEMglTexCoord4i.cpp, GEMglTexCoord4i.h, GEMglTexCoord4iv.cpp,
	GEMglTexCoord4iv.h, GEMglTexCoord4s.cpp, GEMglTexCoord4s.h,
	GEMglTexCoord4sv.cpp, GEMglTexCoord4sv.h, GEMglTexEnvf.cpp,
	GEMglTexEnvf.h, GEMglTexEnvi.cpp, GEMglTexEnvi.h, GEMglTexGend.cpp,
	GEMglTexGend.h, GEMglTexGenf.cpp, GEMglTexGenf.h, GEMglTexGeni.cpp,
	GEMglTexGeni.h, GEMglTexParameterf.cpp, GEMglTexParameterf.h,
	GEMglTexParameteri.cpp, GEMglTexParameteri.h, GEMglTranslated.cpp,
	GEMglTranslated.h, GEMglTranslatef.cpp, GEMglTranslatef.h,
	GEMglVertex2d.cpp, GEMglVertex2d.h, GEMglVertex2dv.cpp,
	GEMglVertex2dv.h, GEMglVertex2f.cpp, GEMglVertex2f.h,
	GEMglVertex2fv.cpp, GEMglVertex2fv.h, GEMglVertex2i.cpp,
	GEMglVertex2i.h, GEMglVertex2iv.cpp, GEMglVertex2iv.h,
	GEMglVertex2s.cpp, GEMglVertex2s.h, GEMglVertex2sv.cpp,
	GEMglVertex2sv.h, GEMglVertex3d.cpp, GEMglVertex3d.h,
	GEMglVertex3dv.cpp, GEMglVertex3dv.h, GEMglVertex3f.cpp,
	GEMglVertex3f.h, GEMglVertex3fv.cpp, GEMglVertex3fv.h,
	GEMglVertex3i.cpp, GEMglVertex3i.h, GEMglVertex3iv.cpp,
	GEMglVertex3iv.h, GEMglVertex3s.cpp, GEMglVertex3s.h,
	GEMglVertex3sv.cpp, GEMglVertex3sv.h, GEMglVertex4d.cpp,
	GEMglVertex4d.h, GEMglVertex4dv.cpp, GEMglVertex4dv.h,
	GEMglVertex4f.cpp, GEMglVertex4f.h, GEMglVertex4fv.cpp,
	GEMglVertex4fv.h, GEMglVertex4i.cpp, GEMglVertex4i.h,
	GEMglVertex4iv.cpp, GEMglVertex4iv.h, GEMglVertex4s.cpp,
	GEMglVertex4s.h, GEMglVertex4sv.cpp, GEMglVertex4sv.h,
	GEMglViewport.cpp, GEMglViewport.h, setup.h: added a lot of openGL
	stuff...

2002-11-27 15:02  zmoelnig

	* src/: Controls/gemwin.cpp, Geos/cuboid.cpp, Geos/cuboid.h,
	Manips/ortho.cpp, Gnu/Makefile.in, Gnu/configure, Gnu/configure.in,
	Gnu/makesource, Nongeos/world_light.h, Pixes/pix_aging.cpp,
	Pixes/pix_blob.cpp, Pixes/pix_convolve.cpp,
	Pixes/pix_filmDarwin.cpp, Pixes/pix_filmDarwinYUV.cpp,
	Pixes/pix_fx.cpp, Pixes/pix_movie.cpp, Pixes/pix_movieYUV.cpp,
	Pixes/pix_movieYUV.h, Pixes/pix_puzzle.cpp, Pixes/pix_resize.cpp,
	Pixes/pix_texture.cpp, Pixes/pix_texture.h, Pixes/pix_texture2.cpp,
	Pixes/pix_video.cpp, Pixes/pix_videoDarwin.cpp,
	Pixes/pix_videoLinux.cpp: made CVS compile under linux again

2002-11-27 15:00  zmoelnig

	* src/: yuv/yuv_chroma_key.cpp, yuv/yuv_difference.cpp,
	yuv/yuv_dual.cpp, yuv/yuv_filmDarwin.cpp, yuv/yuv_gain.cpp,
	yuv/yuv_luma_key.cpp, yuv/yuv_movie.cpp, Base/GemBase.h,
	Base/GemGLUtil.cpp, Base/GemGLUtil.h, Base/GemGluObj.h,
	Base/GemMan.cpp, Base/GemMan.h, Base/GemPixImageLoad.cpp,
	Base/GemPixObj.h, Base/GemPixUtil.cpp, Base/GemPixUtil.h,
	Base/GemSetup.cpp, Base/GemWinCreateMac.cpp,
	Base/GemWinCreateXWin.cpp, Base/sgiimage.cpp: made the CVS compile
	under linux again

2002-11-26 20:28  tigital

	* GEM_darwin.pbproj.sit: [no log message]

2002-11-26 20:19  tigital

	* src/yuv/: yuv_adjust.cpp, yuv_adjust.h, yuv_average.cpp,
	yuv_average.h, yuv_bandw.cpp, yuv_bandw.h, yuv_bitshift.cpp,
	yuv_bitshift.h, yuv_blank.cpp, yuv_blank.h, yuv_chroma_key.cpp,
	yuv_chroma_key.h, yuv_clamp.cpp, yuv_clamp.h, yuv_compare.cpp,
	yuv_compare.h, yuv_difference.cpp, yuv_difference.h, yuv_dual.cpp,
	yuv_dual.h, yuv_emboss.cpp, yuv_emboss.h, yuv_film.cpp, yuv_film.h,
	yuv_filmDarwin.cpp, yuv_filmDarwin.h, yuv_gain.cpp, yuv_gain.h,
	yuv_invert.cpp, yuv_invert.h, yuv_luma_key.cpp, yuv_luma_key.h,
	yuv_movie.cpp, yuv_movie.h, yuv_mult.cpp, yuv_mult.h,
	yuv_pixel_data.cpp, yuv_pixel_data.h, yuv_pixel_isolate.cpp,
	yuv_pixel_isolate.h, yuv_pixel_replace.cpp, yuv_pixel_replace.h,
	yuv_posterize.cpp, yuv_posterize.h, yuv_set.cpp, yuv_set.h,
	yuv_subtract.cpp, yuv_subtract.h: added MACOSX support; initial YUV
	support

2002-11-26 20:16  tigital

	* src/yuv/yuv_add.h: added MACOSX support; initial YUV support

2002-11-26 20:10  tigital

	* src/yuv/yuv_add.cpp: added MACOSX support; initial YUV support

2002-11-26 20:00  tigital

	* src/TV/: tv_biquad.cpp, tv_movement.cpp: removed unused variables

2002-11-26 19:57  tigital

	* src/Pixes/: pix_test.h, pix_texture.cpp, pix_texture.h,
	pix_texture2.cpp, pix_texture2.h, pix_video.cpp, pix_threshold.h,
	pix_threshold.cpp: added MACOSX support; initial YUV support

2002-11-26 19:03  tigital

	* src/Pixes/: pix_sig2pix.cpp, pix_subtract.cpp, pix_subtract.h,
	pix_takealpha.cpp, pix_takealpha.h, pix_test.cpp: added MACOSX
	support; initial YUV support

2002-11-26 19:00  tigital

	* src/Pixes/: pix_rgba.cpp, pix_rgba.h, pix_set.h: added MACOSX
	support; initial YUV support

2002-11-26 18:55  tigital

	* src/Pixes/: pix_normalize.cpp, pix_normalize.h, pix_offset.cpp,
	pix_offset.h, pix_pix2sig.cpp, pix_pix2sig.h, pix_rectangle.cpp,
	pix_rectangle.h, pix_resize.cpp, pix_rgb2hsv.h: added MACOSX
	support; initial YUV support

2002-11-26 18:51  tigital

	* src/Pixes/: pix_invert.h, pix_mask.cpp, pix_mask.h,
	pix_movie.cpp, pix_movie.h, pix_multiimage.h, pix_multiply.cpp,
	pix_multiply.h: added MACOSX support; initial YUV support

2002-11-26 18:46  tigital

	* src/Pixes/: pix_gain.cpp, pix_gain.h, pix_histo.cpp, pix_histo.h,
	pix_hsv2rgb.h, pix_imageInPlace.cpp, pix_invert.cpp: added MACOSX
	support; initial YUV support

2002-11-26 18:42  tigital

	* src/Pixes/: pix_write.cpp, pix_movieYUV.cpp, pix_movieYUV.h,
	pix_flip.cpp, pix_flip.h, pix_fx.cpp, pix_fx.h: added MACOSX
	support; initial YUV support

2002-11-26 18:39  tigital

	* src/Pixes/: pix_filmYUV.h, pix_videoDarwin.h,
	pix_videoDarwin.cpp: added MACOSX support; initial YUV support

2002-11-26 18:36  tigital

	* src/Pixes/: pix_dump.h, pix_film.cpp, pix_film.h,
	pix_filmDarwin.cpp, pix_filmDarwin.h, pix_filmDarwinYUV.cpp,
	pix_filmDarwinYUV.h, pix_filmYUV.cpp: added MACOSX support; initial
	YUV support

2002-11-26 18:33  tigital

	* src/Pixes/: pix_data.cpp, pix_data.h, pix_diff.cpp, pix_diff.h,
	pix_dot.cpp, pix_dot.h, pix_dump.cpp: added MACOSX support; initial
	YUV support

2002-11-26 18:29  tigital

	* src/Pixes/: pix_composite.h, pix_convolve.cpp, pix_convolve.h,
	pix_curve.cpp, pix_curve.h: added MACOSX support; initial YUV
	support

2002-11-26 18:23  tigital

	* src/Pixes/: pix_clearblock.h, pix_color.cpp, pix_color.h,
	pix_coloralpha.cpp, pix_coloralpha.h, pix_colormatrix.cpp,
	pix_colormatrix.h, pix_composite.cpp: added MACOSX support; initial
	YUV support

2002-11-26 18:19  tigital

	* src/Pixes/: pix_add.h, pix_aging.cpp, pix_aging.h, pix_alpha.cpp,
	pix_alpha.h, pix_bitmask.cpp, pix_bitmask.h, pix_blob.cpp,
	pix_blob.h: added MACOSX support; initial YUV support

2002-11-26 18:16  tigital

	* src/Pixes/: pix_2grey.cpp, pix_2grey.h, pix_a_2grey.cpp,
	pix_a_2grey.h, pix_add.cpp: added MACOSX support; initial YUV
	support

2002-11-26 18:13  tigital

	* src/: Geos/teapot.cpp, Geos/teapot.h, Nongeos/world_light.h:
	added MACOSX support

2002-11-26 18:13  tigital

	* src/: Geos/square.cpp, MarkEx/abs.cpp: removed unused variable

2002-11-26 18:10  tigital

	* src/Geos/: imageVert.cpp, imageVert.h: added MACOSX support;
	initial YUV support

2002-11-26 18:09  tigital

	* src/Base/GemBase.cpp: reordered variable to shut up gcc 3.1

2002-11-26 18:08  tigital

	* src/Base/GemSetup.cpp: added MACOSX & YUV support

2002-11-26 18:07  tigital

	* src/Controls/gemkeyboard.cpp: added MACOSX support; cleaned up
	unused variables

2002-11-26 18:05  tigital

	* src/Base/GemWinCreateMac.cpp: added for MACOSX; initial YUV
	support

2002-11-26 18:04  tigital

	* src/Base/: GemMan.cpp, GemPixObj.cpp, GemState.cpp: added MACOSX;
	initial YUV support

2002-11-26 18:03  tigital

	* src/Base/GemFuncUtil.h: added MACOSX

2002-11-26 14:57  tigital

	* src/Base/GemSetup.cpp: added MACOSX, YUV support via #ifdef's

2002-11-25 10:28  tigital

	* src/Base/GemPixDualObj.cpp: standardized to processDualGray() &
	processDualYUV()

2002-11-25 10:22  tigital

	* src/Base/: GemPixDualObj.cpp, GemPixDualObj.h: standardized to
	processDualGray() & processDualYUV()

2002-11-25 10:00  tigital

	* src/Base/: GemMan.h, GemMan.cpp: added MACOSX support

2002-11-25 09:58  tigital

	* src/Base/GemPixObj.cpp: added MACOSX support; processYUVImage()

2002-11-25 01:02  tigital

	* src/Base/GemWinCreate.h: added MACOSX support

2002-11-25 01:01  tigital

	* src/Base/GemWinCreateMac.cpp: initial contribution

2002-11-24 12:49  tigital

	* src/Manips/ortho.cpp: added MACOSX support

2002-11-23 20:47  tigital

	* src/Geos/imageVert.cpp: added MACOSX support

2002-11-23 20:43  tigital

	* src/Geos/: newWave.h, newWave.h, newWave.cpp: initial commit

2002-11-23 20:40  tigital

	* src/Geos/: model.h, model.cpp: add support for MACOSX

2002-11-23 20:14  tigital

	* src/: Controls/gemhead.cpp, Controls/gemhead.h, Geos/cuboid.cpp:
	add support for MACOSX

2002-11-23 20:09  tigital

	* src/: Base/GemPixUtil.h, Base/GemPixUtil.cpp,
	Controls/gemwin.cpp: added support for MACOSX

2002-11-23 20:07  tigital

	* src/Base/: GemPixObj.h, GemPixObj.cpp: added support for MACOSX
	and YUV processing

2002-11-23 20:06  tigital

	* src/Base/GemPixImageLoad.cpp: added support for MACOSX

2002-11-23 20:01  tigital

	* src/Base/: GemPixDualObj.cpp, GemPixDualObj.h: added support for
	YUV processing

2002-11-23 19:58  tigital

	* src/Base/sgiimage.cpp: add MACOSX specific changes

2002-11-23 19:54  tigital

	* src/Base/: GemGluObj.h, GemGLUtil.h, GemGlutObj.cpp,
	GemGlutObj.h: add MACOSX specific changes

2002-11-23 19:51  tigital

	* src/Base/GemBase.h: add MACOSX specific changes

2002-11-14 04:13  ggeiger

	* src/Pixes/pix_filmFFMPEG.cpp: file pix_filmFFMPEG.cpp was
	initially added on branch geiger_1.

2002-11-14 04:13  ggeiger

	* src/Pixes/pix_filmFFMPEG.h: file pix_filmFFMPEG.h was initially
	added on branch geiger_1.

2002-11-14 04:13  ggeiger

	* src/: Base/GemPixUtil.h, Base/GemSetup.cpp, Gnu/Makefile.in,
	Gnu/Makefile.subdir, Gnu/configure, Gnu/configure.in,
	Pixes/pix_filmFFMPEG.cpp, Pixes/pix_filmFFMPEG.h,
	Pixes/pix_movie.cpp, Pixes/pix_movie.h: experimental ffmpeg movie
	player

2002-11-05 13:12  zmoelnig

	* doc/gem.todo.txt: [no log message]

2002-11-05 10:32  zmoelnig

	* src/Gnu/: Makefile, Makefile.in: Makefiles should be distclean on
	CVS ...?

2002-11-04 12:12  zmoelnig

	* src/: Base/GemSetup.cpp, Geos/cuboid.cpp, Geos/cuboid.h,
	Gnu/Makefile: added erich's [cuboid] object, so he doesn't have to
	worry any more...

2002-11-04 11:28  zmoelnig

	* examples/: 01.basic/01.redSquare.pd, 02.advanced/03.View_OSD.pd,
	02.advanced/09.SnapshotSave.pd, 02.advanced/14.RenderOrder.pd,
	02.advanced/15.GemWin.pd: don't remember: added some
	example-patches i had forgotten before fixed the pix_subtract bug
	(which nobody had reported yet)

2002-11-04 11:22  zmoelnig

	* src/: Geos/circle.cpp, Geos/circle.h, Geos/colorSquare.cpp,
	Geos/colorSquare.h, Geos/cube.cpp, Geos/cube.h, Geos/curve.cpp,
	Geos/curve.h, Geos/polygon.cpp, Geos/polygon.h, Geos/primTri.cpp,
	Geos/primTri.h, Geos/square.cpp, Geos/square.h, Geos/teapot.cpp,
	Geos/teapot.h, Geos/triangle.cpp, Geos/triangle.h, Gnu/configure,
	Gnu/configure.in, Gnu/makeauxlibs, Pixes/pix_add.cpp,
	Pixes/pix_buf.cpp, Pixes/pix_composite.cpp, Pixes/pix_convolve.cpp,
	Pixes/pix_convolve.h, Pixes/pix_dot.cpp, Pixes/pix_dv.cpp,
	Pixes/pix_flip.cpp, Pixes/pix_image.cpp, Pixes/pix_image.h,
	Pixes/pix_multiimage.cpp, Pixes/pix_multiimage.h,
	Pixes/pix_puzzle.cpp, Pixes/pix_resize.cpp, Pixes/pix_rgba.cpp,
	Pixes/pix_set.cpp, Pixes/pix_sig2pix.cpp, Pixes/pix_snap.cpp,
	Pixes/pix_subtract.cpp, Pixes/pix_test.cpp, Pixes/pix_texture.cpp,
	Pixes/pix_texture.h, Pixes/pix_video.cpp, Pixes/pix_videoLinux.cpp,
	Pixes/pix_videoNT.cpp, Pixes/pix_videoSGI.cpp, Pixes/pix_write.cpp:
	oops, last checkin i forgot some things....  ok: applied guenter's
	MMX changes to pix_*

2002-11-04 11:21  zmoelnig

	* src/Base/: GemGLUtil.cpp, GemGLUtil.h, GemGlutObj.cpp,
	GemGlutObj.h, GemMan.cpp, GemMan.h, GemPixDualObj.cpp,
	GemPixImageLoad.cpp, GemPixObj.cpp, GemPixObj.h, GemPixUtil.cpp,
	GemPixUtil.h, GemSetup.cpp, GemShape.cpp, GemShape.h, GemState.cpp,
	GemState.h, GemVersion.h, config.h, config.h.in: applied guenter's
	MMX changes to some pix things (?)

2002-10-28 10:24  zmoelnig

	* GEM.README, doc/gem.known_bugs.txt,
	examples/01.basic/01.redSquare.pd,
	examples/01.basic/02.blueRectangle.pd,
	examples/01.basic/03.disk.pd, examples/01.basic/04.PrimTri.pd,
	examples/01.basic/05.cube.pd, examples/01.basic/06.sphere.pd,
	examples/01.basic/07.cylinder.pd, examples/01.basic/08.model.pd,
	examples/01.basic/09.yelloTeapot.pd,
	examples/02.advanced/01.Separator.pd,
	examples/02.advanced/02.Ortho.pd, examples/02.advanced/03.View.pd,
	examples/02.advanced/04.Fog.pd, examples/02.advanced/05.Stereo.pd,
	examples/02.advanced/06.StereoParticle.pd,
	examples/02.advanced/07.Snapshot1.pd,
	examples/02.advanced/08.Snapshot2.pd,
	examples/02.advanced/10.LinearPath.pd,
	examples/02.advanced/11.SplinePath.pd,
	examples/02.advanced/12.Hsv.pd,
	examples/02.advanced/13.ModelRescale.pd,
	examples/03.lighting/01.world_light.pd,
	examples/03.lighting/02.light.pd,
	examples/03.lighting/03.controlLights.pd,
	examples/03.lighting/04.moveSpheres.pd,
	examples/03.lighting/05.materials.pd, examples/04.pix/01.image.pd,
	examples/04.pix/02.multiimage.pd,
	examples/04.pix/04.ImageInPlace.pd, examples/04.pix/05.film.pd,
	examples/04.pix/05.movie.pd, examples/04.pix/06.PixRect.pd,
	examples/04.pix/10.PixDataSimple.pd,
	examples/04.pix/11.PixDataComplex.pd,
	examples/04.pix/12.composite.pd,
	examples/04.pix/12.pix_multiply.pd,
	examples/04.pix/13.maskDancer.pd, examples/04.pix/15.pix_alpha.pd,
	examples/04.pix/16.alphaGrey.pd, examples/04.pix/17.pix_gain.pd,
	examples/04.pix/19.colorMatrix.pd, examples/04.pix/20.convolve.pd,
	examples/04.video/01.VideoPaint.pd,
	examples/04.video/02.VideoSphere.pd, examples/05.text/01.Text.pd,
	examples/05.text/03.ChangeText.pd,
	examples/06.particle/01.simple.pd,
	examples/06.particle/02.fountain.pd,
	examples/06.particle/03.orbit.pd, examples/06.particle/04.combo.pd,
	examples/06.particle/05.twoSrc.pd,
	examples/06.particle/06.target.pd,
	examples/07.texture/01.texture.pd,
	examples/07.texture/02.TexCoord.pd,
	examples/07.texture/04.moveImages.pd, examples/08.io/01.Mouse.pd,
	examples/08.io/02.Tablet.pd, examples/08.io/03.Orb.pd,
	examples/08.io/04.UseOrb.pd, examples/99.games/puzzle.pd,
	src/gem.dsp, src/Base/GemBase.cpp, src/Base/GemBase.h,
	src/Base/GemCache.cpp, src/Base/GemCache.h, src/Base/GemMan.cpp,
	src/Base/GemMan.h, src/Base/GemPixDualObj.cpp,
	src/Base/GemPixDualObj.h, src/Base/GemPixImageLoad.cpp,
	src/Base/GemPixImageSave.cpp, src/Base/GemSetup.cpp,
	src/Controls/gemhead.cpp, src/Controls/gemhead.h,
	src/Controls/gemwin.cpp, src/Controls/gemwin.h, src/Geos/model.cpp,
	src/Gnu/README.build, src/Gnu/WHATSNEW, src/Pixes/pix_film.cpp,
	src/Pixes/pix_filmNT.cpp, src/Pixes/pix_image.cpp,
	src/Pixes/pix_imageInPlace.cpp, src/Pixes/pix_video.cpp,
	src/Pixes/pix_video.h, src/Pixes/pix_videoLinux.cpp,
	src/Pixes/pix_videoLinux.h, src/Pixes/pix_videoNT.cpp: - edited
	some example-patches (very minor changes) - rewrote the
	render-chain mechanism: now the render-chain is not built
	statically when the rendering is started  but dynamically (each
	gem.object is "banged" (with some gem_state pointers) at run-time 
	gosh: why do we have a message-system in pd, if it is not used ? -
	the priority of the [gemhead]s can now be changed dynamically

2002-10-21 05:29  zmoelnig

	* src/Base/: GemBase.cpp, GemBase.h, GemDag.cpp, GemDag.h,
	GemPixDualObj.cpp, GemPixDualObj.h: applied Daniel Heckenberg's
	patch for DualPix-Objects

2002-10-21 04:35  zmoelnig

	* src/Gnu/Makefile.in: fixed the install-things

2002-10-21 03:45  zmoelnig

	* GEM.LICENSE.TERMS, GEM.README, GEM_INSTALL.bat, GEM_INSTALL.sh,
	GEM_RELUNIX.sh, GnuGPL.LICENSE, doc/cMatrix.html,
	doc/gem.known_bugs.txt, doc/gem.todo.txt,
	doc/gem.release_notes.txt, src/gem.dsp, src/gem.dsw,
	src/Base/CPPExtern.cpp, src/Base/CPPExtern.h, src/Base/GemBase.cpp,
	src/Base/GemBase.h, src/Base/GemCache.cpp, src/Base/GemCache.h,
	src/Base/GemDag.cpp, src/Base/GemDag.h, src/Base/GemEvent.cpp,
	src/Base/GemEvent.h, src/Base/GemExportDef.h,
	src/Base/GemFuncUtil.cpp, src/Base/GemFuncUtil.h,
	src/Base/GemGluObj.cpp, src/Base/GemGluObj.h,
	src/Base/GemGlutObj.cpp, src/Base/GemGlutObj.h,
	src/Base/GemLoadObj.cpp, src/Base/GemLoadObj.h,
	src/Base/GemMan.cpp, src/Base/GemMan.h, src/Base/GemModelData.cpp,
	src/Base/GemModelData.h, src/Base/GemPathBase.cpp,
	src/Base/GemPathBase.h, src/Base/GemPixDualObj.cpp,
	src/Base/GemPixDualObj.h, src/Base/GemPixImageLoad.cpp,
	src/Base/GemPixImageLoad.h, src/Base/GemPixImageSave.cpp,
	src/Base/GemPixImageSave.h, src/Base/GemPixObj.cpp,
	src/Base/GemPixObj.h, src/Base/GemPixUtil.cpp,
	src/Base/GemPixUtil.h, src/Base/GemSetup.cpp,
	src/Base/GemShape.cpp, src/Base/GemShape.h, src/Base/GemState.cpp,
	src/Base/GemState.h, src/Base/GemVersion.h,
	src/Base/GemWinCreate.h, src/Base/GemWinCreateNT.cpp,
	src/Base/GemWinCreateXWin.cpp, src/Base/Make.depend,
	src/Base/Matrix.cpp, src/Base/Matrix.h, src/Base/TextBase.cpp,
	src/Base/TextBase.h, src/Base/config.h, src/Base/config.h.in,
	src/Base/sgiimage.cpp, src/Base/sgiimage.h,
	src/Controls/Make.depend, src/Controls/gemhead.cpp,
	src/Controls/gemhead.h, src/Controls/gemkeyboard.cpp,
	src/Controls/gemkeyboard.h, src/Controls/gemkeyname.cpp,
	src/Controls/gemkeyname.h, src/Controls/gemmouse.cpp,
	src/Controls/gemmouse.h, src/Controls/gemorb.cpp,
	src/Controls/gemorb.h, src/Controls/gemtablet.cpp,
	src/Controls/gemtablet.h, src/Controls/gemwin.cpp,
	src/Controls/gemwin.h, src/Controls/render_trigger.cpp,
	src/Controls/render_trigger.h, src/Geos/Make.depend,
	src/Geos/TexFont.h, src/Geos/circle.cpp, src/Geos/circle.h,
	src/Geos/colorSquare.cpp, src/Geos/colorSquare.h,
	src/Geos/cone.cpp, src/Geos/cone.h, src/Geos/cube.cpp,
	src/Geos/cube.h, src/Geos/curve.cpp, src/Geos/curve.h,
	src/Geos/cylinder.cpp, src/Geos/cylinder.h, src/Geos/disk.cpp,
	src/Geos/disk.h, src/Geos/imageVert.cpp, src/Geos/imageVert.h,
	src/Geos/model.cpp, src/Geos/model.cpp_, src/Geos/model.h,
	src/Geos/multimodel.cpp, src/Geos/multimodel.h,
	src/Geos/polygon.cpp, src/Geos/polygon.h, src/Geos/primTri.cpp,
	src/Geos/primTri.h, src/Geos/rectangle.cpp, src/Geos/rectangle.h,
	src/Geos/sphere.cpp, src/Geos/sphere.h, src/Geos/square.cpp,
	src/Geos/square.h, src/Geos/teapot.cpp, src/Geos/teapot.h,
	src/Geos/text2d.cpp, src/Geos/text2d.h, src/Geos/text3d.cpp,
	src/Geos/text3d.h, src/Geos/textoutline.cpp,
	src/Geos/textoutline.h, src/Geos/triangle.cpp, src/Geos/triangle.h,
	src/Gnu/Makefile, src/Gnu/Makefile.clean, src/Gnu/Makefile.in,
	src/Gnu/Makefile.subdir, src/Gnu/README.build, src/Gnu/WHATSNEW,
	src/Gnu/acinclude.m4, src/Gnu/aclocal.m4, src/Gnu/config.guess,
	src/Gnu/config.sub, src/Gnu/configure, src/Gnu/configure.in,
	src/Gnu/install-sh, src/Gnu/makeauxlibs, src/Gnu/makesource,
	src/Gnu/missing, src/Gnu/mkinstalldirs, src/Manips/Make.depend,
	src/Manips/accumrotate.cpp, src/Manips/accumrotate.h,
	src/Manips/alpha.cpp, src/Manips/alpha.h, src/Manips/ambient.cpp,
	src/Manips/ambient.h, src/Manips/ambientRGB.cpp,
	src/Manips/ambientRGB.h, src/Manips/color.cpp, src/Manips/color.h,
	src/Manips/colorRGB.cpp, src/Manips/colorRGB.h,
	src/Manips/depth.cpp, src/Manips/depth.h, src/Manips/diffuse.cpp,
	src/Manips/diffuse.h, src/Manips/diffuseRGB.cpp,
	src/Manips/diffuseRGB.h, src/Manips/emission.cpp,
	src/Manips/emission.h, src/Manips/emissionRGB.cpp,
	src/Manips/emissionRGB.h, src/Manips/linear_path.cpp,
	src/Manips/linear_path.h, src/Manips/ortho.cpp, src/Manips/ortho.h,
	src/Manips/rotate.cpp, src/Manips/rotate.h,
	src/Manips/rotateXYZ.cpp, src/Manips/rotateXYZ.h,
	src/Manips/scale.cpp, src/Manips/scale.h, src/Manips/scaleXYZ.cpp,
	src/Manips/scaleXYZ.h, src/Manips/separator.cpp,
	src/Manips/separator.h, src/Manips/shininess.cpp,
	src/Manips/shininess.h, src/Manips/specular.cpp,
	src/Manips/specular.h, src/Manips/specularRGB.cpp,
	src/Manips/specularRGB.h, src/Manips/spline_path.cpp,
	src/Manips/spline_path.h, src/Manips/translate.cpp,
	src/Manips/translate.h, src/Manips/translateXYZ.cpp,
	src/Manips/translateXYZ.h, src/MarkEx/Make.depend,
	src/MarkEx/MarkExSetup.cpp, src/MarkEx/abs.cpp,
	src/MarkEx/average.cpp, src/MarkEx/counter.cpp,
	src/MarkEx/hsvrgb.cpp, src/MarkEx/m_control.cpp,
	src/MarkEx/multiselect.cpp, src/MarkEx/randomF.cpp,
	src/MarkEx/reson.cpp, src/MarkEx/strcat.cpp,
	src/MarkEx/tripleLine.cpp, src/MarkEx/vector.cpp,
	src/Nongeos/Make.depend, src/Nongeos/light.cpp,
	src/Nongeos/light.h, src/Nongeos/world_light.cpp,
	src/Nongeos/world_light.h, src/Particles/Make.depend,
	src/Particles/part_color.cpp, src/Particles/part_color.h,
	src/Particles/part_damp.cpp, src/Particles/part_damp.h,
	src/Particles/part_draw.cpp, src/Particles/part_draw.h,
	src/Particles/part_follow.cpp, src/Particles/part_follow.h,
	src/Particles/part_gravity.cpp, src/Particles/part_gravity.h,
	src/Particles/part_head.cpp, src/Particles/part_head.h,
	src/Particles/part_killold.cpp, src/Particles/part_killold.h,
	src/Particles/part_killslow.cpp, src/Particles/part_killslow.h,
	src/Particles/part_orbitpoint.cpp, src/Particles/part_orbitpoint.h,
	src/Particles/part_size.cpp, src/Particles/part_size.h,
	src/Particles/part_source.cpp, src/Particles/part_source.h,
	src/Particles/part_targetcolor.cpp,
	src/Particles/part_targetcolor.h,
	src/Particles/part_targetsize.cpp, src/Particles/part_targetsize.h,
	src/Particles/part_velcone.cpp, src/Particles/part_velcone.h,
	src/Particles/part_velsphere.cpp, src/Particles/part_velsphere.h,
	src/Pixes/Make.depend, src/Pixes/pix_2grey.cpp,
	src/Pixes/pix_2grey.h, src/Pixes/pix_a_2grey.cpp,
	src/Pixes/pix_a_2grey.h, src/Pixes/pix_add.cpp,
	src/Pixes/pix_add.h, src/Pixes/pix_aging.cpp,
	src/Pixes/pix_aging.h, src/Pixes/pix_alpha.cpp,
	src/Pixes/pix_alpha.h, src/Pixes/pix_bitmask.cpp,
	src/Pixes/pix_bitmask.h, src/Pixes/pix_blob.cpp,
	src/Pixes/pix_blob.h, src/Pixes/pix_buf.cpp, src/Pixes/pix_buf.h,
	src/Pixes/pix_clearblock.cpp, src/Pixes/pix_clearblock.h,
	src/Pixes/pix_color.cpp, src/Pixes/pix_color.h,
	src/Pixes/pix_coloralpha.cpp, src/Pixes/pix_coloralpha.h,
	src/Pixes/pix_colormatrix.cpp, src/Pixes/pix_colormatrix.h,
	src/Pixes/pix_composite.cpp, src/Pixes/pix_composite.h,
	src/Pixes/pix_convolve.cpp, src/Pixes/pix_convolve.h,
	src/Pixes/pix_coordinate.cpp, src/Pixes/pix_coordinate.h,
	src/Pixes/pix_curve.cpp, src/Pixes/pix_curve.h,
	src/Pixes/pix_data.cpp, src/Pixes/pix_data.h,
	src/Pixes/pix_diff.cpp, src/Pixes/pix_diff.h,
	src/Pixes/pix_dot.cpp, src/Pixes/pix_dot.h, src/Pixes/pix_draw.cpp,
	src/Pixes/pix_draw.h, src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h,
	src/Pixes/pix_dv.cpp, src/Pixes/pix_dv.h,
	src/Pixes/pix_dvLinux.cpp, src/Pixes/pix_dvLinux.h,
	src/Pixes/pix_film.cpp, src/Pixes/pix_film.h,
	src/Pixes/pix_filmLinux.cpp, src/Pixes/pix_filmLinux.h,
	src/Pixes/pix_filmNT.cpp, src/Pixes/pix_filmNT.h,
	src/Pixes/pix_flip.cpp, src/Pixes/pix_flip.h, src/Pixes/pix_fx.cpp,
	src/Pixes/pix_fx.h, src/Pixes/pix_gain.cpp, src/Pixes/pix_gain.h,
	src/Pixes/pix_histo.cpp, src/Pixes/pix_histo.h,
	src/Pixes/pix_hsv2rgb.cpp, src/Pixes/pix_hsv2rgb.h,
	src/Pixes/pix_image.cpp, src/Pixes/pix_image.h,
	src/Pixes/pix_imageInPlace.cpp, src/Pixes/pix_imageInPlace.h,
	src/Pixes/pix_indycam.cpp, src/Pixes/pix_indycam.h,
	src/Pixes/pix_invert.cpp, src/Pixes/pix_invert.h,
	src/Pixes/pix_mask.cpp, src/Pixes/pix_mask.h,
	src/Pixes/pix_movie.cpp, src/Pixes/pix_movie.h,
	src/Pixes/pix_multiimage.cpp, src/Pixes/pix_multiimage.h,
	src/Pixes/pix_multiply.cpp, src/Pixes/pix_multiply.h,
	src/Pixes/pix_normalize.cpp, src/Pixes/pix_normalize.h,
	src/Pixes/pix_offset.cpp, src/Pixes/pix_offset.h,
	src/Pixes/pix_pix2sig.cpp, src/Pixes/pix_pix2sig.h,
	src/Pixes/pix_puzzle.cpp, src/Pixes/pix_puzzle.h,
	src/Pixes/pix_rectangle.cpp, src/Pixes/pix_rectangle.h,
	src/Pixes/pix_resize.cpp, src/Pixes/pix_resize.h,
	src/Pixes/pix_rgb2hsv.cpp, src/Pixes/pix_rgb2hsv.h,
	src/Pixes/pix_rgba.cpp, src/Pixes/pix_rgba.h,
	src/Pixes/pix_set.cpp, src/Pixes/pix_set.h,
	src/Pixes/pix_sig2pix.cpp, src/Pixes/pix_sig2pix.h,
	src/Pixes/pix_snap.cpp, src/Pixes/pix_snap.h,
	src/Pixes/pix_subtract.cpp, src/Pixes/pix_subtract.h,
	src/Pixes/pix_takealpha.cpp, src/Pixes/pix_takealpha.h,
	src/Pixes/pix_test.cpp, src/Pixes/pix_test.h,
	src/Pixes/pix_texture.cpp, src/Pixes/pix_texture.h,
	src/Pixes/pix_texture2.cpp, src/Pixes/pix_texture2.h,
	src/Pixes/pix_threshold.cpp, src/Pixes/pix_threshold.h,
	src/Pixes/pix_video.cpp, src/Pixes/pix_video.h,
	src/Pixes/pix_videoLinux.cpp, src/Pixes/pix_videoLinux.h,
	src/Pixes/pix_videoNT.cpp, src/Pixes/pix_videoNT.h,
	src/Pixes/pix_videoSGI.cpp, src/Pixes/pix_videoSGI.h,
	src/Pixes/pix_write.cpp, src/Pixes/pix_write.h,
	src/Pixes/pix_zoom.cpp, src/Pixes/pix_zoom.h, src/TV/Make.depend,
	src/TV/tv_biquad.h, help/accumrotate.pd, help/alpha.pd,
	help/alternate.pd, help/ambient.pd, help/ambientRGB.pd,
	help/average.pd, help/change.pd, help/circle.pd, help/color.pd,
	help/colorRGB.pd, help/colorSquare.pd, help/cone.pd,
	help/counter.pd, help/cube.pd, help/curve.pd, help/cylinder.pd,
	help/depth.pd, help/diffuse.pd, help/diffuseRGB.pd, help/disk.pd,
	help/emission.pd, help/emissionRGB.pd, help/gemhead.pd,
	help/gemkeyboard.pd, help/gemkeyname.pd, help/gemmouse.pd,
	help/gemorb.pd, help/gemtablet.pd, help/gemwin.pd, help/hsv2rgb.pd,
	help/imageVert.pd, help/invert.pd, help/light.pd,
	help/linear_path.pd, help/model.pd, help/multimodel.pd,
	help/oneshot.pd, help/ortho.pd, help/part_color.pd,
	help/part_damp.pd, help/part_draw.pd, help/part_follow.pd,
	help/part_gravity.pd, help/part_head.pd, help/part_killold.pd,
	help/part_killslow.pd, help/part_orbitpoint.pd, help/part_size.pd,
	help/part_source.pd, help/part_targetcolor.pd,
	help/part_targetsize.pd, help/part_velcone.pd,
	help/part_velsphere.pd, help/pix_2grey.pd, help/pix_a_2grey.pd,
	help/pix_add.pd, help/pix_aging.pd, help/pix_alpha.pd,
	help/pix_bitmask.pd, help/pix_blob.pd, help/pix_buf.pd,
	help/pix_clearblock.pd, help/pix_coloralpha.pd,
	help/pix_colormatrix.pd, help/pix_composite.pd,
	help/pix_convolve.pd, help/pix_coordinate.pd, help/pix_curve.pd,
	help/pix_data.pd, help/pix_diff.pd, help/pix_draw.pd,
	help/pix_dump.pd, help/pix_film.pd, help/pix_flip.pd,
	help/pix_gain.pd, help/pix_histo.pd, help/pix_hsv2rgb.pd,
	help/pix_image.pd, help/pix_imageInPlace.pd, help/pix_indycam.pd,
	help/pix_invert.pd, help/pix_mask.pd, help/pix_movie.pd,
	help/pix_multiimage.pd, help/pix_multiply.pd,
	help/pix_normalize.pd, help/pix_offset.pd, help/pix_pix2sig~.pd,
	help/pix_puzzle.pd, help/pix_rectangle.pd, help/pix_resize.pd,
	help/pix_rgb2hsv.pd, help/pix_rgba.pd, help/pix_set.pd,
	help/pix_sig2pix~.pd, help/pix_snap.pd, help/pix_subtract.pd,
	help/pix_takealpha.pd, help/pix_texture.pd, help/pix_texture2.pd,
	help/pix_threshold.pd, help/pix_video.pd, help/pix_write.pd,
	help/pix_zoom.pd, help/polygon.pd, help/primTri.pd, help/randF.pd,
	help/randomF.pd, help/rectangle.pd, help/render_trigger.pd,
	help/rgb2hsv.pd, help/rotate.pd, help/rotateXYZ.pd, help/scale.pd,
	help/scaleXYZ.pd, help/separator.pd, help/shininess.pd,
	help/specular.pd, help/specularRGB.pd, help/sphere.pd,
	help/spline_path.pd, help/square.pd, help/teapot.pd,
	help/text2d.pd, help/text3d.pd, help/textoutline.pd,
	help/translate.pd, help/translateXYZ.pd, help/triangle.pd,
	help/tripleLine.pd, help/tripleRand.pd, help/tv_biquad.pd,
	help/tv_movement.pd, help/tv_rtx.pd, help/v+.pd, help/v-.pd,
	help/vector+.pd, help/vector-.pd, help/world_light.pd,
	manual/Advanced.html, manual/BasicObj.html, manual/GemFaq.html,
	manual/GemWPd.html, manual/Gloss.html, manual/Images.html,
	manual/Input.html, manual/Intro.html, manual/Lighting.html,
	manual/ListObjects.html, manual/Particles.html, manual/Pixes.html,
	manual/Texture.html, manual/Utility.html, manual/WriteCode.html,
	manual/add.jpg, manual/addResult.jpg, manual/gemwin.jpg,
	manual/index.html, manual/invert.jpg, manual/invertFrac.jpg,
	manual/light.jpg, manual/maskResult.jpg, manual/pixImage.jpg,
	manual/redSquare.jpg, manual/sphere15.jpg, manual/sphere5.jpg,
	manual/transXYZ.jpg, manual/tribar.gif, manual/tripleLine.jpg,
	manual/tripleRand.jpg, src/TV/tv_biquad.cpp,
	src/TV/tv_movement.cpp, src/TV/tv_movement.h, src/TV/tv_rtx.cpp,
	src/TV/tv_rtx.h, src/TV/tv_test.cpp, src/TV/tv_test.h,
	examples/08.io/01.Mouse.pd, examples/08.io/02.Tablet.pd,
	examples/08.io/03.Orb.pd, examples/08.io/04.UseOrb.pd,
	examples/data/alea.mpg, examples/data/valmotion.tab,
	manual/basicCube.jpg, manual/counter.jpg, manual/mask.jpg,
	manual/normalFrac.jpg, manual/texture.jpg, manual/world_light.jpg,
	examples/data/cour.ttf, examples/data/dancer.JPG,
	examples/data/times.ttf, examples/data/valcolor.tab,
	examples/data/venus.mtl, examples/data/homer.avi,
	examples/data/temp2.JPG, examples/data/arial.ttf,
	examples/data/fractal.JPG, examples/data/fractalAlpha.TIF,
	examples/data/temp0.JPG, examples/data/temp1.JPG,
	examples/01.basic/01.redSquare.pd,
	examples/01.basic/02.blueRectangle.pd,
	examples/01.basic/03.disk.pd, examples/01.basic/04.PrimTri.pd,
	examples/01.basic/05.cube.pd, examples/01.basic/06.sphere.pd,
	examples/01.basic/07.cylinder.pd, examples/01.basic/08.model.pd,
	examples/01.basic/09.yelloTeapot.pd,
	examples/02.advanced/01.Separator.pd,
	examples/02.advanced/02.Ortho.pd, examples/02.advanced/03.View.pd,
	examples/02.advanced/04.Fog.pd, examples/02.advanced/05.Stereo.pd,
	examples/02.advanced/06.StereoParticle.pd,
	examples/02.advanced/07.Snapshot1.pd,
	examples/02.advanced/08.Snapshot2.pd,
	examples/02.advanced/10.LinearPath.pd,
	examples/02.advanced/11.SplinePath.pd,
	examples/02.advanced/12.Hsv.pd,
	examples/02.advanced/13.ModelRescale.pd,
	examples/03.lighting/01.world_light.pd,
	examples/03.lighting/02.light.pd,
	examples/03.lighting/03.controlLights.pd,
	examples/03.lighting/04.moveSpheres.pd,
	examples/03.lighting/05.materials.pd, examples/04.pix/01.image.pd,
	examples/04.pix/02.multiimage.pd,
	examples/04.pix/04.ImageInPlace.pd, examples/04.pix/05.film.pd,
	examples/04.pix/05.movie.pd, examples/04.pix/06.PixRect.pd,
	examples/04.pix/10.PixDataSimple.pd,
	examples/04.pix/11.PixDataComplex.pd,
	examples/04.pix/12.composite.pd,
	examples/04.pix/12.pix_multiply.pd,
	examples/04.pix/13.maskDancer.pd, examples/04.pix/15.pix_alpha.pd,
	examples/04.pix/16.alphaGrey.pd, examples/04.pix/17.pix_gain.pd,
	examples/04.pix/19.colorMatrix.pd, examples/04.pix/20.convolve.pd,
	examples/04.video/01.VideoPaint.pd,
	examples/04.video/02.VideoSphere.pd,
	examples/05.text/03.ChangeText.pd,
	examples/06.particle/01.simple.pd,
	examples/06.particle/02.fountain.pd,
	examples/06.particle/03.orbit.pd, examples/06.particle/04.combo.pd,
	examples/06.particle/05.twoSrc.pd,
	examples/06.particle/06.target.pd,
	examples/07.texture/01.texture.pd,
	examples/07.texture/02.TexCoord.pd,
	examples/07.texture/04.moveImages.pd, examples/99.games/puzzle.pd,
	examples/data/anim-1.mov, examples/05.text/01.Text.pd,
	examples/05.text/arial.ttf: Initial revision

2002-10-21 03:45  zmoelnig

	* GEM.LICENSE.TERMS, GEM.README, GEM_INSTALL.bat, GEM_INSTALL.sh,
	GEM_RELUNIX.sh, GnuGPL.LICENSE, doc/cMatrix.html,
	doc/gem.known_bugs.txt, doc/gem.todo.txt,
	doc/gem.release_notes.txt, src/gem.dsp, src/gem.dsw,
	src/Base/CPPExtern.cpp, src/Base/CPPExtern.h, src/Base/GemBase.cpp,
	src/Base/GemBase.h, src/Base/GemCache.cpp, src/Base/GemCache.h,
	src/Base/GemDag.cpp, src/Base/GemDag.h, src/Base/GemEvent.cpp,
	src/Base/GemEvent.h, src/Base/GemExportDef.h,
	src/Base/GemFuncUtil.cpp, src/Base/GemFuncUtil.h,
	src/Base/GemGluObj.cpp, src/Base/GemGluObj.h,
	src/Base/GemGlutObj.cpp, src/Base/GemGlutObj.h,
	src/Base/GemLoadObj.cpp, src/Base/GemLoadObj.h,
	src/Base/GemMan.cpp, src/Base/GemMan.h, src/Base/GemModelData.cpp,
	src/Base/GemModelData.h, src/Base/GemPathBase.cpp,
	src/Base/GemPathBase.h, src/Base/GemPixDualObj.cpp,
	src/Base/GemPixDualObj.h, src/Base/GemPixImageLoad.cpp,
	src/Base/GemPixImageLoad.h, src/Base/GemPixImageSave.cpp,
	src/Base/GemPixImageSave.h, src/Base/GemPixObj.cpp,
	src/Base/GemPixObj.h, src/Base/GemPixUtil.cpp,
	src/Base/GemPixUtil.h, src/Base/GemSetup.cpp,
	src/Base/GemShape.cpp, src/Base/GemShape.h, src/Base/GemState.cpp,
	src/Base/GemState.h, src/Base/GemVersion.h,
	src/Base/GemWinCreate.h, src/Base/GemWinCreateNT.cpp,
	src/Base/GemWinCreateXWin.cpp, src/Base/Make.depend,
	src/Base/Matrix.cpp, src/Base/Matrix.h, src/Base/TextBase.cpp,
	src/Base/TextBase.h, src/Base/config.h, src/Base/config.h.in,
	src/Base/sgiimage.cpp, src/Base/sgiimage.h,
	src/Controls/Make.depend, src/Controls/gemhead.cpp,
	src/Controls/gemhead.h, src/Controls/gemkeyboard.cpp,
	src/Controls/gemkeyboard.h, src/Controls/gemkeyname.cpp,
	src/Controls/gemkeyname.h, src/Controls/gemmouse.cpp,
	src/Controls/gemmouse.h, src/Controls/gemorb.cpp,
	src/Controls/gemorb.h, src/Controls/gemtablet.cpp,
	src/Controls/gemtablet.h, src/Controls/gemwin.cpp,
	src/Controls/gemwin.h, src/Controls/render_trigger.cpp,
	src/Controls/render_trigger.h, src/Geos/Make.depend,
	src/Geos/TexFont.h, src/Geos/circle.cpp, src/Geos/circle.h,
	src/Geos/colorSquare.cpp, src/Geos/colorSquare.h,
	src/Geos/cone.cpp, src/Geos/cone.h, src/Geos/cube.cpp,
	src/Geos/cube.h, src/Geos/curve.cpp, src/Geos/curve.h,
	src/Geos/cylinder.cpp, src/Geos/cylinder.h, src/Geos/disk.cpp,
	src/Geos/disk.h, src/Geos/imageVert.cpp, src/Geos/imageVert.h,
	src/Geos/model.cpp, src/Geos/model.cpp_, src/Geos/model.h,
	src/Geos/multimodel.cpp, src/Geos/multimodel.h,
	src/Geos/polygon.cpp, src/Geos/polygon.h, src/Geos/primTri.cpp,
	src/Geos/primTri.h, src/Geos/rectangle.cpp, src/Geos/rectangle.h,
	src/Geos/sphere.cpp, src/Geos/sphere.h, src/Geos/square.cpp,
	src/Geos/square.h, src/Geos/teapot.cpp, src/Geos/teapot.h,
	src/Geos/text2d.cpp, src/Geos/text2d.h, src/Geos/text3d.cpp,
	src/Geos/text3d.h, src/Geos/textoutline.cpp,
	src/Geos/textoutline.h, src/Geos/triangle.cpp, src/Geos/triangle.h,
	src/Gnu/Makefile, src/Gnu/Makefile.clean, src/Gnu/Makefile.in,
	src/Gnu/Makefile.subdir, src/Gnu/README.build, src/Gnu/WHATSNEW,
	src/Gnu/acinclude.m4, src/Gnu/aclocal.m4, src/Gnu/config.guess,
	src/Gnu/config.sub, src/Gnu/configure, src/Gnu/configure.in,
	src/Gnu/install-sh, src/Gnu/makeauxlibs, src/Gnu/makesource,
	src/Gnu/missing, src/Gnu/mkinstalldirs, src/Manips/Make.depend,
	src/Manips/accumrotate.cpp, src/Manips/accumrotate.h,
	src/Manips/alpha.cpp, src/Manips/alpha.h, src/Manips/ambient.cpp,
	src/Manips/ambient.h, src/Manips/ambientRGB.cpp,
	src/Manips/ambientRGB.h, src/Manips/color.cpp, src/Manips/color.h,
	src/Manips/colorRGB.cpp, src/Manips/colorRGB.h,
	src/Manips/depth.cpp, src/Manips/depth.h, src/Manips/diffuse.cpp,
	src/Manips/diffuse.h, src/Manips/diffuseRGB.cpp,
	src/Manips/diffuseRGB.h, src/Manips/emission.cpp,
	src/Manips/emission.h, src/Manips/emissionRGB.cpp,
	src/Manips/emissionRGB.h, src/Manips/linear_path.cpp,
	src/Manips/linear_path.h, src/Manips/ortho.cpp, src/Manips/ortho.h,
	src/Manips/rotate.cpp, src/Manips/rotate.h,
	src/Manips/rotateXYZ.cpp, src/Manips/rotateXYZ.h,
	src/Manips/scale.cpp, src/Manips/scale.h, src/Manips/scaleXYZ.cpp,
	src/Manips/scaleXYZ.h, src/Manips/separator.cpp,
	src/Manips/separator.h, src/Manips/shininess.cpp,
	src/Manips/shininess.h, src/Manips/specular.cpp,
	src/Manips/specular.h, src/Manips/specularRGB.cpp,
	src/Manips/specularRGB.h, src/Manips/spline_path.cpp,
	src/Manips/spline_path.h, src/Manips/translate.cpp,
	src/Manips/translate.h, src/Manips/translateXYZ.cpp,
	src/Manips/translateXYZ.h, src/MarkEx/Make.depend,
	src/MarkEx/MarkExSetup.cpp, src/MarkEx/abs.cpp,
	src/MarkEx/average.cpp, src/MarkEx/counter.cpp,
	src/MarkEx/hsvrgb.cpp, src/MarkEx/m_control.cpp,
	src/MarkEx/multiselect.cpp, src/MarkEx/randomF.cpp,
	src/MarkEx/reson.cpp, src/MarkEx/strcat.cpp,
	src/MarkEx/tripleLine.cpp, src/MarkEx/vector.cpp,
	src/Nongeos/Make.depend, src/Nongeos/light.cpp,
	src/Nongeos/light.h, src/Nongeos/world_light.cpp,
	src/Nongeos/world_light.h, src/Particles/Make.depend,
	src/Particles/part_color.cpp, src/Particles/part_color.h,
	src/Particles/part_damp.cpp, src/Particles/part_damp.h,
	src/Particles/part_draw.cpp, src/Particles/part_draw.h,
	src/Particles/part_follow.cpp, src/Particles/part_follow.h,
	src/Particles/part_gravity.cpp, src/Particles/part_gravity.h,
	src/Particles/part_head.cpp, src/Particles/part_head.h,
	src/Particles/part_killold.cpp, src/Particles/part_killold.h,
	src/Particles/part_killslow.cpp, src/Particles/part_killslow.h,
	src/Particles/part_orbitpoint.cpp, src/Particles/part_orbitpoint.h,
	src/Particles/part_size.cpp, src/Particles/part_size.h,
	src/Particles/part_source.cpp, src/Particles/part_source.h,
	src/Particles/part_targetcolor.cpp,
	src/Particles/part_targetcolor.h,
	src/Particles/part_targetsize.cpp, src/Particles/part_targetsize.h,
	src/Particles/part_velcone.cpp, src/Particles/part_velcone.h,
	src/Particles/part_velsphere.cpp, src/Particles/part_velsphere.h,
	src/Pixes/Make.depend, src/Pixes/pix_2grey.cpp,
	src/Pixes/pix_2grey.h, src/Pixes/pix_a_2grey.cpp,
	src/Pixes/pix_a_2grey.h, src/Pixes/pix_add.cpp,
	src/Pixes/pix_add.h, src/Pixes/pix_aging.cpp,
	src/Pixes/pix_aging.h, src/Pixes/pix_alpha.cpp,
	src/Pixes/pix_alpha.h, src/Pixes/pix_bitmask.cpp,
	src/Pixes/pix_bitmask.h, src/Pixes/pix_blob.cpp,
	src/Pixes/pix_blob.h, src/Pixes/pix_buf.cpp, src/Pixes/pix_buf.h,
	src/Pixes/pix_clearblock.cpp, src/Pixes/pix_clearblock.h,
	src/Pixes/pix_color.cpp, src/Pixes/pix_color.h,
	src/Pixes/pix_coloralpha.cpp, src/Pixes/pix_coloralpha.h,
	src/Pixes/pix_colormatrix.cpp, src/Pixes/pix_colormatrix.h,
	src/Pixes/pix_composite.cpp, src/Pixes/pix_composite.h,
	src/Pixes/pix_convolve.cpp, src/Pixes/pix_convolve.h,
	src/Pixes/pix_coordinate.cpp, src/Pixes/pix_coordinate.h,
	src/Pixes/pix_curve.cpp, src/Pixes/pix_curve.h,
	src/Pixes/pix_data.cpp, src/Pixes/pix_data.h,
	src/Pixes/pix_diff.cpp, src/Pixes/pix_diff.h,
	src/Pixes/pix_dot.cpp, src/Pixes/pix_dot.h, src/Pixes/pix_draw.cpp,
	src/Pixes/pix_draw.h, src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h,
	src/Pixes/pix_dv.cpp, src/Pixes/pix_dv.h,
	src/Pixes/pix_dvLinux.cpp, src/Pixes/pix_dvLinux.h,
	src/Pixes/pix_film.cpp, src/Pixes/pix_film.h,
	src/Pixes/pix_filmLinux.cpp, src/Pixes/pix_filmLinux.h,
	src/Pixes/pix_filmNT.cpp, src/Pixes/pix_filmNT.h,
	src/Pixes/pix_flip.cpp, src/Pixes/pix_flip.h, src/Pixes/pix_fx.cpp,
	src/Pixes/pix_fx.h, src/Pixes/pix_gain.cpp, src/Pixes/pix_gain.h,
	src/Pixes/pix_histo.cpp, src/Pixes/pix_histo.h,
	src/Pixes/pix_hsv2rgb.cpp, src/Pixes/pix_hsv2rgb.h,
	src/Pixes/pix_image.cpp, src/Pixes/pix_image.h,
	src/Pixes/pix_imageInPlace.cpp, src/Pixes/pix_imageInPlace.h,
	src/Pixes/pix_indycam.cpp, src/Pixes/pix_indycam.h,
	src/Pixes/pix_invert.cpp, src/Pixes/pix_invert.h,
	src/Pixes/pix_mask.cpp, src/Pixes/pix_mask.h,
	src/Pixes/pix_movie.cpp, src/Pixes/pix_movie.h,
	src/Pixes/pix_multiimage.cpp, src/Pixes/pix_multiimage.h,
	src/Pixes/pix_multiply.cpp, src/Pixes/pix_multiply.h,
	src/Pixes/pix_normalize.cpp, src/Pixes/pix_normalize.h,
	src/Pixes/pix_offset.cpp, src/Pixes/pix_offset.h,
	src/Pixes/pix_pix2sig.cpp, src/Pixes/pix_pix2sig.h,
	src/Pixes/pix_puzzle.cpp, src/Pixes/pix_puzzle.h,
	src/Pixes/pix_rectangle.cpp, src/Pixes/pix_rectangle.h,
	src/Pixes/pix_resize.cpp, src/Pixes/pix_resize.h,
	src/Pixes/pix_rgb2hsv.cpp, src/Pixes/pix_rgb2hsv.h,
	src/Pixes/pix_rgba.cpp, src/Pixes/pix_rgba.h,
	src/Pixes/pix_set.cpp, src/Pixes/pix_set.h,
	src/Pixes/pix_sig2pix.cpp, src/Pixes/pix_sig2pix.h,
	src/Pixes/pix_snap.cpp, src/Pixes/pix_snap.h,
	src/Pixes/pix_subtract.cpp, src/Pixes/pix_subtract.h,
	src/Pixes/pix_takealpha.cpp, src/Pixes/pix_takealpha.h,
	src/Pixes/pix_test.cpp, src/Pixes/pix_test.h,
	src/Pixes/pix_texture.cpp, src/Pixes/pix_texture.h,
	src/Pixes/pix_texture2.cpp, src/Pixes/pix_texture2.h,
	src/Pixes/pix_threshold.cpp, src/Pixes/pix_threshold.h,
	src/Pixes/pix_video.cpp, src/Pixes/pix_video.h,
	src/Pixes/pix_videoLinux.cpp, src/Pixes/pix_videoLinux.h,
	src/Pixes/pix_videoNT.cpp, src/Pixes/pix_videoNT.h,
	src/Pixes/pix_videoSGI.cpp, src/Pixes/pix_videoSGI.h,
	src/Pixes/pix_write.cpp, src/Pixes/pix_write.h,
	src/Pixes/pix_zoom.cpp, src/Pixes/pix_zoom.h, src/TV/Make.depend,
	src/TV/tv_biquad.h, help/accumrotate.pd, help/alpha.pd,
	help/alternate.pd, help/ambient.pd, help/ambientRGB.pd,
	help/average.pd, help/change.pd, help/circle.pd, help/color.pd,
	help/colorRGB.pd, help/colorSquare.pd, help/cone.pd,
	help/counter.pd, help/cube.pd, help/curve.pd, help/cylinder.pd,
	help/depth.pd, help/diffuse.pd, help/diffuseRGB.pd, help/disk.pd,
	help/emission.pd, help/emissionRGB.pd, help/gemhead.pd,
	help/gemkeyboard.pd, help/gemkeyname.pd, help/gemmouse.pd,
	help/gemorb.pd, help/gemtablet.pd, help/gemwin.pd, help/hsv2rgb.pd,
	help/imageVert.pd, help/invert.pd, help/light.pd,
	help/linear_path.pd, help/model.pd, help/multimodel.pd,
	help/oneshot.pd, help/ortho.pd, help/part_color.pd,
	help/part_damp.pd, help/part_draw.pd, help/part_follow.pd,
	help/part_gravity.pd, help/part_head.pd, help/part_killold.pd,
	help/part_killslow.pd, help/part_orbitpoint.pd, help/part_size.pd,
	help/part_source.pd, help/part_targetcolor.pd,
	help/part_targetsize.pd, help/part_velcone.pd,
	help/part_velsphere.pd, help/pix_2grey.pd, help/pix_a_2grey.pd,
	help/pix_add.pd, help/pix_aging.pd, help/pix_alpha.pd,
	help/pix_bitmask.pd, help/pix_blob.pd, help/pix_buf.pd,
	help/pix_clearblock.pd, help/pix_coloralpha.pd,
	help/pix_colormatrix.pd, help/pix_composite.pd,
	help/pix_convolve.pd, help/pix_coordinate.pd, help/pix_curve.pd,
	help/pix_data.pd, help/pix_diff.pd, help/pix_draw.pd,
	help/pix_dump.pd, help/pix_film.pd, help/pix_flip.pd,
	help/pix_gain.pd, help/pix_histo.pd, help/pix_hsv2rgb.pd,
	help/pix_image.pd, help/pix_imageInPlace.pd, help/pix_indycam.pd,
	help/pix_invert.pd, help/pix_mask.pd, help/pix_movie.pd,
	help/pix_multiimage.pd, help/pix_multiply.pd,
	help/pix_normalize.pd, help/pix_offset.pd, help/pix_pix2sig~.pd,
	help/pix_puzzle.pd, help/pix_rectangle.pd, help/pix_resize.pd,
	help/pix_rgb2hsv.pd, help/pix_rgba.pd, help/pix_set.pd,
	help/pix_sig2pix~.pd, help/pix_snap.pd, help/pix_subtract.pd,
	help/pix_takealpha.pd, help/pix_texture.pd, help/pix_texture2.pd,
	help/pix_threshold.pd, help/pix_video.pd, help/pix_write.pd,
	help/pix_zoom.pd, help/polygon.pd, help/primTri.pd, help/randF.pd,
	help/randomF.pd, help/rectangle.pd, help/render_trigger.pd,
	help/rgb2hsv.pd, help/rotate.pd, help/rotateXYZ.pd, help/scale.pd,
	help/scaleXYZ.pd, help/separator.pd, help/shininess.pd,
	help/specular.pd, help/specularRGB.pd, help/sphere.pd,
	help/spline_path.pd, help/square.pd, help/teapot.pd,
	help/text2d.pd, help/text3d.pd, help/textoutline.pd,
	help/translate.pd, help/translateXYZ.pd, help/triangle.pd,
	help/tripleLine.pd, help/tripleRand.pd, help/tv_biquad.pd,
	help/tv_movement.pd, help/tv_rtx.pd, help/v+.pd, help/v-.pd,
	help/vector+.pd, help/vector-.pd, help/world_light.pd,
	manual/Advanced.html, manual/BasicObj.html, manual/GemFaq.html,
	manual/GemWPd.html, manual/Gloss.html, manual/Images.html,
	manual/Input.html, manual/Intro.html, manual/Lighting.html,
	manual/ListObjects.html, manual/Particles.html, manual/Pixes.html,
	manual/Texture.html, manual/Utility.html, manual/WriteCode.html,
	manual/add.jpg, manual/addResult.jpg, manual/gemwin.jpg,
	manual/index.html, manual/invert.jpg, manual/invertFrac.jpg,
	manual/light.jpg, manual/maskResult.jpg, manual/pixImage.jpg,
	manual/redSquare.jpg, manual/sphere15.jpg, manual/sphere5.jpg,
	manual/transXYZ.jpg, manual/tribar.gif, manual/tripleLine.jpg,
	manual/tripleRand.jpg, src/TV/tv_biquad.cpp,
	src/TV/tv_movement.cpp, src/TV/tv_movement.h, src/TV/tv_rtx.cpp,
	src/TV/tv_rtx.h, src/TV/tv_test.cpp, src/TV/tv_test.h,
	examples/08.io/01.Mouse.pd, examples/08.io/02.Tablet.pd,
	examples/08.io/03.Orb.pd, examples/08.io/04.UseOrb.pd,
	examples/data/alea.mpg, examples/data/valmotion.tab,
	manual/basicCube.jpg, manual/counter.jpg, manual/mask.jpg,
	manual/normalFrac.jpg, manual/texture.jpg, manual/world_light.jpg,
	examples/data/cour.ttf, examples/data/dancer.JPG,
	examples/data/times.ttf, examples/data/valcolor.tab,
	examples/data/venus.mtl, examples/data/homer.avi,
	examples/data/temp2.JPG, examples/data/arial.ttf,
	examples/data/fractal.JPG, examples/data/fractalAlpha.TIF,
	examples/data/temp0.JPG, examples/data/temp1.JPG,
	examples/01.basic/01.redSquare.pd,
	examples/01.basic/02.blueRectangle.pd,
	examples/01.basic/03.disk.pd, examples/01.basic/04.PrimTri.pd,
	examples/01.basic/05.cube.pd, examples/01.basic/06.sphere.pd,
	examples/01.basic/07.cylinder.pd, examples/01.basic/08.model.pd,
	examples/01.basic/09.yelloTeapot.pd,
	examples/02.advanced/01.Separator.pd,
	examples/02.advanced/02.Ortho.pd, examples/02.advanced/03.View.pd,
	examples/02.advanced/04.Fog.pd, examples/02.advanced/05.Stereo.pd,
	examples/02.advanced/06.StereoParticle.pd,
	examples/02.advanced/07.Snapshot1.pd,
	examples/02.advanced/08.Snapshot2.pd,
	examples/02.advanced/10.LinearPath.pd,
	examples/02.advanced/11.SplinePath.pd,
	examples/02.advanced/12.Hsv.pd,
	examples/02.advanced/13.ModelRescale.pd,
	examples/03.lighting/01.world_light.pd,
	examples/03.lighting/02.light.pd,
	examples/03.lighting/03.controlLights.pd,
	examples/03.lighting/04.moveSpheres.pd,
	examples/03.lighting/05.materials.pd, examples/04.pix/01.image.pd,
	examples/04.pix/02.multiimage.pd,
	examples/04.pix/04.ImageInPlace.pd, examples/04.pix/05.film.pd,
	examples/04.pix/05.movie.pd, examples/04.pix/06.PixRect.pd,
	examples/04.pix/10.PixDataSimple.pd,
	examples/04.pix/11.PixDataComplex.pd,
	examples/04.pix/12.composite.pd,
	examples/04.pix/12.pix_multiply.pd,
	examples/04.pix/13.maskDancer.pd, examples/04.pix/15.pix_alpha.pd,
	examples/04.pix/16.alphaGrey.pd, examples/04.pix/17.pix_gain.pd,
	examples/04.pix/19.colorMatrix.pd, examples/04.pix/20.convolve.pd,
	examples/04.video/01.VideoPaint.pd,
	examples/04.video/02.VideoSphere.pd,
	examples/05.text/03.ChangeText.pd,
	examples/06.particle/01.simple.pd,
	examples/06.particle/02.fountain.pd,
	examples/06.particle/03.orbit.pd, examples/06.particle/04.combo.pd,
	examples/06.particle/05.twoSrc.pd,
	examples/06.particle/06.target.pd,
	examples/07.texture/01.texture.pd,
	examples/07.texture/02.TexCoord.pd,
	examples/07.texture/04.moveImages.pd, examples/99.games/puzzle.pd,
	examples/data/anim-1.mov, examples/05.text/01.Text.pd,
	examples/05.text/arial.ttf: initial CVS release (0.87)

